<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Ob\HighchartsBundle\Highcharts\Highchart;
use DateTime;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of ConsultasController
 *
 * @author Omar
 */
class ConsultasController extends Controller {

    //put your code here
    public function vistaAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            if ($request->getMethod() == "POST") {
                $idePla = $request->get('p');
                $ideLic = $request->get('l');
                $mes = $request->get('m');
                $numCua = $request->get('numCua');
                //$numCua = 1;
                //print_r($mes);

                switch ($request->get('x')) {
                    case 1:
                        return $this->render('CmBundle:Consultas:uno.html.twig', array('datos' => $this->uno($idePla, $ideLic, $numCua)));
                        break;
                    case 2:
                        //return $this->render('CmBundle:Consultas:uno.html.twig', array('datos' => $this->uno($idePla, $ideLic)));
                        break;
                    case 3:
                        return $this->render('CmBundle:Consultas:tres.html.twig', array('datos' => $this->tres($idePla, $ideLic)));
                        break;
                    case 4:
                        return $this->render('CmBundle:Consultas:cuatro.html.twig');
                        break;
                    case 5:
                        return $this->render('CmBundle:Consultas:cinco.html.twig', array('datos' => $this->cinco($idePla, $ideLic)));
                        break;
                    case 6:
                        // cierre de mes
                        return $this->render('CmBundle:Consultas:seis.html.twig', array('idePla' => $idePla, 'mes' => $mes));
                        break;
                    case 7:
                        return $this->render('CmBundle:Consultas:siete.html.twig');
                        break;
                    case 8:
                        return $this->render('CmBundle:Consultas:ocho.html.twig', array('datos' => $this->ocho($idePla, $mes), 'mes' => $mes));
                        break;
                    case 9:
                        return $this->render('CmBundle:Consultas:nueve.html.twig', array('datos' => $this->nueve($idePla, $ideLic, $mes), 'mes' => $mes));
                        break;
                    case 10:
                        // X QUE NO CIERRA EL MES
                        return $this->render('CmBundle:CE:diez.html.twig', array('datos' => $this->diez($idePla, $mes), 'mes' => $mes));
                        break;
                }
                $em = $this->getDoctrine()->getManager();
            } else {

                $em = $this->getDoctrine()->getManager();

                $planteles = $em->getRepository('CmBundle:Planteles')->findBy(array('idePla' => array(1, 2, 3, 4, 21)), array('nomPla' => 'ASC'));
                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')->findBy(array(), array('cveNivAca' => 'ASC', 'nomLic' => 'ASC'));

                return $this->render('CmBundle:Consultas:vista.html.twig', array(
                            'planteles' => $planteles,
                            'licenciaturas' => $licenciaturas
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function g1Action(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {


            return $this->render('CmBundle:Consultas:graficas.html.twig', array('chart' => $this->gg1(), 'chart2' => $this->gg2()));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function g2Action(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            $idePla = $request->get('p');
            $mes = $request->get('m');


            $nomMes = new \DateTime(date($mes));

            $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
            $mesesMexico = array('ENERO', 'FEBRERO', 'MARZO', 'ABRIL', 'MAYO', 'JUNIO', 'JULIO', 'AGOSTO', 'SEPTIEMBRE', 'OCTUBRE', 'NOVIEMBRE', 'DICIEMBRE');

            $nomMes = str_replace($mesesIngles, $mesesMexico, $nomMes->format('F'));

            return $this->render('CmBundle:Consultas:graficasCierre.html.twig', array('chart' => $this->graficaCierre($idePla, $mes), 'nomMes' => $nomMes));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    /**
     * 
     * @param type $idePla
     * @param type $ideLic
     * @param type $numCua
     * @return int
     */
    function uno($idePla, $ideLic, $numCua) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        if ($ideLic != "default") {
            if ($numCua != "default") {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla,
                            'cveLic' => $ideLic,
                            'estatus' => 1,
                            'tipoAlumno' => array(1, 3, 4, 5),
                            'numero' => $numCua
                        ), array(
                    'numero' => 'DESC',
                    'apePat' => 'ASC'
                        )
                );
            } else {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla,
                            'cveLic' => $ideLic,
                            'estatus' => 1,
                            'tipoAlumno' => array(1, 3, 4, 5)
                        ), array(
                    'numero' => 'DESC',
                    'apePat' => 'ASC'
                        )
                );
            }
        } else {
            if ($numCua != "default") {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla,
                            'estatus' => 1,
                            'tipoAlumno' => array(1, 3, 4, 5),
                            'numero' => $numCua
                        ), array(
                    'numero' => 'DESC',
                    'apePat' => 'ASC'
                        )
                );
            } else {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla,
                            'estatus' => 1,
                            'tipoAlumno' => array(1, 3, 4, 5)
                        ), array(
                    'numero' => 'DESC',
                    'apePat' => 'ASC'
                        )
                );
            }
        }

        $hoy = new \DateTime(date('Y-m-d'));
        $hoy = $hoy->modify('first day of this month');

        $listaAlumnosConAdeudos = [];
        foreach ($alumnos as $key => $value) {
            if ($value->getPaga() != 0) { // QUITAMOS TODOS LOS QUE NO PAGAN
                $dql = "SELECT p "
                        . "FROM CmBundle:Pagos p "
                        . "WHERE p.fecIni <= :hoy "
                        . "AND p.staPag = 1 "
                        . "AND p.cveAlu = :alu";
                $query = $em->createQuery($dql);
                $query->setParameter('hoy', $hoy);
                $query->setParameter('alu', $value->getIdeAlu());
                $pagos = $query->getResult();

                if (count($pagos) > 0) {
                    $listaAlumnosConAdeudos[] = array($value, $pagos);
                }
            }
        }
        return $listaAlumnosConAdeudos;
    }

    function dos($idePla, $ideLic) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        if ($ideLic != "default") {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)), array('numero' => 'DESC', 'apePat' => 'ASC')
            );
        } else {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)), array('numero' => 'DESC', 'apePat' => 'ASC')
            );
        }


        $hoy = new \DateTime(date('Y-m-d'));
        $hoy = $hoy->modify('last day of this month');

        $listaAlumnosConAdeudos = [];
        foreach ($alumnos as $key => $value) {

            $dql = "SELECT p "
                    . "FROM CmBundle:Pagos p "
                    . "WHERE p.fecIni <= :hoy "
                    . "AND p.staPag = 1 "
                    . "AND p.cveAlu = :alu";
            $query = $em->createQuery($dql);
            $query->setParameter('hoy', $hoy);
            $query->setParameter('alu', $value->getIdeAlu());
            $pagos = $query->getResult();

            if (count($pagos) > 0) {
                $listaAlumnosConAdeudos[] = array($value, $pagos);
            }
        }
        return $listaAlumnosConAdeudos;
    }

    function tres($idePla, $ideLic) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        if ($ideLic != "default") {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => 1, 'credencial' => 1), array('numero' => 'DESC', 'apePat' => 'ASC')
            );
        } else {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => 1, 'credencial' => 1), array('numero' => 'DESC', 'apePat' => 'ASC')
            );
        }
        return $alumnos;
    }

    function cinco($idePla, $ideLic) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        if ($ideLic != "default") {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
            $alumnosOtroEstatus = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => array(6, 9, 10, 11), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
            $alumnosEgresados = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => array(12), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
        } else {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
            $alumnosOtroEstatus = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => array(6, 9, 10, 11), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
            $alumnosEgresados = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => array(12), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
        }
        return array($alumnos, $alumnosOtroEstatus, $alumnosEgresados);
    }

    function ocho($idePla, $mes) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        if ($ideLic != "default") {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => 1, 'credencial' => 1), array('numero' => 'DESC', 'apePat' => 'ASC')
            );
        } else {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => 1, 'credencial' => 1), array('numero' => 'DESC', 'apePat' => 'ASC')
            );
        }
        return $alumnos;
    }

    function gg1() {
        $em = $this->getDoctrine()->getEntityManager();

        $planteles = $em->getRepository('CmBundle:Planteles')->findAll();
        $categorias = [];
        foreach ($planteles as $key => $p) {
            $categorias[] = $p->getNomPla();
        }

        $datos = [];
        $datosH = [];
        $datosM = [];
        foreach ($planteles as $key => $value) {
            $alumnos = $em->getRepository('CmBundle:Alumnos')->findBy(array('cvePla' => $value->getIdePla(), 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)));
            $hombres = $em->getRepository('CmBundle:Alumnos')->findBy(array('cvePla' => $value->getIdePla(), 'estatus' => 1, 'sexo' => 0, 'tipoAlumno' => array(1, 3, 4, 5)));
            $mujeres = $em->getRepository('CmBundle:Alumnos')->findBy(array('cvePla' => $value->getIdePla(), 'estatus' => 1, 'sexo' => 1, 'tipoAlumno' => array(1, 3, 4, 5)));
            if (count($alumnos) > 0) {
                $datos[] = count($alumnos);
            } else {
                $datos[] = 0;
            }
            if (count($hombres) > 0) {
                $datosH[] = count($hombres);
            } else {
                $datosH[] = 0;
            }
            if (count($mujeres) > 0) {
                $datosM[] = count($mujeres);
            } else {
                $datosM[] = 0;
            }
        }

        // GRAFICA DOS: TOTAL DE USUARIOS, POR GENERO, POR DISCIPLINA
        $series = array(
            array("name" => "Total Alumnos", "data" => $datos),
            array("name" => "Hombres", "data" => $datosH),
            array("name" => "Mujeres", "data" => $datosM)
        );

        //$rosa = 'pink';
        $ob2 = new Highchart();
        $ob2->chart->type('column');
        $ob2->chart->options3d(array('enabled' => true, 'alpha' => 15, 'beta' => 15, 'depth' => 50, 'viewDistance' => 25));
        $ob2->chart->renderTo('g1');  // Nombre del #id de el div donde se mostrará la grafica
        $ob2->title->text('TOTAL DE ALUMNOS POR PLANTEL');
        $ob2->subtitle->text('');
        $ob2->colors('#50B432', '#058DC7', '#ED561B', '#DDDF00', '#24CBE5', '#64E572', '#FF9655', '#FFF263', '#6AF9C4');
        $ob2->plotOptions->colum(array('depth' => 25));
        $ob2->plotOptions->series(array('dataLabels' => array('enabled' => true)));
        $ob2->xAxis->categories($categorias); //Categorias del eje X
        $ob2->xAxis->title(array('text' => "PLANTELES"));
        $ob2->yAxis->title(array('text' => "ALUMNOS")); //Título del eje Y            
        $ob2->series($series);

        return $ob2;
    }

    function gg2() {
        $em = $this->getDoctrine()->getEntityManager();

        $planteles = $em->getRepository('CmBundle:Planteles')->findAll();
        $categorias = [];
        foreach ($planteles as $key => $p) {
            $categorias[] = $p->getNomPla();
        }

        $datos = []; // TOTAL ALUMNOS
        $datosA = []; // TOTAL CON ADEUDOS
        $datosC = []; // TOTAL EN CEROS
        $datosNP = []; // TOTAL DE QUIENES NO PAGAN NADA
        $datosNM = []; // TOTAL DE QUIENES NO PAGAN MENSUALIDAD
        $datosNMR = []; // TOTAL DE QUIENES NO PAGAN MENSUALIDAD NI REINSCRIPCIONES, SOLO PAGARON SU INSCRIPCIÓN.

        foreach ($planteles as $key => $value) {
            $alumnos = $em->getRepository('CmBundle:Alumnos')->findBy(array('cvePla' => $value->getIdePla(), 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)));
            $adeudos = 0;
            $ceros = 0;
            $noPaga = 0;
            $noMensualidad = 0;
            $noMensualidadR = 0;

            $hoy = new \DateTime(date('Y-m-d'));
            $hoy = $hoy->modify('last day of this month');

            foreach ($alumnos as $k => $v) {
                if ($v->getPaga() == 0) { // NO PAGA NADA
                    $noPaga = $noPaga + 1;
                } elseif ($v->getPaga() == 2) { // NO PAGA MENSUALIDAD, SI PAGA SU INSCRIPCIÓN Y REINSCRIPCIÓN
                    $noMensualidad = $noMensualidad + 1;
                } elseif ($v->getPaga() == 3) { // NO PAGA MENSUALIDAD y REINSCRIPCIÓN,SOLO PAGÓ SU INSCRIPCIÓN
                    $noMensualidadR = $noMensualidadR + 1;
                } else { // SI PAGA TODO
                    $dql = "SELECT p "
                            . "FROM CmBundle:Pagos p "
                            . "WHERE p.fecIni <= :hoy "
                            . "AND p.staPag = 1 "
                            . "AND p.cveAlu = :alu";
                    $query = $em->createQuery($dql);
                    $query->setParameter('hoy', $hoy);
                    $query->setParameter('alu', $v->getIdeAlu());
                    $pagos = $query->getResult();

                    if (count($pagos) > 0) {
                        $adeudos = $adeudos + 1;
                    } else {
                        $ceros = $ceros + 1;
                    }
                }
            }

            if (count($alumnos) > 0) {
                $datos[] = count($alumnos);
            } else {
                $datos[] = 0;
            }
            $datosA[] = $adeudos;
            $datosC[] = $ceros;
            $datosNP[] = $noPaga;
            $datosNM[] = $noMensualidad;
            $datosNMR[] = $noMensualidadR;
        }

        // GRAFICA DOS: TOTAL DE USUARIOS, POR GENERO, POR DISCIPLINA
        $series = array(
            array("name" => "Total Alumnos", "data" => $datos),
            array("name" => "Con Adeudos", "data" => $datosA),
            array("name" => "Al Corriente", "data" => $datosC),
            array("name" => "No Pagan", "data" => $datosNP),
            array("name" => "No Pagan Mensualidad", "data" => $datosNM),
            array("name" => "No Pagan Mensualidad y Reinscripcion", "data" => $datosNMR)
        );

        //$rosa = 'pink';
        $ob2 = new Highchart();
        $ob2->chart->type('column');
        $ob2->chart->options3d(array('enabled' => true, 'alpha' => 15, 'beta' => 15, 'depth' => 50, 'viewDistance' => 25));
        $ob2->chart->renderTo('g2');  // Nombre del #id de el div donde se mostrará la grafica
        //$ob2->chart->zoomType('x');
        $ob2->title->text('ADEUDOS');
        $ob2->subtitle->text('');
        $ob2->colors('#DDDF00', '#24CBE5', '#64E572', '#FF9655', '#FFF263', '#6AF9C4', '#50B432', '#058DC7', '#ED561B');
        $ob2->plotOptions->colum(array('depth' => 25));
        $ob2->plotOptions->series(array('dataLabels' => array('enabled' => true)));
        $ob2->xAxis->categories($categorias); //Categorias del eje X
        $ob2->xAxis->title(array('text' => "PLANTELES"));
        $ob2->yAxis->title(array('text' => "ALUMNOS")); //Título del eje Y
        $ob2->series($series);

        return $ob2;
    }

    function graficaCierre($idePla, $m) {
        $em = $this->getDoctrine()->getEntityManager();

        $mes = new \DateTime(date($m));

        $nomMes = new \DateTime(date($m));

        $plantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('idePla' => $idePla));

        $mesesIngles = array('January', 'February', 'March', 'April', 'May', 'June', 'July', 'August', 'September', 'October', 'November', 'December');
        $mesesMexico = array('ENERO', 'FEBRERO', 'MARZO', 'ABRIL', 'MAYO', 'JUNIO', 'JULIO', 'AGOSTO', 'SEPTIEMBRE', 'OCTUBRE', 'NOVIEMBRE', 'DICIEMBRE');

        $nomMes = str_replace($mesesIngles, $mesesMexico, $nomMes->format('F'));

        $primerDia = $mes->modify('First Day Of This Month')->format('Y-m-d');
        $ultimoDia = $mes->modify('Last Day Of This Month')->format('Y-m-d');

        /**
         * TOTAL DE ALUMNOS QUE ESTÁN ACTIVOS, INDEPENDIENTEMENTE SI PAGAN O NO
         */
//        $dql = "SELECT COUNT(a) as total FROM CmBundle:Alumnos a WHERE a.estatus = 1 AND a.cvePla = {$idePla} AND a.tipoAlumno IN(1,3,4,5)";
//        $query = $em->createQuery($dql);
//        $totalAlumnos = $query->getResult();



        $dql = "SELECT IDENTITY(p.cveAlu) alu "
                . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
                . "WHERE "
                . "a.ideAlu = p.cveAlu "
                . "AND a.cvePla = {$idePla} "
                . "AND a.tipoAlumno IN(1,3,4,5) "
                . "AND (p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}' ) "
                . "AND p.numero > 0";
        $query = $em->createQuery($dql);
        $totalAlumnosPorMes = $query->getResult();


        $sumaDePrueba = 0;
        //print_r("<br>");
        $listaAuxIdesAlu = [];
        foreach ($totalAlumnosPorMes as $key => $value) {
            $auxAlumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $value['alu']));
            $sumaDePrueba = $sumaDePrueba + $auxAlumno->getCostoMensualidad();
            $listaAuxIdesAlu[] = $auxAlumno->getIdeAlu();

            //print_r($auxAlumno->getCveCtl());
            //print_r(",");
        }

        $listaAlumnos = $em->getRepository('CmBundle:Alumnos')
                ->findBy(
                array(
                    'ideAlu' => $listaAuxIdesAlu
                ), array(
            'tipoAlumno' => 'DESC',
            'cveLic' => 'ASC',
            'numero' => 'DESC',
            'apePat' => 'ASC',
            'apeMat' => 'ASC',
            'nomAlu' => 'ASC'
                )
        );

//        print_r("<br>");
//        print_r("TOTAL DE REGISTROS: " . count($totalAlumnosPorMes));
//        print_r("<br>");
//        print_r("SUMA TOTAL: " . $sumaDePrueba);
//        print_r("<br>");


        /**
         * TOTAL DE ALUMNOS QUE ESTÁN ACTIVOS, Y NO PAGAN MENSUALIDAD
         */
//        $dql = "SELECT COUNT(a) as total FROM CmBundle:Alumnos a WHERE a.cvePla = {$idePla} AND a.paga = 0 AND a.tipoAlumno IN(1,3,4,5)";
//        $query = $em->createQuery($dql);
//        $totalAlumnosNoPagan = $query->getResult();


        $dql = "SELECT IDENTITY(p.cveAlu) alu "
                . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
                . "WHERE "
                . "a.ideAlu = p.cveAlu "
                . "AND a.cvePla = {$idePla} "
                . "AND a.tipoAlumno IN(1,3,4,5) "
                . "AND a.paga = 0 "
                . "AND (p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}' ) "
                . "AND p.numero > 0";
        $query = $em->createQuery($dql);
        $totalAlumnosNoPagan = $query->getResult();
        //print_r($totalAlumnosNoPagan);
        //print_r(count($totalAlumnosNoPagan));
        //print_r("<br>");
        $totalAlumnosNoPagan = count($totalAlumnosNoPagan);

        /**
         * ALUMNOS FALTANTES DE PAGO, MENSUALIDAD
         */
//        $dql = "SELECT COUNT(p) as total "
//                . "FROM CmBundle:Pagos p WHERE "
//                . "(p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}') "
//                . "AND p.numero > 0 "
//                . "AND "
//                . "p.staPag = 1 "
//                . "AND "
//                . "(p.cveAlu IN( "
//                . "SELECT a.ideAlu FROM CmBundle:Alumnos a WHERE a.estatus = 1 AND a.cvePla = {$idePla} AND a.paga = 1 AND a.tipoAlumno IN(1,3,4,5)"
//                . "))";
//        $query = $em->createQuery($dql);
//        $totalFaltantesDePago = $query->getResult();

        $dql = "SELECT COUNT(p) as total "
                . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
                . "WHERE "
                . "a.ideAlu = p.cveAlu "
                . "AND a.cvePla = {$idePla} "
                . "AND a.tipoAlumno IN(1,3,4,5) "
                . "AND a.paga = 1 "
                . "AND (p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}' ) "
                . "AND p.numero > 0 "
                . "AND p.staPag = 1 ";
        $query = $em->createQuery($dql);
        $totalFaltantesDePago = $query->getResult();


        // PRUEBA
        $dql = "SELECT p "
                . "FROM CmBundle:Pagos p WHERE "
                . "(p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}') "
                . "AND p.numero > 0 "
                . "AND "
                . "p.staPag = 1 "
                . "AND "
                . "(p.cveAlu IN( "
                . "SELECT a.ideAlu FROM CmBundle:Alumnos a WHERE a.estatus = 1 AND a.cvePla = {$idePla} AND a.paga = 1 AND a.tipoAlumno IN(1,3,4,5)"
                . "))";
        $query = $em->createQuery($dql);
        $listaPrueba = $query->getResult();
        /* foreach ($listaPrueba as $key => $value) {
          print_r($value->getCveAlu()->getIdeAlu());
          print_r("<br>");
          } */
        // fin prueba


        /**
         * ALUMNOS SI HAN PAGADO, MENSUALIDAD
         */
//        $dql = "SELECT COUNT(p) as total "
//                . "FROM CmBundle:Pagos p WHERE "
//                . "(p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}') "
//                . "AND p.numero > 0 "
//                . "AND "
//                . "p.staPag = 2 "
//                . "AND "
//                . "(p.cveAlu IN( "
//                . "SELECT a.ideAlu FROM CmBundle:Alumnos a WHERE a.estatus = 1 AND a.cvePla = {$idePla} AND a.paga = 1 AND a.tipoAlumno IN(1,3,4,5)"
//                . "))";
//        $query = $em->createQuery($dql);
//        $totalHanPagado = $query->getResult();


        $dql = "SELECT COUNT(p) as total "
                . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
                . "WHERE "
                . "a.ideAlu = p.cveAlu "
                . "AND a.cvePla = {$idePla} "
                . "AND a.tipoAlumno IN(1,3,4,5) "
                . "AND a.paga = 1 "
                . "AND (p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}' ) "
                . "AND p.numero > 0 "
                . "AND p.staPag = 2 ";
        $query = $em->createQuery($dql);
        $totalHanPagado = $query->getResult();

        $siHanPagado = array($totalHanPagado[0]['total'] * 1);
        $noHanPagado = array($totalFaltantesDePago[0]['total'] * 1);



        /**
         * ALUMNOS SI HAN PAGADO, SUMA DE MENSUALIDAD
         */
//        $dql = "SELECT SUM(a.costoMensualidad) as SumaTotal FROM CmBundle:Alumnos a WHERE a.estatus = 1 AND a.cvePla = {$idePla} AND a.paga = 1 AND a.ideAlu IN(
//	SELECT IDENTITY(p.cveAlu) FROM CmBundle:Pagos p WHERE 
//	(p.fecIni BETWEEN '{$primerDia}' AND '$ultimoDia') 
//	AND p.numero > 0
//	AND
//	p.staPag = 2
//	AND 
//	(p.cveAlu IN(
//		SELECT x.ideAlu FROM CmBundle:Alumnos x WHERE x.estatus = 1 AND x.cvePla = {$idePla} AND x.paga = 1 AND x.tipoAlumno IN(1,3,4,5)
//	)))";
//        $query = $em->createQuery($dql);
//        $sumaPagado = $query->getResult();


        $dql = "SELECT SUM(a.costoMensualidad) as SumaTotal,COUNT(a.costoMensualidad) "
                . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
                . "WHERE "
                . "a.ideAlu = p.cveAlu "
                . "AND a.cvePla = {$idePla} "
                . "AND a.tipoAlumno IN(1,3,4,5) "
                . "AND a.paga = 1 "
                . "AND (p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}' ) "
                . "AND p.numero > 0 "
                . "AND p.staPag = 2 ";
        $query = $em->createQuery($dql);
        $sumaPagado = $query->getResult();

//        print_r("TOTAL PAGADOS:<br>");
//        print_r($sumaPagado[0][1]);
//        print_r("SUMA PAGADOS:<br>");
//        print_r($sumaPagado[0]['SumaTotal']);
//        print_r("<br>");
//        $dql = "SELECT a "
//                . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
//                . "WHERE "
//                . "a.ideAlu = p.cveAlu "
//                . "AND a.cvePla = {$idePla} "
//                . "AND a.tipoAlumno IN(1,3,4,5) "
//                . "AND a.paga = 1 "
//                . "AND (p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}' ) "
//                . "AND p.numero > 0 "
//                . "AND p.staPag = 2 ";
//        $query = $em->createQuery($dql);
//        $listaPagodo = $query->getResult();
//        
//        foreach ($listaPagodo as $key => $value) {
//            print_r($value->getCveCtl() . ",");
//        }
//        print_r('<br>');
//        print_r('-----------');
//        print_r('<br>');
        /**
         * ALUMNOS NO HAN PAGADO, SUMA DE MENSUALIDAD
         */
//        $dql = "SELECT SUM(a.costoMensualidad) as SumaTotal FROM CmBundle:Alumnos a WHERE a.estatus = 1 AND a.cvePla = {$idePla} AND a.paga = 1 AND a.ideAlu IN(
//	SELECT IDENTITY(p.cveAlu) FROM CmBundle:Pagos p WHERE 
//	(p.fecIni BETWEEN '{$primerDia}' AND '$ultimoDia') 
//	AND p.numero > 0
//	AND
//	p.staPag = 1
//	AND 
//	(p.cveAlu IN(
//		SELECT x.ideAlu FROM CmBundle:Alumnos x WHERE x.estatus = 1 AND x.cvePla = {$idePla} AND x.paga = 1 AND x.tipoAlumno IN(1,3,4,5)
//	)))";
//        $query = $em->createQuery($dql);
//        $sumaNoPagado = $query->getResult();


        $dql = "SELECT SUM(a.costoMensualidad) as SumaTotal, COUNT(a.costoMensualidad) "
                . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
                . "WHERE "
                . "a.ideAlu = p.cveAlu "
                . "AND a.cvePla = {$idePla} "
                . "AND a.tipoAlumno IN(1,3,4,5) "
                . "AND a.paga = 1 "
                . "AND (p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}' ) "
                . "AND p.numero > 0 "
                . "AND p.staPag = 1 ";
        $query = $em->createQuery($dql);
        $sumaNoPagado = $query->getResult();


//        $dql = "SELECT a "
//                . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
//                . "WHERE "
//                . "a.ideAlu = p.cveAlu "
//                . "AND a.cvePla = {$idePla} "
//                . "AND a.tipoAlumno IN(1,3,4,5) "
//                . "AND a.paga = 1 "
//                . "AND (p.fecIni BETWEEN '{$primerDia}' AND '{$ultimoDia}' ) "
//                . "AND p.numero > 0 "
//                . "AND p.staPag = 1 ";
//        $query = $em->createQuery($dql);
//        $listaNoPagado = $query->getResult();
//
//        foreach ($listaNoPagado as $key => $value) {
//            print_r($value->getCveCtl() . ",");
//        }
        // GRAFICA UNO: CIERRE DEL MES, POR PLANTEL EN ESPECÍFICO

        $series = array(
            array(
                "type" => "pie",
                "name" => "Alumnos",
                "data" => array(
                    array("Pagados Al Corte:<br>" . round(($siHanPagado[0] * 100) / count($totalAlumnosPorMes), 2) . "%", (round(($siHanPagado[0] * 100) / count($totalAlumnosPorMes), 2))),
                    array("Faltantes De Pago:<br>" . round(($noHanPagado[0] * 100) / count($totalAlumnosPorMes), 2) . "%", round(($noHanPagado[0] * 100) / count($totalAlumnosPorMes), 2)),
                    array("No Pagan:<br>" . round(($totalAlumnosNoPagan * 100) / count($totalAlumnosPorMes), 2) . "%", round(($totalAlumnosNoPagan * 100) / count($totalAlumnosPorMes), 2))
                )
        ));

        //$rosa = 'pink';
        $ob2 = new Highchart();
        $ob2->chart->type('pie');
        $ob2->chart->options3d(array('enabled' => true, 'alpha' => 45, 'beta' => 0));
        $ob2->chart->renderTo('cierreMensualidad');  // Nombre del #id de el div donde se mostrará la grafica
        //$ob2->chart->zoomType('x');
        $ob2->title->text('CIERRE ' . $nomMes);
        $ob2->tooltip->pointFormat('{series.name}: <b>{point.percentage:.1f}%</b>');
        $ob2->subtitle->text('');
        $ob2->colors('#64E572', '#FF9655', '#DDDF00', '#24CBE5', '#FFF263', '#6AF9C4', '#50B432', '#058DC7', '#ED561B');
        $ob2->plotOptions
                ->pie(
                        array(
                            'allowPointSelect' => 'true',
                            'depth' => 35,
                            'cursor' => 'pointer',
                            'dataLabels' => array(
                                'enabled' => true,
                                'format' => '{point.name}'
                            )
        ));
        //$ob2->xAxis->categories(array('PLANTELES')); //Categorias del eje X
        //$ob2->xAxis->title(array('text' => "PLANTELES"));
        //$ob2->yAxis->title(array('text' => "ALUMNOS")); //Título del eje Y
        $ob2->series($series);

        //return array($ob2, $totalAlumnos[0]['total'], $siHanPagado, $noHanPagado, $totalAlumnosNoPagan[0]['total'], $sumaPagado, $sumaNoPagado);

        return array($ob2, count($totalAlumnosPorMes), $siHanPagado, $noHanPagado, $totalAlumnosNoPagan, $sumaPagado, $sumaNoPagado, $plantel, $listaAlumnos);
    }

    /**
     * 
     * LISTAR LA BASE GENERAL
     */
    public function alumnosConsultarBGAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                $em = $this->getDoctrine()->getManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')
                        ->findOneBy(array('ideAlu' => $request->get('ideAlu')));
                $pagos = $em->getRepository('CmBundle:Pagos')
                        ->findBy(array('cveAlu' => $request->get('ideAlu')));
                $pagosConvenios = $em->getRepository('CmBundle:PagosConvenios')
                        ->findBy(array('cveAlu' => $request->get('ideAlu')));
                $convenios = $em->getRepository('CmBundle:Convenios')
                        ->findBy(array('cveAlu' => $request->get('ideAlu')));

                return $this->render('CmBundle:DireccionAdministrativa:detalles-alumno.html.twig', array(
                            'a' => $alumno,
                            'pagos' => $pagos,
                            'pagosConvenios' => $pagosConvenios,
                            'convenios' => $convenios));
            } else {
                $em = $this->getDoctrine()->getManager();

                if ($session->get('rol') == 99 | $session->get('rol') == 333) {
                    $alumnos = $em->getRepository('CmBundle:Alumnos')
                            ->findBy(
                            array(
                                'cvePla' => array(1, 2, 3, 4, 13, 21),
                                'tipoAlumno' => array(1, 3, 4, 5),
                                'estatus' => 1
                            ), array(
                        'cvePla' => 'ASC',
                        'tipoAlumno' => 'DESC',
                        'cveLic' => 'ASC',
                        'numero' => 'DESC',
                        'apePat' => 'ASC',
                        'apeMat' => 'ASC',
                        'nomAlu' => "ASC"
                            )
                    );
                } else {
                    $auxPlantel = $em->getRepository('CmBundle:Planteles')
                            ->findOneBy(array('cvePla' => $session->get('plantel')));

                    $alumnos = $em->getRepository('CmBundle:Alumnos')
                            ->findBy(
                            array(
                                'cvePla' => array($auxPlantel->getIdePla()),
                                'tipoAlumno' => array(1, 3, 4, 5),
                                'estatus' => 1
                            ), array(
                        'cvePla' => 'ASC',
                        'tipoAlumno' => 'DESC',
                        'cveLic' => 'ASC',
                        'numero' => 'DESC',
                        'apePat' => 'ASC',
                        'apeMat' => 'ASC',
                        'nomAlu' => "ASC"
                            )
                    );
                }

                $hoy = new \DateTime(date('Y-m-d'));
                $hoy = $hoy->modify('last day of this month');

                $listaAlumnos = [];
                foreach ($alumnos as $key => $value) {
                    $array = [$value];
                    /*
                     * CHECAR ADEUDO DE PAGOS DE COLEGIATURAS y REINSCRIPCIONES
                     */
                    $dql = "SELECT p "
                            . "FROM CmBundle:Pagos p "
                            . "WHERE p.fecIni <= :hoy "
                            . "AND p.staPag = 1 "
                            . "AND p.cveAlu = :alu";
                    $query = $em->createQuery($dql);
                    $query->setParameter('hoy', $hoy);
                    $query->setParameter('alu', $value->getIdeAlu());
                    $pagos = $query->getResult();

                    if (count($pagos) > 0) {
                        $sumaAdeudo = 0;
                        foreach ($pagos as $k => $v) {
                            if ($v->getNumero() > 0) { // MENSUALIDA o COLEGIATURA
                                $sumaAdeudo = $sumaAdeudo + $value->getCostoMensualidad() + 200;
                            } else { // ES UNA INSCRIPCIÓN O REINSCRIPCIÓN
                                $sumaAdeudo = $sumaAdeudo + $value->getCostoReinscripciones() + 100;
                            }
                        }
                        $array[] = $sumaAdeudo;
                    } else {
                        $array[] = 0;
                    }

                    /*
                     * CHECAR SI ESTE ALUMNO TIENE UNA CUENTA EN EXAMEN UNICO
                     */
                    $auxEU = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('curp' => $value->getCurp(), 'tipoAlumno' => 2));

                    if ($auxEU != null & $value->getCurp() != "") {
                        $array[] = $auxEU;
                        /**
                         * BUSCAR TODOS LOS PAGOS QUE HA REALIZADO EL ALUMNO, CON RESPECTO A EXAMEN UNICO
                         */
                        $pagosEU = $em->getRepository('CmBundle:Pagos')
                                ->findBy(array('cveAlu' => $auxEU->getIdeAlu()));
                        $sumaAbonado = 0;
                        $sumaRestan = 0;

                        $pagosConAbonos = array();
                        if ($pagosEU != null) {
                            foreach ($pagosEU as $kk => $vv) {
                                $listaPagos = $em->getRepository('CmBundle:Ingresos')
                                        ->findBy(array('cveAlu' => $auxEU->getIdeAlu(), 'cvePag' => $vv->getIdePag()));
                                $suma = 0;
                                foreach ($listaPagos as $ke => $ve) {
                                    $suma = $suma + $ve->getMonto();
                                }
                                $pagosConAbonos[$kk] = array($vv, $suma);
                            }

                            foreach ($pagosConAbonos as $valor) {
                                $sumaAbonado = $sumaAbonado + $valor[1];
                                $sumaRestan = $sumaRestan + $valor[0]->getMonto();
                            }
                            $array[] = ($sumaRestan - $sumaAbonado);
                        } else {
                            $array[] = 0;
                        }
                    } else {
                        $array[] = "NO";
                        $array[] = "NO";
                    }


                    $listaAlumnos[] = $array;
                }

                return $this->render('CmBundle:DireccionAdministrativa:consulta-alumno.html.twig', array('alumnos' => $listaAlumnos));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function hpAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {

            if ($request->getMethod() == "POST") {
                $em = $this->getDoctrine()->getManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')
                        ->findOneBy(array('ideAlu' => $request->get('ideAlu')));
                $pagos = $em->getRepository('CmBundle:Pagos')
                        ->findBy(array('cveAlu' => $request->get('ideAlu')));
                $pagosConvenios = $em->getRepository('CmBundle:PagosConvenios')
                        ->findBy(array('cveAlu' => $request->get('ideAlu')));
                $convenios = $em->getRepository('CmBundle:Convenios')
                        ->findBy(array('cveAlu' => $request->get('ideAlu')));

                return $this->render('CmBundle:DireccionAdministrativa:detalles-alumno.html.twig', array(
                            'a' => $alumno,
                            'pagos' => $pagos,
                            'pagosConvenios' => $pagosConvenios,
                            'convenios' => $convenios));
            } else { // NO FUE POST
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    function nueve($idePla, $ideLic, $mes) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        //$auxMes = substr($mes, 5, 6);
        $auxMes = $mes;
        if ($ideLic != "default") {
            $dql = "SELECT p "
                    . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
                    . "WHERE "
                    . "p.cveAlu = a.ideAlu "
                    . "AND "
                    . "p.numero = 1 "
                    . "AND "
                    . "DATE_FORMAT(p.fecIni,'%Y-%m') = '{$auxMes}' "
                    . "AND "
                    . "a.cvePla = {$idePla} "
                    . "AND "
                    . "a.estatus = 1 "
                    . "AND "
                    . "a.cveLic = {$ideLic} "
                    . "AND (p.staPag = 2 OR p.staPag = 69) "
                    . "ORDER BY a.tipoAlumno,a.cveLic,a.numero,a.apePat,a.apeMat,a.nomAlu DESC";
            $query = $em->createQuery($dql);
            $alumnos = $query->getResult();
        } else {

            $dql = "SELECT p "
                    . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
                    . "WHERE "
                    . "p.cveAlu = a.ideAlu "
                    . "AND "
                    . "p.numero = 1 "
                    . "AND "
                    . "DATE_FORMAT(p.fecIni,'%Y-%m') = '{$auxMes}' "
                    . "AND "
                    . "a.cvePla = {$idePla} "
                    . "AND "
                    . "a.estatus = 1 "
                    . "AND (p.staPag = 2 OR p.staPag = 69) "
                    . "ORDER BY a.tipoAlumno,a.cveLic,a.numero,a.apePat,a.apeMat,a.nomAlu DESC";
            $query = $em->createQuery($dql);
            $alumnos = $query->getResult();
        }
        return $alumnos;
    }

    function diez($idePla, $mes) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        $auxMes = substr($mes, 5, 6);

        $fecha = new \DateTime($mes);

        $fecFin = $fecha->modify('last day of this month');

        $fecIni = $mes . "-01";

        $dql = "SELECT p "
                . "FROM CmBundle:Pagos p "
                . "WHERE p.cveAlu IN(SELECT a.ideAlu FROM CmBundle:Alumnos a WHERE a.cvePla = {$idePla} AND a.tipoAlumno IN(1,3,4,5) ORDER BY a.tipoAlumno ASC,a.cveLic ASC,a.numero DESC) "
                . "AND (p.fecIni BETWEEN '{$fecIni}' AND '{$fecFin->format('Y-m-d')}' ) "
                . "AND (p.staPag = 1) AND p.numero > 0";

        $query = $em->createQuery($dql);
        $alumnos = $query->getResult();
        return $alumnos;
    }

    //CONUSLTAS CONTROL ESCOLAR, REFERENTE A EXAMEN UNICO
    public function cEUceAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {

                $numAplicacion = $request->get('numAplicacion');

                $em = $this->getDoctrine()->getEntityManager();

                /*
                 * PASO 1: Traer todos los id´s de los numeros de aplicaciones
                 * que coinciden con la varible $numAplicacion
                 */
                $aplicaciones = $em->getRepository('CmBundle:AplicacionExamenUnico')
                        ->findBy(array('numeroAplicacion' => $numAplicacion));

                $plantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('cvePla' => $session->get('plantel')));

                /* $dql = "SELECT a "
                  . "FROM CmBundle:Alumnos a "
                  . "WHERE a.cveNumApli = :cve ";
                  $query = $em->createQuery($dql);
                  $query->setParameter('cve', $aplicaciones);
                  $alumnos = $query->getResult(); */
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy(
                        array(
                            'cveNumApli' => $aplicaciones,
                            'estatus' => array(1, 12),
                            'cvePla' => $plantel->getIdePla()
                        ), array(
                    'cveNumApli' => 'ASC',
                    'apePat' => 'ASC',
                    'apeMat' => 'ASC',
                    'nomAlu' => 'ASC'
                        )
                );

                $datos = array();

                foreach ($alumnos as $k => $v) {
                    $pagos = $em->getRepository('CmBundle:Pagos')
                            ->findBy(array('cveAlu' => $v->getIdeAlu()));
                    $pagosConAbonos = array();
                    $detallesBachi = $em->getRepository('CmBundle:DetallesBachiEu')
                            ->findOneBy(array('cveAlu' => $v->getIdeAlu()));
                    /**
                     * RECUPERAR EL LISTADO DE DOCUMENTACIÓN DIGITAL
                     */
                    $rutaCURP = "archivo/" . $v->getCveCtl() . "-curp.pdf";
                    $rutaActa = "archivo/" . $v->getCveCtl() . "-an.pdf";
                    $rutaCert = "archivo/" . $v->getCveCtl() . "-cs.pdf";

                    if ($v->getFecTer() != null) {
                        $date1 = new DateTime($v->getFecTer()->format('Y-m-d'));
                        $date2 = new DateTime("now");
                        $diff = $date1->diff($date2);
                    } else {
                        $date1 = new DateTime("now");
                        $date2 = new DateTime("now");
                        $diff = $date1->diff($date2);
                    }



                    if (file_exists($rutaCURP) & file_exists($rutaActa) & file_exists($rutaCert)) {
                        $detallesBachi->setDocumentacionDigital(1);
                        $em->persist($detallesBachi);
                        $em->flush();
                    } else {
                        $detallesBachi->setDocumentacionDigital(0);
                        $em->persist($detallesBachi);
                        $em->flush();
                    }

                    // TERMINA LA COMPROBACIÓN DE DOCUMENTACIÓN DIGITAL

                    $numeroPagos = 0;
                    foreach ($pagos as $key => $value) {
                        $listaPagos = $em->getRepository('CmBundle:Ingresos')
                                ->findBy(array('cveAlu' => $v->getIdeAlu(), 'cvePag' => $value->getIdePag()));
                        $suma = 0;
                        foreach ($listaPagos as $kk => $vv) {
                            $suma = $suma + $vv->getMonto();
                            $numeroPagos++;
                        }
                        $pagosConAbonos[$key] = array($value, $suma);
                    }
                    if ($diff->y == null) {
                        $datos[$k] = array($v, $pagosConAbonos, $numeroPagos, $detallesBachi, "0");
                    } else {
                        $datos[$k] = array($v, $pagosConAbonos, $numeroPagos, $detallesBachi, $diff->y);
                    }
                }

                //var_dump($datos);

                return $this->render('CmBundle:EU:ce_listas.html.twig', array('alumnos' => $alumnos, 'numApli' => $numAplicacion, 'datos' => $datos));
            } else {
                $em = $this->getDoctrine()->getEntityManager();
                $dql = "SELECT DISTINCT(a.numeroAplicacion) aplicacion, a.estatus estatus "
                        . "FROM CmBundle:AplicacionExamenUnico a ";
                $query = $em->createQuery($dql);
                $aplicaciones = $query->getResult();

                return $this->render('CmBundle:EU:ce_vista.html.twig', array('aplicaciones' => $aplicaciones));
            }
        } else {
            $this->get('session')->getFlashBag()->add(
                    'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

}
