<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use CmBundle\Controller\ConsultasController;
use CmBundle\Entity\Reinscripciones;
use CmBundle\Entity\Pagos;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of ControlEscolarController
 *
 * @author Omar
 */
class ControlEscolarController extends Controller {

    //put your code here
    public function consultaAlumnosAdeudosAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3)) {

            if ($request->getMethod() == "POST") {
                $idePla = $request->get('p');
                $ideLic = $request->get('l');
                $mes = $request->get('m');
                $numCua = $request->get('numCua');

                switch ($request->get('x')) {
                    case 1:
                        return $this->render('CmBundle:CE:uno.html.twig', array('datos' => $this->uno($idePla, $ideLic, $numCua)));
                        break;
                    case 2:
                        //return $this->render('CmBundle:Consultas:uno.html.twig', array('datos' => $this->uno($idePla, $ideLic)));
                        break;
                    case 3:
                        return $this->render('CmBundle:CE:tres.html.twig', array('datos' => $this->tres($idePla, $ideLic)));
                        break;
                    case 4:
                        return $this->render('CmBundle:CE:cuatro.html.twig');
                        break;
                    case 5:
                        return $this->render('CmBundle:CE:cinco.html.twig', array('datos' => $this->cinco($idePla, $ideLic)));
                        break;
                    case 6:
                        return $this->render('CmBundle:CE:seis.html.twig', array('idePla' => $idePla, 'mes' => $mes));
                        break;
                    case 7:
                        return $this->render('CmBundle:Consultas:siete.html.twig');
                        break;
                    case 8:
                        return $this->render('CmBundle:CE:ocho.html.twig', array('datos' => $this->ocho($idePla, $ideLic, $mes), 'mes' => $mes));
                        break;
                    case 9:
                        // REINCRIPCIONES
                        return $this->render('CmBundle:CE:nueve.html.twig', array('datos' => $this->nueve($idePla, $ideLic, $mes), 'mes' => $mes));
                        break;
                    case 10:
                        // X QUE NO CIERRA EL MES
                        return $this->render('CmBundle:CE:diez.html.twig', array('datos' => $this->diez($idePla, $mes), 'mes' => $mes));
                        break;
                }
            } else { // NO FUE POST
                $em = $this->getDoctrine()->getManager();
                $planteles = $em->getRepository('CmBundle:Planteles')->findBy(array('cvePla' => $session->get('plantel')));
                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')->findBy(array(), array('cveNivAca' => 'ASC', 'nomLic' => 'ASC'));

                return $this->render('CmBundle:CE:vistaConsultas.html.twig', array(
                            'planteles' => $planteles,
                            'licenciaturas' => $licenciaturas
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function vistaInvacionAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {
                $idePla = $request->get('p');
                $ideLic = $request->get('l');
                $numCua = $request->get('numCua');

                switch ($request->get('x')) {
                    case 1:
                        return $this->render('CmBundle:CE:unoInvasion.html.twig', array('datos' => $this->unoInvasion($idePla, $ideLic, $numCua)));
                        break;
                    case 2:
                        return $this->render('CmBundle:Consultas:uno.html.twig', array('datos' => $this->uno($idePla, $ideLic)));
                        break;
                    case 3:
                        return $this->render('CmBundle:CE:tres.html.twig', array('datos' => $this->tres($idePla, $ideLic)));
                        break;
                }
            } else { // NO FUE POST
                $em = $this->getDoctrine()->getManager();
                $planteles = $em->getRepository('CmBundle:Planteles')->findBy(array('cvePla' => $session->get('plantel')));
                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')->findBy(array(), array('cveNivAca' => 'ASC', 'nomLic' => 'ASC'));

                return $this->render('CmBundle:CE:vistaInvaciones.html.twig', array(
                            'planteles' => $planteles,
                            'licenciaturas' => $licenciaturas
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function gFechaTerminoAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            setlocale(LC_ALL, "es_MX");

            if ($request->getMethod() == "POST") {

                $fecTer = $request->get('fecTer');
                $ideAlu = $request->get('ideAlu');

                $em = $this->getDoctrine()->getManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));
                $alumno->setFecTer(new \DateTime($fecTer));
                $em->persist($alumno);
                $em->flush();

                return $this->render('CmBundle:CE:correctoFechaTermino.html.twig',
                                array(
                                    'fecTer' => $alumno->getFecTer()
                                )
                );
            } else { // NO FUE POST
                $em = $this->getDoctrine()->getManager();

                $ideAlu = $request->get('ideAlu');

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                $datos = null;
                $hoy = new \DateTime(date("now"));
                if ($alumno->getFecTer() != null) {
                    $fecTermino = $alumno->getFecTer();
                    $dif = $hoy->diff($fecTermino);
                    $datos = array($dif->y, $dif->m, $dif->d);
                } else {
                    $datos = array(0, 0, 0);
                }

                return $this->render('CmBundle:CE:correctoAntiguedad.html.twig',
                                array(
                                    'datos' => $datos
                                )
                );
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    function unoInvasion($idePla, $ideLic, $numCua) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        if ($ideLic != "default") {
            if ($numCua != "default") {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5), 'numero' => $numCua
                        ),
                        array(
                            'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                );
//                $alumnosOtroEstatus = $em->getRepository('CmBundle:Alumnos')
//                        ->findBy
//                        (
//                        array(
//                            'cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => array(6, 9, 10, 11, 14), 'tipoAlumno' => array(1, 3, 4, 5)
//                        ),
//                        array(
//                            'estatus' => 'DESC', 'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
//                );
//                $alumnosEgresados = $em->getRepository('CmBundle:Alumnos')
//                        ->findBy
//                        (
//                        array(
//                            'cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => array(12), 'tipoAlumno' => array(1, 3, 4, 5)
//                        ),
//                        array(
//                            'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
//                );
            } else {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)
                        ),
                        array(
                            'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                );
//                $alumnosOtroEstatus = $em->getRepository('CmBundle:Alumnos')
//                        ->findBy
//                        (
//                        array(
//                            'cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => array(6, 9, 10, 11, 14), 'tipoAlumno' => array(1, 3, 4, 5)
//                        ),
//                        array(
//                            'estatus' => 'DESC', 'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
//                );
//                $alumnosEgresados = $em->getRepository('CmBundle:Alumnos')
//                        ->findBy
//                        (
//                        array(
//                            'cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => array(12), 'tipoAlumno' => array(1, 3, 4, 5)
//                        ),
//                        array(
//                            'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
//                );
            }
        } else {
            if ($numCua != "default") {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5), 'numero' => $numCua
                        ),
                        array(
                            'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                );
//                $alumnosOtroEstatus = $em->getRepository('CmBundle:Alumnos')
//                        ->findBy
//                        (
//                        array(
//                            'cvePla' => $idePla, 'estatus' => array(6, 9, 10, 11), 'tipoAlumno' => array(1, 3, 4, 5)
//                        ),
//                        array(
//                            'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
//                );
//                $alumnosEgresados = $em->getRepository('CmBundle:Alumnos')
//                        ->findBy
//                        (
//                        array(
//                            'cvePla' => $idePla, 'estatus' => array(12), 'tipoAlumno' => array(1, 3, 4, 5)
//                        ),
//                        array(
//                            'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
//                );
            } else {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)
                        ),
                        array(
                            'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                );
//                $alumnosOtroEstatus = $em->getRepository('CmBundle:Alumnos')
//                        ->findBy
//                        (
//                        array(
//                            'cvePla' => $idePla, 'estatus' => array(6, 9, 10, 11), 'tipoAlumno' => array(1, 3, 4, 5)
//                        ),
//                        array(
//                            'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
//                );
//                $alumnosEgresados = $em->getRepository('CmBundle:Alumnos')
//                        ->findBy
//                        (
//                        array(
//                            'cvePla' => $idePla, 'estatus' => array(12), 'tipoAlumno' => array(1, 3, 4, 5)
//                        ),
//                        array(
//                            'tipoAlumno' => 'DESC', 'cveLic' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
//                );
            }
        }


        //INICIAREMOS LA BUSQUEDA DE INVASIÓN DE CICLOS PARA EL NIVEL LICENCIATURA/MAESTRÍA/DOCTORADO

        $resultadosLic = [];
        $resultadosMae = [];
        $resultadosDoc = [];



        foreach ($alumnos as $k => $a) {
            $documentosLic = [];
            $documentosMae = [];
            $documentosDoc = [];

            $tipoAlumno = $a->getTipoAlumno();
            $hoy = new \DateTime(date("Y-m-d"));

            $actaNacimiento = "archivo/" . $a->getCveCtl() . "-an.pdf";
            $certificadoSecundaria = "archivo/" . $a->getCveCtl() . "-cs.pdf";
            $certificadoBachillerato = "archivo/" . $a->getCveCtl() . "-cb.pdf";
            $certificadoTotalLicenciatura = "archivo/" . $a->getCveCtl() . "-ctl.pdf";
            $cedulaLic = "archivo/" . $a->getCveCtl() . "-cedLic.pdf";
            $certificadoTotalMaestria = "archivo/" . $a->getCveCtl() . "-ctm.pdf";
            $tituloLicenciatura = "archivo/" . $a->getCveCtl() . "-tl.pdf";
            $tituloMaestria = "archivo/" . $a->getCveCtl() . "-tm.pdf";
            $cedulaMae = "archivo/" . $a->getCveCtl() . "-cedMae.pdf";
            $ifeIne = "archivo/" . $a->getCveCtl() . "-ine.pdf";
            $curp = "archivo/" . $a->getCveCtl() . "-curp.pdf";
            $comprobanteDomiciliario = "archivo/" . $a->getCveCtl() . "-comDom.pdf";



            switch ($tipoAlumno) {
                case 3: //LICENCIATURA
                    //VALIDAR MÍNIMO 3 AÑOS

                    /*
                     * VERIFCIAR QUE EXISTA LA DOCUMENTACIÓN DE LICENCIATURA
                     */


                    if (file_exists($actaNacimiento)) {
                        array_push($documentosLic, array("A.N." => $actaNacimiento));
                    } else {
                        array_push($documentosLic, array("A.N." => "NO"));
                    }
                    if (file_exists($certificadoBachillerato)) {
                        array_push($documentosLic, array("C.B." => $certificadoBachillerato));
                    } else {
                        array_push($documentosLic, array("C.B." => "NO"));
                    }
                    if (file_exists($curp)) {
                        array_push($documentosLic, array("CURP" => $curp));
                    } else {
                        array_push($documentosLic, array("CURP" => "NO"));
                    }
                    /*
                     * TERMINA LA VERIFICACIÓN DE DOCUMENTACIÓN LICENCIATURA
                     */

                    if ($a->getFecTer() != null) {
                        $fecBachillerato = $a->getFecTer();
                        $dif = $hoy->diff($fecBachillerato);
                        $resultadosLic[] = array($a, $dif->y, $dif->m, $dif->d, "X", $documentosLic);
                    } else {
                        $resultadosLic[] = array($a, 0, 0, 0, "X", $documentosLic);
                    }

                    //var_dump($resultadosLic[0][5]);


                    break;
                case 4:
                    //VALIDAR MÍNIMO 3 AÑOS

                    /*
                     * VERIFCIAR QUE EXISTA LA DOCUMENTACIÓN DE MAESTRÍA
                     */

                    if (file_exists($actaNacimiento)) {
                        array_push($documentosMae, array("A.N." => $actaNacimiento));
                    } else {
                        array_push($documentosMae, array("A.N." => "NO"));
                    }
                    if (file_exists($certificadoTotalLicenciatura)) {
                        array_push($documentosMae, array("C.L." => $certificadoTotalLicenciatura));
                    } else {
                        array_push($documentosMae, array("C.L." => "NO"));
                    }
                    if (file_exists($curp)) {
                        array_push($documentosMae, array("CURP" => $curp));
                    } else {
                        array_push($documentosMae, array("CURP" => "NO"));
                    }
                    /*
                     * TERMINA LA VERIFICACIÓN DE DOCUMENTACIÓN MAESTRÍA
                     */

                    if ($a->getFecTer() != null) {
                        $fecBachillerato = $a->getFecTer();
                        $dif = $hoy->diff($fecBachillerato);
                        $resultadosMae[] = array($a, $dif->y, $dif->m, $dif->d, "X", $documentosMae);
                    } else {
                        $resultadosMae[] = array($a, 0, 0, 0, "X", $documentosMae);
                    }


                    break;
                case 5:
                    //VALIDAR MÍNIMO 3 AÑOS

                    /*
                     * VERIFCIAR QUE EXISTA LA DOCUMENTACIÓN DE DOCTORADO
                     */

                    if (file_exists($actaNacimiento)) {
                        array_push($documentosDoc, array("A.N." => $actaNacimiento));
                    } else {
                        array_push($documentosDoc, array("A.N." => "NO"));
                    }
                    if (file_exists($certificadoTotalLicenciatura)) {
                        array_push($documentosDoc, array("C.L." => $certificadoTotalLicenciatura));
                    } else {
                        array_push($documentosDoc, array("C.L." => "NO"));
                    }
                    if (file_exists($certificadoTotalMaestria)) {
                        array_push($documentosDoc, array("C.M." => $certificadoTotalMaestria));
                    } else {
                        array_push($documentosDoc, array("C.M." => "NO"));
                    }
                    if (file_exists($curp)) {
                        array_push($documentosDoc, array("CURP" => $curp));
                    } else {
                        array_push($documentosDoc, array("CURP" => "NO"));
                    }
                    /*
                     * TERMINA LA VERIFICACIÓN DE DOCUMENTACIÓN DE DOCTORADO
                     */

                    if ($a->getFecTer() != null) {
                        $fecBachillerato = $a->getFecTer();
                        $dif = $hoy->diff($fecBachillerato);
                        $resultadosDoc[] = array($a, $dif->y, $dif->m, $dif->d, "X", $documentosDoc);
                    } else {
                        $resultadosDoc[] = array($a, 0, 0, 0, "X", $documentosDoc);
                    }

                    break;
            }
        }
        //die();

        return array($resultadosLic, $resultadosMae, $resultadosDoc);
    }

    function uno($idePla, $ideLic, $numCua) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        if ($ideLic != "default") {
            if ($numCua != "default") {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla,
                            'cveLic' => $ideLic,
                            'estatus' => 1,
                            'tipoAlumno' => array(1, 3, 4, 5),
                            'numero' => $numCua
                        ), array(
                    'tipoAlumno' => 'DESC',
                    'cveLic' => 'DESC',
                    'numero' => 'DESC',
                    'apePat' => 'ASC',
                    'apeMat' => 'ASC',
                    'nomAlu' => 'ASC'
                        )
                );
            } else {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla,
                            'cveLic' => $ideLic,
                            'estatus' => 1,
                            'tipoAlumno' => array(1, 3, 4, 5)
                        ), array(
                    'tipoAlumno' => 'DESC',
                    'cveLic' => 'DESC',
                    'numero' => 'DESC',
                    'apePat' => 'ASC',
                    'apeMat' => 'ASC',
                    'nomAlu' => 'ASC'
                        )
                );
            }
        } else {
            if ($numCua != "default") {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla,
                            'estatus' => 1,
                            'tipoAlumno' => array(1, 3, 4, 5),
                            'numero' => $numCua
                        ), array(
                    'tipoAlumno' => 'DESC',
                    'cveLic' => 'DESC',
                    'numero' => 'DESC',
                    'apePat' => 'ASC',
                    'apeMat' => 'ASC',
                    'nomAlu' => 'ASC')
                );
            } else {
                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy
                        (
                        array(
                            'cvePla' => $idePla,
                            'estatus' => 1,
                            'tipoAlumno' => array(1, 3, 4, 5)
                        ), array(
                    'tipoAlumno' => 'DESC',
                    'cveLic' => 'DESC',
                    'numero' => 'DESC',
                    'apePat' => 'ASC',
                    'apeMat' => 'ASC',
                    'nomAlu' => 'ASC')
                );
            }
        }

        $hoy = new \DateTime(date('Y-m-d'));
        $hoy = $hoy->modify('first day of this month');

        $listaAlumnosConAdeudos = [];
        $listaAlumnosSinAdeudos = [];

        foreach ($alumnos as $key => $value) {
            if ($value->getPaga() != 0) { // QUITAMOS TODOS LOS QUE NO PAGAN
                $dql = "SELECT p "
                        . "FROM CmBundle:Pagos p "
                        . "WHERE p.fecIni <= :hoy "
                        . "AND p.staPag = 1 "
                        . "AND p.cveAlu = :alu";
                $query = $em->createQuery($dql);
                $query->setParameter('hoy', $hoy);
                $query->setParameter('alu', $value->getIdeAlu());
                $pagos = $query->getResult();

                if (count($pagos) > 0) {
                    $listaAlumnosConAdeudos[] = array($value, $pagos);
                } else {
                    $listaAlumnosSinAdeudos[] = array($value, 1);
                }
            } else {
                $listaAlumnosSinAdeudos[] = array($value, 0);
            }
        }

//        foreach ($listaAlumnosConAdeudos as $key => $value) {
//            print_r($value[0]->getCveLic()->getNomLic());
//            print_r("---");
//            print_r($value[0]->getIdeAlu());
//            print_r("<br>");
//        }
//
//        //die();
//        print_r("<br>");
//        print_r("<br>");
//
//        foreach ($listaAlumnosConAdeudos as $key => $value) {
//            print_r($value[0]->getCveLic()->getNomLic());
//            print_r("---");
//            print_r($value[0]->getIdeAlu());
//            print_r("<br>");
//        }

        return array($listaAlumnosConAdeudos, $listaAlumnosSinAdeudos);
    }

    function dos($idePla, $ideLic) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        if ($ideLic != "default") {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)), array('numero' => 'DESC', 'apePat' => 'ASC')
            );
        } else {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)), array('numero' => 'DESC', 'apePat' => 'ASC')
            );
        }


        $hoy = new \DateTime(date('Y-m-d'));
        $hoy = $hoy->modify('last day of this month');

        $listaAlumnosConAdeudos = [];
        foreach ($alumnos as $key => $value) {

            $dql = "SELECT p "
                    . "FROM CmBundle:Pagos p "
                    . "WHERE p.fecIni <= :hoy "
                    . "AND p.staPag = 1 "
                    . "AND p.cveAlu = :alu";
            $query = $em->createQuery($dql);
            $query->setParameter('hoy', $hoy);
            $query->setParameter('alu', $value->getIdeAlu());
            $pagos = $query->getResult();

            if (count($pagos) > 0) {
                $listaAlumnosConAdeudos[] = array($value, $pagos);
            }
        }
        return $listaAlumnosConAdeudos;
    }

    function tres($idePla, $ideLic) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        if ($ideLic != "default") {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => 1, 'credencial' => 1), array('numero' => 'DESC', 'apePat' => 'ASC')
            );
        } else {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => 1, 'credencial' => 1), array('numero' => 'DESC', 'apePat' => 'ASC')
            );
        }
        return $alumnos;
    }

    function cinco($idePla, $ideLic) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        if ($ideLic != "default") {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
            $alumnosOtroEstatus = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => array(6, 9, 10, 11, 14), 'tipoAlumno' => array(1, 3, 4, 5)), array('estatus' => 'DESC', 'tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
            $alumnosEgresados = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'cveLic' => $ideLic, 'estatus' => array(12), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
        } else {
            $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
            $alumnosOtroEstatus = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => array(6, 9, 10, 11), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
            $alumnosEgresados = $em->getRepository('CmBundle:Alumnos')
                    ->findBy
                    (
                    array('cvePla' => $idePla, 'estatus' => array(12), 'tipoAlumno' => array(1, 3, 4, 5)), array('tipoAlumno' => 'DESC', 'numero' => 'DESC', 'cveLic' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
            );
        }
        return array($alumnos, $alumnosOtroEstatus, $alumnosEgresados);
    }

    function ocho($idePla, $ideLic, $mes) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        $auxMes = substr($mes, 5, 6);
        if ($ideLic != "default") {
            $dql = "SELECT a "
                    . "FROM CmBundle:Alumnos a "
                    . "WHERE a.cvePla = {$idePla} "
                    . "AND a.cveLic = {$ideLic} "
                    . "AND DATE_FORMAT(a.fecNac,'%m') = '{$auxMes}'";
            $query = $em->createQuery($dql);
            $alumnos = $query->getResult();
        } else {

            $dql = "SELECT a "
                    . "FROM CmBundle:Alumnos a "
                    . "WHERE a.cvePla = {$idePla} "
                    . "AND DATE_FORMAT(a.fecNac,'%m') = '{$auxMes}'";
            $query = $em->createQuery($dql);
            $alumnos = $query->getResult();
        }
        return $alumnos;
    }

    function nueve($idePla, $ideLic, $mes) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        //$auxMes = substr($mes, 5, 6);
        $auxMes = $mes;
        if ($ideLic != "default") {
            $dql = "SELECT p "
                    . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
                    . "WHERE "
                    . "p.cveAlu = a.ideAlu "
                    . "AND "
                    . "p.numero = 1 "
                    . "AND "
                    . "DATE_FORMAT(p.fecIni,'%Y-%m') = '{$auxMes}' "
                    . "AND "
                    . "a.cvePla = {$idePla} "
                    . "AND "
                    . "a.tipoAlumno <> 2 "
                    . "AND "
                    . "a.estatus = 1 "
                    . "AND "
                    . "a.cveLic = {$ideLic} "
                    . "AND (p.staPag = 2 OR p.staPag = 69 OR p.staPag = 1) "
                    . "ORDER BY a.tipoAlumno,a.cveLic,a.numero,a.apePat,a.apeMat,a.nomAlu DESC";
            $query = $em->createQuery($dql);
            $alumnos = $query->getResult();
        } else {

            $dql = "SELECT p "
                    . "FROM CmBundle:Pagos p, CmBundle:Alumnos a "
                    . "WHERE "
                    . "p.cveAlu = a.ideAlu "
                    . "AND "
                    . "p.numero = 1 "
                    . "AND "
                    . "DATE_FORMAT(p.fecIni,'%Y-%m') = '{$auxMes}' "
                    . "AND "
                    . "a.cvePla = {$idePla} "
                    . "AND "
                    . "a.tipoAlumno <> 2 "
                    . "AND "
                    . "a.estatus = 1 "
                    . "AND (p.staPag = 2 OR p.staPag = 69 OR p.staPag = 1) "
                    . "ORDER BY a.tipoAlumno,a.cveLic,a.numero,a.apePat,a.apeMat,a.nomAlu DESC";
            $query = $em->createQuery($dql);
            $alumnos = $query->getResult();
        }
        $todosPagos = [];
        foreach ($alumnos as $key => $value) {
            $pagos = $em->getRepository('CmBundle:Pagos')->findBy(array('cveAlu' => $value->getCveAlu()));
            $todosPagos[] = array($value, $pagos);
        }
        $reinscripciones = [];
        foreach ($todosPagos as $key => $value) {
            $auxPago = $value[0];
            $auxPagos = $value[1];
            //print_r($key + 1);
            foreach ($auxPagos as $kk => $vv) {
                if ($auxPago == $vv) {
                    //print_r("MENSUALIDAD: " . $kk);
                    //print_r("REINSCRIPCIÓN: " . ($kk - 1));
                    //print_r("<br>");
                    $reinscripciones[] = array($value[0], $value[1][$kk - 1], $value[1][$kk]);
                }
            }
        }

//        foreach ($reinscripciones as $key => $value) {
//            print_r(($key + 1) . " ");
//            print_r("<br>Elementos:".count($value)."<br>");
//            print_r($value[0]->getCveAlu()->getNomAlu() . " : " . $value[1]->getIdePag() . " : " . $value[2]->getIdePag());
//            print_r("<br>");
//
//            
//        }
//
//        print_r("PAGOS: " . count($todosPagos));
//        print_r("ALUMNOS: " . count($alumnos));
        //return $alumnos;
        return $reinscripciones;
    }

    function diez($idePla, $mes) {
        $em = $this->getDoctrine()->getEntityManager();
        $alumnos = 0;
        $auxMes = substr($mes, 5, 6);

        $fecha = new \DateTime($mes);

        $fecFin = $fecha->modify('last day of this month');

        $fecIni = $mes . "-01";

        $dql = "SELECT p "
                . "FROM CmBundle:Pagos p "
                . "WHERE p.cveAlu IN(SELECT a.ideAlu FROM CmBundle:Alumnos a WHERE a.cvePla = {$idePla} AND a.tipoAlumno IN(1,3,4,5)) "
                . "AND (p.fecIni BETWEEN '{$fecIni}' AND '{$fecFin->format('Y-m-d')}' ) "
                . "AND (p.staPag = 1) AND p.numero > 0";

        $query = $em->createQuery($dql);
        $alumnos = $query->getResult();
        return $alumnos;
    }

    public function reinscripcionAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {
            $session->set("vista", "caja");
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $ideAlu = $request->get('ideAlu');
                $numero = $request->get('numeroR');
                $fechaR = $request->get('fechaR');
                $periodoR = $request->get('periodoR');


                $alumno = $em->getRepository('CmBundle:Alumnos')
                        ->findOneBy(array('ideAlu' => $ideAlu));

                /**
                 * VALIDAR QUE EL ALUMNO NO ESTÉ REINSCRITO EN EL PERIODO INDICADO
                 */
                $validarR = $em->getRepository('CmBundle:Reinscripciones')
                        ->findOneBy(array('cveAlu' => $ideAlu, 'periodo' => $periodoR));

                $banderaR = 0;

                if ($validarR == null) {
                    /**
                     * CREAR EL REGISTRO DE LA REINSCRIPCION
                     */
                    $reinscripcion = new Reinscripciones();
                    $reinscripcion->setCveAlu($alumno);
                    $reinscripcion->setCvePla($alumno->getCvePla());
                    $reinscripcion->setCveRei($periodoR);
                    $reinscripcion->setEstatus(1);
                    $reinscripcion->setPeriodo($periodoR);
                    $reinscripcion->setFecMov(new \DateTime(date('Y-m-d')));
                    $reinscripcion->setHorMov(new \DateTime(date('H:i:s')));
                    $reinscripcion->setNumero($numero);

                    $em->persist($reinscripcion);
                    $em->flush();


                    /**
                     * CREAR TODOS LOS PAGOS NECESARIOS
                     */
                    $banderaR = 0;

                    $alumno->setNumero($numero);
                    $alumno->setFecIns(new \DateTime(date($fechaR)));
                    $alumno->setReinscripcion(1);

                    $em->persist($alumno);
                    $em->flush();

                    $auxPago = $em->getRepository('CmBundle:Pagos')->findBy(array('cveAlu' => $alumno->getIdeAlu()), array('idePag' => 'DESC'), 1);

                    $fecIni = $auxPago[0]->getFecIni();
                    $fecIni->modify('Last day of this month');
                    //print_r($fecIni->format('Y-m-d'));
                    /* CREAR PAGO DE REINSCRIPCION DEL ALUMNO */
                    $pago = new Pagos();
                    $pago->setCveAlu($alumno);
                    $pago->setSemestre($alumno->getNumero());
                    $pago->setNumero(0);
                    $pago->setReferencia("");
                    $pago->setFecIni(new \DateTime(date($fechaR)));
                    $pago->setFecTer(new \DateTime(date($fechaR)));
                    $pago->setCveIng(-99);
                    $pago->setMonto(0.0);
                    $pago->setTipPag("");
                    $pago->setStaPag(1);
                    $pago->setFecMov(new \DateTime(date('Y-m-d')));
                    $pago->setCveUsu($session->get('identificador'));

                    $em->persist($pago);
                    $em->flush();

                    /* CREAR LOS PAGOS DEL ALUMNO */
                    $fin = 0;
                    if ($alumno->getModalidad() == "SEMESTRAL") {
                        $fin = 6;
                    } elseif ($alumno->getModalidad() == "CUATRIMESTRAL") {
                        $fin = 4;
                    }

                    $fecIni = $fecIni->modify('+1 day')->format('Y-m-d');

                    for ($i = 1; $i <= $fin; $i++) {

                        $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
                        $auxAnio = date('Y', strtotime($fecIni));
                        $fecTer = date('Y-m-d', $fecTer);

                        $auxFecha = date('m', strtotime($fecIni));
                        $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
                        $nomMes = $meses[$auxFecha - 1];

                        $pago = new Pagos();
                        $pago->setCveAlu($alumno);
                        $pago->setSemestre($alumno->getNumero());
                        $pago->setNumero($i);
                        $pago->setReferencia("");
                        $pago->setFecIni(new \DateTime($fecIni));
                        $pago->setFecTer(new \DateTime($fecTer));
                        $pago->setNomMes($nomMes);
                        $pago->setCveIng(-99);
                        $pago->setMonto(0.0);
                        $pago->setTipPag("");
                        $pago->setStaPag(1);
                        $pago->setFecMov(new \DateTime(date('Y-m-d')));
                        $pago->setCveUsu($session->get('identificador'));

                        $em->persist($pago);
                        $em->flush();

                        $fecTer = strtotime('+1 month', strtotime($fecIni));
                        $fecTer = date('Y-m-d', $fecTer);
                        $fecIni = $fecTer;
                    }

                    return $this->render('CmBundle:CE:correctoMensualidad.html.twig', array('banderaR' => $banderaR));
                } else {
                    $banderaR = 1;
                    return $this->render('CmBundle:CE:correctoMensualidad.html.twig', array('banderaR' => $banderaR));
                }
            } else { // NO FUE POST
                $em = $this->getDoctrine()->getManager();

                $ideAlu = $request->get('ideAlu');

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                $periodo = $em->getRepository('CmBundle:Periodos')->findOneBy(array('estatus' => 1));


                //PRIMERO SE REVISA QUE NO TENGA NINGÚN ADEUDO
                $adeudo = 0;

                $hoy = new \DateTime(date('Y-m-d'));
                $hoy = $hoy->modify('first day of this month');

                if ($alumno->getPaga() != 0) { // QUITAMOS TODOS LOS QUE NO PAGAN
                    $dql = "SELECT p "
                            . "FROM CmBundle:Pagos p "
                            . "WHERE p.fecIni <= :hoy "
                            . "AND p.staPag = 1 "
                            . "AND p.cveAlu = :alu";
                    $query = $em->createQuery($dql);
                    $query->setParameter('hoy', $hoy);
                    $query->setParameter('alu', $alumno->getIdeAlu());
                    $pagos = $query->getResult();

                    if (count($pagos) > 0) {
                        $adeudo = 1; // CON ADEUDO
                    } else {
                        $adeudo = 0; // SIN ADEUDO
                    }
                } else {
                    $adeudo = -1; // NO PAGA NADA
                }

                //SEGUNDO: REVISAMOS LA DOCUMENTACIÓN QUE DEBE DE TENER EL ALUMNO
                //ACTA DE NACIMIENTO

                return $this->render('CmBundle:CE:validarInscripcionVista.html.twig', array(
                            'alumno' => $alumno, 'adeudo' => $adeudo, 'periodo' => $periodo
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function documentacionAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                
            } else {
                $em = $this->getDoctrine()->getEntityManager();

                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy(
                        array('estatus' => 1, 'tipoAlumno' => array(1, 3, 4, 5), 'cvePla' => array(1, 2, 3, 4)
                        ),
                        array('cvePla' => 'ASC', 'tipoAlumno' => 'DESC', 'cveLic' => 'ASC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                );
                $datos = [];
                if ($alumnos != null) {
                    foreach ($alumnos as $key => $value) {
                        $documentos = [];
                        $banCerBac = 0;
                        $banActNac = 0;
                        $banCurp = 0;

                        $actaNacimiento = "archivo/" . $value->getCveCtl() . "-an.pdf";
                        //$certificadoSecundaria = "archivo/" . $alumno->getCveCtl() . "-cs.pdf";
                        $certificadoBachillerato = "archivo/" . $value->getCveCtl() . "-cb.pdf";
                        //$certificadoTotalLicenciatura = "archivo/" . $alumno->getCveCtl() . "-ctl.pdf";
                        //$certificadoTotalMaestria = "archivo/" . $alumno->getCveCtl() . "-ctm.pdf";
                        //$tituloLicenciatura = "archivo/" . $alumno->getCveCtl() . "-tl.pdf";
                        //$tituloMaestria = "archivo/" . $alumno->getCveCtl() . "-tm.pdf";
                        //$cedula = "archivo/" . $alumno->getCveCtl() . "-ced.pdf";
                        //$ifeIne = "archivo/" . $alumno->getCveCtl() . "-ine.pdf";
                        $curp = "archivo/" . $value->getCveCtl() . "-curp.pdf";
                        //$comprobanteDomiciliario = "archivo/" . $alumno->getCveCtl() . "-comDom.pdf";

                        if (file_exists($certificadoBachillerato)) {
                            $documentos[] = $certificadoBachillerato;
                            $banCerBac = 1;
                        } else {
                            $documentos[] = "--";
                        }
                        if (file_exists($actaNacimiento)) {
                            $documentos[] = $actaNacimiento;
                            $banActNac = 1;
                        } else {
                            $documentos[] = "--";
                        }
                        if (file_exists($curp)) {
                            $documentos[] = $curp;
                            $banCurp = 1;
                        } else {
                            $documentos[] = "--";
                        }

                        if ($banActNac == 1 & $banCerBac == 1 & $banCurp == 1) {
                            $datos[] = array($value, $documentos, "COMPLETO");
                        } else {
                            $datos[] = array($value, $documentos, "FALTA");
                        }
                    }
                } else {
                    print_r("NO HAY DATOS");
                }

                return $this->render('CmBundle:CE:documentacion.html.twig', array('datos' => $datos));
            }
        }
    }

    public function verPreinscripcionAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99 || $session->get("rol") == 101)) {
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();
            } else { // NO FUE POST
                $em = $this->getDoctrine()->getManager();

                $plantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $session->get('plantel')));

                $periodoVigente = $em->getRepository('CmBundle:Periodos')->findOneBy(array('estatus' => 1));

                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy(
                        array('cvePla' => $plantel, 'estatus' => 1),
                        array('tipoAlumno' => 'DESC', 'cveLic' => 'ASC', 'numero' => 'ASC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                );

                $alumnosRe = $em->getRepository('CmBundle:ReinscripcionAlumnos')->findBy(array('cveAlu' => $alumnos, 'periodo' => $periodoVigente->getPeriodo()), array('fecMov' => 'DESC'));

                return $this->render('CmBundle:CE:verPreinscritos.html.twig', array('alumnos' => $alumnosRe));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function cambiarCuatriAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $ideAlu = $request->get('ideAlu');
                $numCua = $request->get('numCua');

                $em = $this->getDoctrine()->getManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));
                if ($alumno != null) {
                    $alumno->setNumero($numCua);
                    $em->persist($alumno);
                    $em->flush();

                    return $this->render('CmBundle:SE:correcto-num-cuatri.html.twig');
                } else {
                    return $this->render('CmBundle:SE:incorrecto-num-cuatri.html.twig');
                }
            } else { // NO FUE POST
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function check_in_range($date_start, $date_end, $date_now) {
        $date_start = strtotime($date_start);
        $date_end = strtotime($date_end);
        $date_now = strtotime($date_now);
        if (($date_now >= $date_start) && ($date_now <= $date_end))
            return true;
        return false;
    }

    public function vistaGeneracionesAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $idePla = $request->get('p');
                $ideLic = $request->get('l');
                $numCua = $request->get('numCua');

                $em = $this->getDoctrine()->getManager();

                $alumnos = $em->getRepository('CmBundle:Alumnos')->findBy(array('estatus' => 1, 'cvePla' => array(1, 2, 3, 4), 'tipoAlumno' => array(3, 4, 5)));

                foreach ($alumnos as $k => $v) {
                    /*
                     * DETECTAR PERIODO DEPENDIENDO SI ES CUATRIMESTRAL O SEMESTRAL
                     */
                    $date_now = date('Y-m-d');
                    $date_start = date('Y-01-01');
                    $date_end = date('Y-04-30');
                    $numero = $v->getNumero();

                    print_r("<br>");
                    print_r($v->getNomAlu() . " - ");
                    if ($this->check_in_range($date_start, $date_end, $date_now)) {
                        print_r(date('Y') . "-2");
                        print_r("<br>");
                    } else {
                        
                    }
                }

                die();
            } else { // ES GET
                setlocale(LC_TIME, "es_MX.utf8");

                $em = $this->getDoctrine()->getManager();
                $planteles = "";

                if ($session->get('plantel') == 88) { // SI ES CORPORATIVO
                    $planteles = $em->getRepository('CmBundle:Planteles')->findBy(
                            array('idePla' => array(1, 2, 3, 4, 13, 21)),
                            array('nomPla' => 'ASC')
                    );
                } else {//DEBE SER PLANTEL
                    $planteles = $em->getRepository('CmBundle:Planteles')
                            ->findBy(array('cvePla' => $session->get('plantel')));
                }


                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')
                        ->findBy(
                        array('cveNivAca' => array(3, 4, 5), 'tipCar' => 1),
                        array('cveNivAca' => 'ASC', 'nomLic' => 'ASC')
                );

                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy(
                        array('tipoAlumno' => array(3, 4, 5), 'estatus' => 1, 'cvePla' => array(1, 2, 3, 4, 13, 21)),
                        array('cvePla' => 'ASC', 'tipoAlumno' => 'DESC', 'numero' => 'DESC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                );

                $lisGen = [];

                foreach ($alumnos as $k => $v) {
                    $auxGen = $em->getRepository('CmBundle:AlumnosGeneraciones')->findOneBy(array('cveAlu' => $v->getIdeAlu()));
                    if ($auxGen == null) {

                        //CALCULAR POSIBLE GENERACIÓN
                        $maxPer = 10; // ESTE DATO SE VA A ACTUALIZAR DEPENDIENDO DE LOS PERIODOS QUE TENGA CADA PLAN DE ESTUDIOS
                        $cuaAct = $v->getNumero();
                        $dif = $maxPer - $cuaAct;

                        /*
                         * DETECTAR PERIODO ACTUAL
                         */
                        $fec_act = date('Y-m-d');
                        $mes_act = date('m') * 1;
                        $ani_act = date('Y') * 1;
                        $dia_act = date('d') * 1;
                        $mes_per = ($cuaAct - 1) * 4;
                        $max_mes_per = $maxPer * 4;

                        /*
                         * REGLAS:
                         * #1: SEPTIEMBRE-DICIEMBRE => -1
                         * #2: ENERO-ABRIL          => -2
                         * #3: MAYO-AGOSTO          => -3
                         */

                        if ($mes_act >= 9 & $mes_act <= 12) {
                            //PERIODO - 1
                            $auxPer = date("Y-m-d", strtotime($ani_act . "+ 1 year"));

                            $aux_fec = date("Y-m-d", strtotime($ani_act . "-09-01"));

                            $aux_mes_ini = date('Y-m-d', strtotime($aux_fec . "- $mes_per month"));
                            $aux_mes_fin = date('Y-m-d', strtotime($aux_mes_ini . "+ $max_mes_per month -1 day"));

                            $lisGen[] = array($v, $auxPer . "-1", strftime("%B %Y", $aux_mes_ini), strftime("%B %Y", strtotime($aux_mes_fin)));
                        } elseif ($mes_act >= 1 & $mes_act <= 4) {
                            //PERIODO - 2
                            $aux_fec = date("Y-m-d", strtotime($ani_act . "-01-01"));

                            $aux_mes_ini = date('Y-m-d', strtotime($aux_fec . "- $mes_per month"));
                            $aux_mes_fin = date('Y-m-d', strtotime($aux_mes_ini . "+ $max_mes_per month -1 day"));

                            $lisGen[] = array($v, $ani_act . "-2", strftime("%b %Y", strtotime($aux_mes_ini)), strftime("%b %Y", strtotime($aux_mes_fin)));
                        } elseif ($mes_act >= 5 & $mes_act <= 8) {
                            //PERIODO - 3
                            $aux_fec = date("Y-m-d", strtotime($ani_act . "-05-01"));

                            $aux_mes_ini = date('Y-m-d', strtotime($aux_fec . "- $mes_per month"));
                            $aux_mes_fin = date('Y-m-d', strtotime($aux_mes_ini . "+ $max_mes_per month -1 day"));

                            $lisGen[] = array($v, $ani_act . "-3", strftime("%B %Y", $aux_mes_ini), strftime("%B %Y", strtotime($aux_mes_fin)));
                        }
                    }
                }

                return $this->render('CmBundle:CE:vistaGeneracion.html.twig', array(
                            'planteles' => $planteles,
                            'licenciaturas' => $licenciaturas,
                            'datos' => $lisGen
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

}
