<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Entity\Alumnos;
use CmBundle\Entity\Pagos;
use CmBundle\Controller\PDFLicenciatura;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of ForaneosController
 *
 * @author Lenovo
 */
class ForaneosController extends Controller {

    //put your code here
    public function homeForaneosAction(Request $request) {
        if ($request->getMethod() == "POST") {
            
        } else {

            return $this->render('CmBundle:Foraneos:homeForaneos.html.twig');
        }
    }

    //Licenciatura
    public function preAlumnosAction(Request $request) {
        if ($request->getMethod() == "POST") {
            $curp = $request->get('curp');
            $em = $this->getDoctrine()->getManager();
            $axuAlumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('curp' => $curp));
            if ($axuAlumno == true) {
                return $this->redirect($this->generateUrl('consulta_foraneo', array('ideAlu' => $axuAlumno->getIdeAlu())));
            } else {

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');

                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');

                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                        ->findOneBy(array('ideEst' => $tipo));
                
                $turno = $request->get("turno");
                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                        ->findOneBy(array('ideLic' => $tipLic));
                
                $semestre = $request->get('numSem');
                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                        ->findOneBy(array('idePro' => $idePro));

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                        ->findOneBy(array('cveCon' => 'C1'));

                //$cveCtl = $plantel->getCvePla() + $contador->getValor();


                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');

                //print_r($tipo_alumno);
                //die();

                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }
                
                $alumno->setTurno($turno);
                $alumno->setCveLic($cveLic);
                $alumno->setCvePla($plantel);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));

                $numeroAlu = 0;
                if ($request->get('modalidad') == "SEMESTRAL") {
                    $alumno->setNumero($request->get('numSem'));
                    $numeroAlu = $request->get('numSem');
                } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                    $alumno->setNumero($request->get('numCua'));
                    $numeroAlu = $request->get('numCua');
                }

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                $alumno->setReinscripcion(0);
                /* if ($numeroAlu > 1) {
                  $alumno->setReinscripcion(1);
                  } else {
                  $alumno->setReinscripcion(0);
                  } */

                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu("AlumnoForaneo");

                $alumno->setCostoInscripcion($request->get('costoInscripcion'));
                $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setHorarioTurno(new \DateTime(date($request->get('horario'))));
                $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));
                $alumno->setDiasTurno(json_encode($request->get('dias')));
                $em->persist($alumno);
                $alumno->setComoEntero($request->get('comoEntero'));
                $alumno->setContador(1);

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();

                $fecIni = $request->get('mesCol');
                /* CREAR PAGO DE INSCRIPCION DEL ALUMNO */
                $pago = new Pagos();
                $pago->setCveAlu($alumno);
                $pago->setSemestre($alumno->getNumero());
                $pago->setNumero(0);
                $pago->setReferencia("");
                $pago->setFecIni(new \DateTime(date($fecIng)));
                $pago->setFecTer(new \DateTime(date($fecIng)));
                $pago->setTipPag("");
                $pago->setStaPag(1);
                $pago->setFecMov(new \DateTime(date('Y-m-d')));
                $pago->setCveUsu("AlumnoForaneo");

                $em->persist($pago);
                $em->flush();

                /* CREAR LOS PAGOS DEL ALUMNO */
                $fin = 0;
                if ($alumno->getModalidad() == "SEMESTRAL") {
                    $fin = 6;
                } elseif ($alumno->getModalidad() == "CUATRIMESTRAL") {
                    $fin = 4;
                }

                for ($i = 1; $i <= $fin; $i++) {

                    $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
                    $auxAnio = date('Y', strtotime($fecIni));
                    $fecTer = date('Y-m-d', $fecTer);

                    $auxFecha = date('m', strtotime($fecIni));
                    $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
                    $nomMes = $meses[$auxFecha - 1];

                    $pago = new Pagos();
                    $pago->setCveAlu($alumno);
                    $pago->setSemestre($alumno->getNumero());
                    $pago->setNumero($i);
                    $pago->setReferencia("");
                    $pago->setFecIni(new \DateTime($fecIni));
                    $pago->setFecTer(new \DateTime($fecTer));
                    $pago->setNomMes($nomMes);
                    $pago->setTipPag("");
                    $pago->setStaPag(1);
                    $pago->setFecMov(new \DateTime(date('Y-m-d')));
                    $pago->setCveUsu("AlumnoForaneo");

                    $em->persist($pago);
                    $em->flush();

                    $fecTer = strtotime('+1 month', strtotime($fecIni));
                    $fecTer = date('Y-m-d', $fecTer);
                    $fecIni = $fecTer;
                }
                $this->get('session')->getFlashBag()->add(
                        'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_foraneo', array('ideAlu' => $alumno->getIdeAlu())));
            }//FIN CONDICION ALUMNO EXISTE
        } else {
            // Renderizar formulario de Estatus
            $em = $this->getDoctrine()->getManager();

            $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
            $planteles = $em->getRepository('CmBundle:Planteles')->findAll();
            $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();

            
            return $this->render('CmBundle:Foraneos:alta-alumno-lic-for.html.twig', array(
                        'estatus' => $estatus,
                        'planteles' => $planteles,
                        'procedencias' => $procedencias
            ));
        }
    }

    //Maestria
    public function preAlumnosMAction(Request $request) {
        if ($request->getMethod() == "POST") {
            $curp = $request->get('curp');
            $em = $this->getDoctrine()->getManager();
            $axuAlumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('curp' => $curp));
            if ($axuAlumno == true) {
                return $this->redirect($this->generateUrl('consulta_foraneo', array('ideAlu' => $axuAlumno->getIdeAlu())));
            } else {

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');

                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');

                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                        ->findOneBy(array('ideEst' => $tipo));
                $tipBeca = $request->get('cveApo');
                $cveBeca = $em->getRepository('CmBundle:Becas')
                        ->findOneBy(array('ideBec' => $tipBeca));
                $turno = $request->get("turno");
                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                        ->findOneBy(array('ideLic' => $tipLic));
                $tipColegiatura = $request->get('colegiatura');
                $cveCol = $em->getRepository('CmBundle:Colegiaturas')
                        ->findOneBy(array('ideCol' => $tipColegiatura));
                $semestre = $request->get('numSem');
                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                        ->findOneBy(array('idePro' => $idePro));

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                        ->findOneBy(array('cveCon' => 'C1'));

                //$cveCtl = $plantel->getCvePla() + $contador->getValor();


                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');

                //print_r($tipo_alumno);
                //die();

                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);
                
                $alumno->setLicenciatura($request->get('licenciatura'));
                $alumno->setCedLic($request->get('cedulaL'));

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }
                $alumno->setCveBeca($cveBeca);
                $alumno->setTurno($turno);
                $alumno->setCveLic($cveLic);
                $alumno->setCveCol($cveCol);
                $alumno->setCvePla($plantel);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));

                $numeroAlu = 0;
                if ($request->get('modalidad') == "SEMESTRAL") {
                    $alumno->setNumero($request->get('numSem'));
                    $numeroAlu = $request->get('numSem');
                } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                    $alumno->setNumero($request->get('numCua'));
                    $numeroAlu = $request->get('numCua');
                }

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                $alumno->setReinscripcion(0);
                /* if ($numeroAlu > 1) {
                  $alumno->setReinscripcion(1);
                  } else {
                  $alumno->setReinscripcion(0);
                  } */

                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu("AlumnoForaneo");

                $alumno->setCostoInscripcion($request->get('costoInscripcion'));
                $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setHorarioTurno(new \DateTime(date($request->get('horario'))));
                $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));
                $alumno->setDiasTurno(json_encode($request->get('dias')));
                $em->persist($alumno);
                $alumno->setComoEntero($request->get('comoEntero'));
                $alumno->setContador(1);

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();

                $fecIni = $request->get('mesCol');
                /* CREAR PAGO DE INSCRIPCION DEL ALUMNO */
                $pago = new Pagos();
                $pago->setCveAlu($alumno);
                $pago->setSemestre($alumno->getNumero());
                $pago->setNumero(0);
                $pago->setReferencia("");
                $pago->setFecIni(new \DateTime(date($fecIng)));
                $pago->setFecTer(new \DateTime(date($fecIng)));
                $pago->setTipPag("");
                $pago->setStaPag(1);
                $pago->setFecMov(new \DateTime(date('Y-m-d')));
                $pago->setCveUsu("AlumnoForaneo");

                $em->persist($pago);
                $em->flush();

                /* CREAR LOS PAGOS DEL ALUMNO */
                $fin = 0;
                if ($alumno->getModalidad() == "SEMESTRAL") {
                    $fin = 6;
                } elseif ($alumno->getModalidad() == "CUATRIMESTRAL") {
                    $fin = 4;
                }

                for ($i = 1; $i <= $fin; $i++) {

                    $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
                    $auxAnio = date('Y', strtotime($fecIni));
                    $fecTer = date('Y-m-d', $fecTer);

                    $auxFecha = date('m', strtotime($fecIni));
                    $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
                    $nomMes = $meses[$auxFecha - 1];

                    $pago = new Pagos();
                    $pago->setCveAlu($alumno);
                    $pago->setSemestre($alumno->getNumero());
                    $pago->setNumero($i);
                    $pago->setReferencia("");
                    $pago->setFecIni(new \DateTime($fecIni));
                    $pago->setFecTer(new \DateTime($fecTer));
                    $pago->setNomMes($nomMes);
                    $pago->setTipPag("");
                    $pago->setStaPag(1);
                    $pago->setFecMov(new \DateTime(date('Y-m-d')));
                    $pago->setCveUsu("AlumnoForaneo");

                    $em->persist($pago);
                    $em->flush();

                    $fecTer = strtotime('+1 month', strtotime($fecIni));
                    $fecTer = date('Y-m-d', $fecTer);
                    $fecIni = $fecTer;
                }
                $this->get('session')->getFlashBag()->add(
                        'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_foraneo', array('ideAlu' => $alumno->getIdeAlu())));
            }//FIN CONDICION ALUMNO EXISTE
        } else {
            // Renderizar formulario de Estatus
            $em = $this->getDoctrine()->getManager();

            $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
            $planteles = $em->getRepository('CmBundle:Planteles')->findAll();
            $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();

            $becas = $em->getRepository('CmBundle:Becas')->findAll();
            return $this->render('CmBundle:Foraneos:alta-alumno-posgrado-for.html.twig', array(
                        'estatus' => $estatus,
                        'planteles' => $planteles,
                        'becas' => $becas,
                        'procedencias' => $procedencias
            ));
        }
    }

    //Doctorado
    public function preAlumnosDAction(Request $request) {
        if ($request->getMethod() == "POST") {
            $curp = $request->get('curp');
            $em = $this->getDoctrine()->getManager();
            $axuAlumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('curp' => $curp));
            if ($axuAlumno == true) {
                return $this->redirect($this->generateUrl('consulta_foraneo', array('ideAlu' => $axuAlumno->getIdeAlu())));
            } else {

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');

                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');

                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                        ->findOneBy(array('ideEst' => $tipo));
                $tipBeca = $request->get('cveApo');
                $cveBeca = $em->getRepository('CmBundle:Becas')
                        ->findOneBy(array('ideBec' => $tipBeca));
                $turno = $request->get("turno");
                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                        ->findOneBy(array('ideLic' => $tipLic));
                $tipColegiatura = $request->get('colegiatura');
                $cveCol = $em->getRepository('CmBundle:Colegiaturas')
                        ->findOneBy(array('ideCol' => $tipColegiatura));
                $semestre = $request->get('numSem');
                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                        ->findOneBy(array('idePro' => $idePro));

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                        ->findOneBy(array('cveCon' => 'C1'));

                //$cveCtl = $plantel->getCvePla() + $contador->getValor();


                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');

                //print_r($tipo_alumno);
                //die();

                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);
                
                $alumno->setLicenciatura($request->get('licenciatura'));
                $alumno->setCedLic($request->get('cedulaL'));
                $alumno->setMaestria($request->get('maestria'));
                $alumno->setCedMae($request->get('cedulaM'));
                

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }
                $alumno->setCveBeca($cveBeca);
                $alumno->setTurno($turno);
                $alumno->setCveLic($cveLic);
                $alumno->setCveCol($cveCol);
                $alumno->setCvePla($plantel);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));

                $numeroAlu = 0;
                if ($request->get('modalidad') == "SEMESTRAL") {
                    $alumno->setNumero($request->get('numSem'));
                    $numeroAlu = $request->get('numSem');
                } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                    $alumno->setNumero($request->get('numCua'));
                    $numeroAlu = $request->get('numCua');
                }

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                $alumno->setReinscripcion(0);
                /* if ($numeroAlu > 1) {
                  $alumno->setReinscripcion(1);
                  } else {
                  $alumno->setReinscripcion(0);
                  } */

                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu("AlumnoForaneo");

                $alumno->setCostoInscripcion($request->get('costoInscripcion'));
                $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setHorarioTurno(new \DateTime(date($request->get('horario'))));
                $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));
                $alumno->setDiasTurno(json_encode($request->get('dias')));
                $em->persist($alumno);
                $alumno->setComoEntero($request->get('comoEntero'));
                $alumno->setContador(1);

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();

                $fecIni = $request->get('mesCol');
                /* CREAR PAGO DE INSCRIPCION DEL ALUMNO */
                $pago = new Pagos();
                $pago->setCveAlu($alumno);
                $pago->setSemestre($alumno->getNumero());
                $pago->setNumero(0);
                $pago->setReferencia("");
                $pago->setFecIni(new \DateTime(date($fecIng)));
                $pago->setFecTer(new \DateTime(date($fecIng)));
                $pago->setTipPag("");
                $pago->setStaPag(1);
                $pago->setFecMov(new \DateTime(date('Y-m-d')));
                $pago->setCveUsu("AlumnoForaneo");

                $em->persist($pago);
                $em->flush();

                /* CREAR LOS PAGOS DEL ALUMNO */
                $fin = 0;
                if ($alumno->getModalidad() == "SEMESTRAL") {
                    $fin = 6;
                } elseif ($alumno->getModalidad() == "CUATRIMESTRAL") {
                    $fin = 4;
                }

                for ($i = 1; $i <= $fin; $i++) {

                    $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
                    $auxAnio = date('Y', strtotime($fecIni));
                    $fecTer = date('Y-m-d', $fecTer);

                    $auxFecha = date('m', strtotime($fecIni));
                    $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
                    $nomMes = $meses[$auxFecha - 1];

                    $pago = new Pagos();
                    $pago->setCveAlu($alumno);
                    $pago->setSemestre($alumno->getNumero());
                    $pago->setNumero($i);
                    $pago->setReferencia("");
                    $pago->setFecIni(new \DateTime($fecIni));
                    $pago->setFecTer(new \DateTime($fecTer));
                    $pago->setNomMes($nomMes);
                    $pago->setTipPag("");
                    $pago->setStaPag(1);
                    $pago->setFecMov(new \DateTime(date('Y-m-d')));
                    $pago->setCveUsu("AlumnoForaneo");

                    $em->persist($pago);
                    $em->flush();

                    $fecTer = strtotime('+1 month', strtotime($fecIni));
                    $fecTer = date('Y-m-d', $fecTer);
                    $fecIni = $fecTer;
                }
                $this->get('session')->getFlashBag()->add(
                        'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_foraneo', array('ideAlu' => $alumno->getIdeAlu())));
            }//FIN CONDICION ALUMNO EXISTE
        } else {
            // Renderizar formulario de Estatus
            $em = $this->getDoctrine()->getManager();

            $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
            $planteles = $em->getRepository('CmBundle:Planteles')->findAll();
            $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();

            $becas = $em->getRepository('CmBundle:Becas')->findAll();
            return $this->render('CmBundle:Foraneos:alta-alumno-doctorado-for.html.twig', array(
                        'estatus' => $estatus,
                        'planteles' => $planteles,
                        'becas' => $becas,
                        'procedencias' => $procedencias
            ));
        }
    }

    public function consultaPreAlumnosAction(Request $request) {
        $ideAlu = $request->get('ideAlu');

        $em = $this->getDoctrine()->getManager();

        $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

        $pagos = $em->getRepository('CmBundle:Pagos')
                ->findBy(array('cveAlu' => $alumno->getIdeAlu(), 'semestre' => $alumno->getNumero()));
        $estatus = $em->getRepository('CmBundle:Estatus')
                ->findAll();
        $becas = $em->getRepository('CmBundle:Becas')
                ->findAll();
        $planteles = $em->getRepository('CmBundle:Planteles')
                ->findAll();
        $grados = $em->getRepository('CmBundle:Licenciaturas')
                ->findAll();
        $mensualidades = $em->getRepository('CmBundle:Colegiaturas')
                ->findAll();

        $fotoAlumno = 0;
        $nombre_fichero = "fotos/" . $alumno->getCveCtl() . ".jpg";

        if (file_exists($nombre_fichero)) {
            $fotoAlumno = $nombre_fichero;
        } else {
            $fotoAlumno = "images/usuario.png";
        }

        //$rs = $em->getRepository('CmBundle:RazonSocial')->findAll();
        $dias = json_decode($alumno->getDiasTurno());

        $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();

        /*
         * REVISAR LA EXISTENCIA DE LA DOCUMENTACIÓN DIGITAL
         */
        $actaNacimiento = "archivo/" . $alumno->getCveCtl() . "-an.pdf";
        $certificadoSecundaria = "archivo/" . $alumno->getCveCtl() . "-cs.pdf";
        $certificadoBachillerato = "archivo/" . $alumno->getCveCtl() . "-cb.pdf";
        $certificadoTotalLicenciatura = "archivo/" . $alumno->getCveCtl() . "-ctl.pdf";
        $cedulaLic = "archivo/" . $alumno->getCveCtl() . "-cedLic.pdf";
        $certificadoTotalMaestria = "archivo/" . $alumno->getCveCtl() . "-ctm.pdf";
        $tituloLicenciatura = "archivo/" . $alumno->getCveCtl() . "-tl.pdf";
        $tituloMaestria = "archivo/" . $alumno->getCveCtl() . "-tm.pdf";
        $cedulaMae = "archivo/" . $alumno->getCveCtl() . "-cedMae.pdf";
        $ifeIne = "archivo/" . $alumno->getCveCtl() . "-ine.pdf";
        $curp = "archivo/" . $alumno->getCveCtl() . "-curp.pdf";
        $comprobanteDomiciliario = "archivo/" . $alumno->getCveCtl() . "-comDom.pdf";

        $documentos = "";

        if ($alumno->getTipoAlumno() == 3) {// LICENCIATURA
            $documentos = array(
                'Acta de Nacimiento' => $actaNacimiento,
                'Certificado de Bachillerato' => $certificadoBachillerato,
                'INE o IFE' => $ifeIne,
                'CURP' => $curp
            );
        } elseif ($alumno->getTipoAlumno() == 4) {// MAESTRIA
            $documentos = array(
                'Acta de Nacimiento' => $actaNacimiento,
                'Certificado Total de Licenciatura' => $certificadoTotalLicenciatura,
                'Título Licenciatura' => $tituloLicenciatura,
                'Cédula Licenciatura' => $cedulaLic,
                'INE o IFE' => $ifeIne,
                'CURP' => $curp
            );
        } elseif ($alumno->getTipoAlumno() == 5) {// DOCTORADO
            $documentos = array(
                'Acta de Nacimiento' => $actaNacimiento,
                'Certificado Total de Licenciatura' => $certificadoTotalLicenciatura,
                'Título Licenciatura' => $tituloLicenciatura,
                'Cédula Licenciatura' => $cedulaLic,
                'Certificado Total de Maestría' => $certificadoTotalMaestria,
                'Título Maestría' => $tituloMaestria,
                'Cédula Maestria' => $cedulaMae,
                'INE o IFE' => $ifeIne,
                'CURP' => $curp
            );
        }


        /*
         * FINALIZA REVISIÓN DE DOCUMENTACIÓN DIGITAL
         */


        return $this->render('CmBundle:Foraneos:consulta-alumno-dos-for.html.twig', array(
                    'a' => $alumno,
                    'pagos' => $pagos,
                    'estatus' => $estatus,
                    'becas' => $becas,
                    'planteles' => $planteles,
                    'licenciaturas' => $grados,
                    'colegiaturas' => $mensualidades,
                    'fotoAlumno' => $fotoAlumno,
                    //'rs' => $rs,
                    'dias' => $dias,
                    'procedencias' => $procedencias,
                    'docDigital' => $documentos
        ));
    }

    public function actualizarPreAlumnoAction(Request $request) {
        if ($request->getMethod() == "POST") {

            $em = $this->getDoctrine()->getManager();

            $apePat = $request->get('apePat');
            $apeMat = $request->get('apeMat');
            $nomAlu = $request->get('nomAlu');
            $curp = $request->get('curp');
            $sexo = $request->get('sexAlu');
            $fecNac = $request->get('fecNac');
            $edad = $request->get('edad');
            $nacionalidad = $request->get('nacionalidad');
            $edo = $request->get('edoAlu');
            $mun = $request->get('munAlu');
            $calle = $request->get('calle');
            $numExt = $request->get('numExt');
            $numInt = $request->get('numInt');
            $colonia = $request->get('colonia');
            $cp = $request->get('codPos');
            $telefono = $request->get('telefono');
            $email = $request->get('email');

            $fecIng = $request->get('fecIng');
            $fecEgr = $request->get('fecEgr');
            $tipo = $request->get('staAlu');
            $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('ideEst' => $tipo));
            $tipBeca = $request->get('cveApo');
            $cveBeca = $em->getRepository('CmBundle:Becas')
                    ->findOneBy(array('ideBec' => $tipBeca));
            $turno = $request->get("turno");
            $tipPlantel = $request->get('cveEsc');
            $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $tipPlantel));
            $tipLic = $request->get('cveCar');
            $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $tipLic));
            $tipColegiatura = $request->get('colegiatura');
            $cveCol = $em->getRepository('CmBundle:Colegiaturas')
                    ->findOneBy(array('ideCol' => $tipColegiatura));
            $semestre = $request->get('numSem');
            $idePro = $request->get("escProcedencia");
            $cvePro = $em->getRepository('CmBundle:Procedencias')
                    ->findOneBy(array('idePro' => $idePro));
            $modoPago = $request->get('modoP');

            $cerSec = 0;
            $cerPre = 0;
            $actNac = 0;
            $fotInf = 0;
            $copCurp = 0;
            $cerMed = 0;

            $cerSec2 = 0;
            $cerPre2 = 0;
            $actNac2 = 0;
            $fotInf2 = 0;
            $copCurp2 = 0;
            $cerMed2 = 0;

            if ($request->get('cerSec') == "on") {
                $cerSec = 1;
            }
            if ($request->get('cerPre') == "on") {
                $cerPre = 1;
            }
            if ($request->get('actNac') == "on") {
                $actNac = 1;
            }
            if ($request->get('fotInf') == "on") {
                $fotInf = 1;
            }
            if ($request->get('copCurp') == "on") {
                $copCurp = 1;
            }
            if ($request->get('cerMed') == "on") {
                $cerMed = 1;
            }

            if ($request->get('cerSec2') == "on") {
                $cerSec2 = 1;
            }
            if ($request->get('cerPre2') == "on") {
                $cerPre2 = 1;
            }
            if ($request->get('actNac2') == "on") {
                $actNac2 = 1;
            }
            if ($request->get('fotInf2') == "on") {
                $fotInf2 = 1;
            }
            if ($request->get('copCurp2') == "on") {
                $copCurp2 = 1;
            }
            if ($request->get('cerMed2') == "on") {
                $cerMed2 = 1;
            }

            $tipo_alumno = $request->get('tipoAlumno');


            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $request->get('ideAlu')));

            //$alumno->setCveCtl($numCtl);
            $alumno->setNomAlu($nomAlu);
            $alumno->setApePat($apePat);
            $alumno->setApeMat($apeMat);
            $alumno->setEstatus($estatus);
            $alumno->setCurp($curp);
            $alumno->setFecNac(new \DateTime($fecNac));
            $alumno->setEdad($edad);
            $alumno->setSexo($sexo);
            $alumno->setNacionalidad($nacionalidad);
            $alumno->setCorreo($email);
            $alumno->setTelefono($telefono);
            $alumno->setTelefonoCelular($request->get('telefonoCelular'));
            $alumno->setCalle($calle);
            $alumno->setNumExt($numExt);
            $alumno->setNumInt($numInt);
            $alumno->setColLoc($colonia);
            $alumno->setMunDel($mun);
            $alumno->setEdo($edo);
            $alumno->setCp($cp);

            if ($fecEgr == "") {
                $alumno->setFecTer(null);
            } else {
                $alumno->setFecTer(new \DateTime($fecEgr));
            }

            $alumno->setCerSec($cerSec);
            $alumno->setCerPre($cerPre);
            $alumno->setActNac($actNac);
            $alumno->setFotInf($fotInf);
            $alumno->setCopCurp($copCurp);
            $alumno->setCerMed($cerMed);

            $alumno->setCerSecCopia($cerSec2);
            $alumno->setCerPreCopia($cerPre2);
            $alumno->setActNacCopia($actNac2);
            $alumno->setFotInfCopia($fotInf2);
            $alumno->setCopCurpCopia($copCurp2);
            $alumno->setCerMedCopia($cerMed2);

            //$alumno->setFecIns(new \DateTime($fecIng));
            //$alumno->setAnioIng($anio);
            if ($semestre != "") {
                $alumno->setSemestre($semestre);
            } else {
                $alumno->setSemestre(0);
            }
            if ($cveBeca == null) {
                
            } else {
                $alumno->setCveBeca($cveBeca);
            }

            $alumno->setTurno($turno);
            $alumno->setCveLic($cveLic);
            $alumno->setCveCol($cveCol);
            $alumno->setCvePla($plantel);
            $alumno->setCvePro($cvePro);
            $alumno->setTipoAlumno($tipo_alumno);
            $alumno->setModoPago($modoPago);

            $alumno->setModalidad($request->get('modalidad'));
            if ($request->get('modalidad') == "SEMESTRAL") {
                $alumno->setNumero($request->get('numSem'));
            } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                $alumno->setNumero($request->get('numCua'));
            }

            $cveAnterior = $request->get('cveAnterior');
            $alumno->setCveAnterior($cveAnterior);

            $alumno->setCostoInscripcion($request->get('costoInscripcion'));
            $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
            $alumno->setCostoMensualidad($request->get('colegiatura'));
            $alumno->setHorarioTurno(new \DateTime(date($request->get('horario'))));
            $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));
            $alumno->setCorteA($request->get('corteA'));
            $alumno->setCorteB($request->get('corteB'));
            $alumno->setComoEntero($request->get('comoEntero'));
            $alumno->setCedula($request->get('cedula'));
            $alumno->setLicenciatura($request->get('licenciatura'));

            $alumno->setObservaciones($request->get('observaciones'));
            $alumno->setCoordinador($request->get('coordinador'));
            $alumno->setFacebook($request->get('facebook'));
            $alumno->setDependenciaEmpresa($request->get('dependencia'));
            $alumno->setDepto($request->get('depto'));

            $dias = json_encode($request->get('dias'));

            $alumno->setDiasTurno($dias);


            $em->persist($alumno);
            $em->flush();

            //CODIGO ESPECIAL
            if ($alumno->getTipoAlumno() == 2) {
                $valorRetro = $request->get('retro');
                $valorPromedio = $request->get('promedio');
                $valorEspecialidad = $request->get('especialidad');
                $valorHistorial = $request->get('historial');
                $valorConstancia = "SI";

                $detallesBachi = $em->getRepository('CmBundle:DetallesBachiEu')->findOneBy(array('cveAlu' => $request->get('ideAlu')));

                $detallesBachi->setPorqueCertificacion($valorRetro);
                $detallesBachi->setInscrito($valorPromedio);
                $detallesBachi->setLicenciaturaInteres($valorEspecialidad);
                $detallesBachi->setIngresado($valorHistorial);
                $detallesBachi->setCorreccion($valorConstancia);

                $em->persist($detallesBachi);
                $em->flush();
            }
            //FIN CODIGO ESPECIAL


            $this->get('session')->getFlashBag()->add(
                    'mensaje', 'CORRECTO'
            );

            return $this->redirect($this->generateUrl('consulta_foraneo', array('ideAlu' => $alumno->getIdeAlu())));
        }
    }

    public function fichaPreAlumnoAction(Request $request) {

        $em = $this->getDoctrine()->getManager();

        $ideAlu = $request->get('ideAlu');
        $alumno = $em->getRepository('CmBundle:Alumnos')
                ->findOneBy(array('ideAlu' => $ideAlu));


        $pdf = new PDFLicenciatura('P', 'mm', 'Letter');
        $pdf->AddPage();
        //$pdf->AddFont('Calibri', '', 'calibri.php');
        $pdf->SetFont('Helvetica');
        $pdf->fichaLicenciaturaPaginaUno($alumno);
        $pdf->AddPage();
        $pdf->fichaLicenciaturaPaginaDos($alumno);

        return new Response($pdf->Output('fichaInscripcionLicenciatura.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
    }

    public function saFotoAction(Request $request) {
        if ($request->getMethod() == "POST") {
            //      [name=""][propiedad]
            //$_FILES['archivo']['name']
            $numCtl = $request->get('cveCtl');

            if ($_FILES['archivoFoto']['error'] > 0) {
                
            } else {
                move_uploaded_file($_FILES['archivoFoto']['tmp_name'], 'fotos/' . $numCtl . '.jpg');
            }

            $em = $this->getDoctrine()->getManager();
            $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('cveCtl' => $numCtl));


            return $this->redirect($this->generateUrl('consulta_foraneo', array('ideAlu' => $alumno->getIdeAlu())));
        } else { // NO FUE POST
            $this->get('session')->getFlashBag()->add(
                    'mensaje', 'Debe estar logeado para ver este contenido'
            );

            return $this->redirect($this->generateUrl('login'));
        }
    }

}
