<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use CmBundle\Controller\PDF_Rotate;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFCredencial
 *
 * @author Omar
 */
class PDFCredencial extends PDF_Rotate
{

    //put your code here
    function RotatedImage($file, $x, $y, $w, $h, $angle)
    {
        //Image rotated around its upper-left corner
        $this->Rotate($angle, $x, $y);
        $this->Image($file, $x, $y, $w, $h);
        $this->Rotate(0);
    }

    function Credencial($a, $cb)
    {
        $this->SetAutoPageBreak(TRUE, 0);

        $rutaFoto = "fotos/" . $a->getCveCtl() . ".jpg";
        $nombre_fichero = $rutaFoto;
        $img = "";

        if (file_exists($nombre_fichero)) {
            $img = "fotos/" . $a->getCveCtl() . ".jpg";
        } else {
            $img = "images/usuario.png";
        }


        $this->Image($img, -12, 10, 50);
        if ($a->getCvePla()->getCvePla() == '45') { // TEOTIHUACAN
            $this->Image('images/cara1TeotihuacanOK.png', 0, 0, 54, 86);
        } elseif ($a->getCvePla()->getCvePla() == '05') {
            $this->Image('images/cara1VILLAok.png', 0, 0, 54, 86);
        } else {
            $this->Image('images/cara1chico2.png', 0, 0, 54, 86);
        }

        $this->SetTextColor(29, 38, 87); // AZUL
        $this->SetLeftMargin(2);
        $this->SetRightMargin(2);
        $this->SetFont('Arial', 'B', 12);
        $this->Ln(6);
        $this->Cell(0, 10, "ALUMNO", 0, 0, 'R', false);
        $this->Ln(15);
        $tamanioNombre = strlen($a->getNomAlu());
        if ($tamanioNombre >= 9 & $tamanioNombre <= 10) {
            $this->SetFont('Arial', 'B', 10);
            $this->Cell(0, 6, utf8_decode($a->getNomAlu()), 0, 0, 'R', false);
        } elseif ($tamanioNombre > 10 & $tamanioNombre <= 14) {
            $this->SetFont('Arial', 'B', 6.8);
            $this->Cell(0, 6, utf8_decode($a->getNomAlu()), 0, 0, 'R', false);
        } elseif ($tamanioNombre > 14 & $tamanioNombre <= 16) {
            $this->SetFont('Arial', 'B', 6);
            $this->Cell(0, 6, utf8_decode($a->getNomAlu()), 0, 0, 'R', false);
        } elseif ($tamanioNombre > 16) {
            $this->SetFont('Arial', 'B', 5);
            $this->Cell(0, 6, utf8_decode($a->getNomAlu()), 0, 0, 'R', false);
        } elseif ($tamanioNombre == 8) {
            $this->SetFont('Arial', 'B', 11);
            $this->Cell(0, 6, utf8_decode($a->getNomAlu()), 0, 0, 'R', false);
        } else {
            $this->Cell(0, 6, utf8_decode($a->getNomAlu()), 0, 0, 'R', false);
        }

        $this->Ln(5);
        $this->SetFont('Arial', '', 8);
        $tamanioApellido = strlen($a->getApePat() . " " . $a->getApeMat());
        if ($tamanioApellido == 13) {
            $this->SetFont('Arial', '', 7);
            $this->Cell(0, 5, utf8_decode($a->getApePat() . " " . $a->getApeMat()), 0, 0, 'R', false);
        } elseif ($tamanioApellido > 13) {
            $this->SetFont('Arial', '', 5);
            $this->Cell(0, 5, utf8_decode($a->getApePat() . " " . $a->getApeMat()), 0, 0, 'R', false);
        } else {
            $this->Cell(0, 5, utf8_decode($a->getApePat() . " " . $a->getApeMat()), 0, 0, 'R', false);
        }
        $this->SetFont('Arial', '', 8);
        $this->Ln(8);
        if ($a->getTipoAlumno() == 1) {
            $this->Cell(0, 5, utf8_decode(""), 0, 0, 'R', false);
        } elseif ($a->getTipoAlumno() == 2) {
            $this->Cell(0, 5, utf8_decode("Bachillerato:"), 0, 0, 'R', false);
        } elseif ($a->getTipoAlumno() == 3) {
            $this->Cell(0, 5, utf8_decode("Licenciatura en:"), 0, 0, 'R', false);
        } elseif ($a->getTipoAlumno() == 4) {
            $this->Cell(0, 5, utf8_decode("Maestría en:"), 0, 0, 'R', false);
        } elseif ($a->getTipoAlumno() == 5) {
            $this->Cell(0, 5, utf8_decode("Doctorado en:"), 0, 0, 'R', false);
        }

        $this->Ln();
        $this->Cell(0, 5, utf8_decode(""), 0, 0, 'R', false);
        $this->Ln();
        $this->Cell(26, 5, utf8_decode(""), 0, 0, 'R', false);
        $this->Cell(24, 5, utf8_decode(""), 0, 0, 'R', false);
        $this->Ln();
        $this->SetFont('Arial', '', 8);
        $this->Cell(0, 5, utf8_decode("Matrícula:"), 0, 0, 'R', false);
        $this->Ln(4);
        $this->Cell(0, 5, utf8_decode($a->getCveCtl()), 0, 0, 'R', false);
        $this->SetXY(28, 49);

        if (strlen($a->getCveLic()->getNomLic()) >= 11 & strlen($a->getCveLic()->getNomLic()) <= 15) {
            $this->SetFont('Arial', 'B', 6.5);
        } elseif (strlen($a->getCveLic()->getNomLic()) <= 10) {
            $this->SetFont('Arial', 'B', 8);
        } else {
            $this->SetFont('Arial', 'B', 6);
        }

        //$this->MultiCell(0, 5, utf8_decode(ucwords(strtolower($a->getCveLic()->getNomLic())) ),0,'R');
        $this->MultiCell(0, 3.5, utf8_decode($a->getCveLic()->getNomLic()), 0, 'R');

        $this->AddPage();
        if ($a->getCvePla()->getCvePla() == '01') { // ZINACANTEPEC
            $this->Image('images/reversoChico2OKZina.png', 0, 0, 54, 86);
        } elseif ($a->getCvePla()->getCvePla() == '02') { // PINO SUAREZ
            $this->Image('images/reversoChico2OKToluca.png', 0, 0, 54, 86);
        } elseif ($a->getCvePla()->getCvePla() == '03') { // VALLE DE BRAVO
            $this->Image('images/reversoChico2OKValle.png', 0, 0, 54, 86);
        } elseif ($a->getCvePla()->getCvePla() == '04') { // CENTRO
            $this->Image('images/reversoChico2OKCentro.png', 0, 0, 54, 86);
        } elseif ($a->getCvePla()->getCvePla() == '44') { // APATZINGAN
            $this->Image('images/reversoChico2OKapatzingan.png', 0, 0, 54, 86);
        } elseif ($a->getCvePla()->getCvePla() == '45') { // TEOTIHUACAN
            $this->Image('images/reversoChico2OKTeotihuacan.png', 0, 0, 54, 86);
        } elseif ($a->getCvePla()->getCvePla() == '05') { // TEOTIHUACAN
            $this->Image('images/reversoChico2OKVILLA.png', 0, 0, 54, 86);
        }

        $this->SetFont('Arial', 'B', 6.9);
        $this->Ln(68);
        $this->Cell(0, 5, "Vigencia:", 0, 0, "R", false);
        $this->Ln();
        $this->Cell(0, 5, "Enero 2022 - Enero 2023", 0, 0, "R", false);
        $this->SetFillColor(0, 0, 248);
        $this->Rect(0, 76, 10, 10, 'F');
        //$this->Image($cb, 10, 65);
    }

    function Credencial2021($a, $cb)
    {
        $this->SetAutoPageBreak(TRUE, 0);

        $rutaFoto = "fotos/" . $a->getCveCtl() . ".jpg";
        $nombre_fichero = $rutaFoto;
        $img = "";

        if (file_exists($nombre_fichero)) {
            $img = "fotos/" . $a->getCveCtl() . ".jpg";
        } else {
            $img = "images/usuario.png";
        }

        $this->Image($img, 12, 18, 30);
        $this->Image('images/credencial/c1.png', 0, 0, 54, 86);

        $this->SetTextColor(29, 38, 87); // AZUL
        $this->SetLeftMargin(2);
        $this->SetRightMargin(2);
        $this->SetFont('Arial', 'B', 8);
        $this->Ln(38);
        $this->SetFont('Arial', 'B', 10);
        $this->Cell(0, 4, utf8_decode($a->getNomAlu()), 0, 0, 'C', false);
        $this->Ln();
        $this->SetFont('Arial', '', 10);
        $tamanioApellido = strlen($a->getApePat() . " " . $a->getApeMat());
        if ($tamanioApellido == 13) {
            $this->SetFont('Arial', '', 9);
            $this->Cell(0, 4, utf8_decode($a->getApePat() . " " . $a->getApeMat()), 0, 0, 'C', false);
        } elseif ($tamanioApellido > 13) {
            $this->SetFont('Arial', '', 8);
            $this->Cell(0, 4, utf8_decode($a->getApePat() . " " . $a->getApeMat()), 0, 0, 'C', false);
        } else {
            $this->Cell(0, 4, utf8_decode($a->getApePat() . " " . $a->getApeMat()), 0, 0, 'C', false);
        }
        $this->Ln();
        $this->Cell(0, 4, utf8_decode("_____________________"), 0, 0, 'C', false);
        $this->Ln();

        $nomLicenciatura = strlen(utf8_decode($a->getCveLic()->getNomLic()));
        if ($nomLicenciatura >= 11 & $nomLicenciatura <= 15) {
            $this->SetFont('Arial', '', 10);
        } elseif ($nomLicenciatura <= 10) {
            $this->SetFont('Arial', '', 8);
        } elseif ($nomLicenciatura <= 30) {
            $this->SetFont('Arial', '', 8);
        } else {
            $this->SetFont('Arial', '', 6);
        }
        $this->MultiCell(0, 3, utf8_decode($a->getCveLic()->getCveNivAca()->getNombre() . " EN " . $a->getCveLic()->getNomLic()), 0, 'C', false);


        $this->Ln();
        $this->SetFont('Arial', '', 8);

        $this->Cell(0, 5, utf8_decode("Matrícula:"), 0, 0, 'C', false);
        $this->Ln();
        $this->SetFont('Arial', 'B', 11);
        $this->Cell(0, 3, utf8_decode($a->getCveCtl()), 0, 0, 'C', false);
        $this->Ln();


        $this->AddPage();
        $this->SetLeftMargin(15);
        $this->SetRightMargin(5);
        $this->Ln();

        $this->Image('images/credencial/r1.png', 0, 0, 54, 86);
        //$this->SetTextColor(29, 38, 87);
        $this->SetTextColor(29, 38, 87); // AZUL

        $this->SetFont('Arial', 'B', 6);
        $this->Cell(0, 5, utf8_decode("TÉRMINOS Y CONDICIONES"), 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('Arial', '', 4);
        $texto = "Esta credencial de identificación Universitaria es intransferible y no es válida si presenta tachaduras o enmendaduras. El titular está obligado a presentarla cuando le sea solicitada.";
        $this->MultiCell(0, 2, utf8_decode($texto), 0, 'J', false);
        $this->Ln(10);
        $this->SetFont('Arial', '', 6);
        $this->Cell(0, 5, utf8_decode("CONTACTO: " . $a->getCvePla()->getTel()), 0, 0, "C", false);
        $this->Ln(3);
        $this->Cell(0, 2.5, "__________________________", 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('Arial', '', 6);
        $this->Cell(0, 5, utf8_decode("VIGENCIA:"), 0, 0, "R", false);
        $this->Ln(2);
        $this->Cell(0, 5, utf8_decode("Mayo 2023 - Mayo 2024"), 0, 0, "R", false);
        //$this->SetFillColor(255, 0, 128);
        //$this->Rect(0, 76, 10, 10, 'F');
        $this->Image($cb, 5, 65, 45);
    }

}
