<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use CmBundle\Controller\PDF_Rotate;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFCredencial
 *
 * @author Omar
 */
class PDFCredencialMantenimiento extends PDF_Rotate
{

    //put your code here
    function RotatedImage($file, $x, $y, $w, $h, $angle)
    {
        //Image rotated around its upper-left corner
        $this->Rotate($angle, $x, $y);
        $this->Image($file, $x, $y, $w, $h);
        $this->Rotate(0);
    }

    function Credencial($nombre, $apellido, $foto, $des, $pla, $mat, $niv, $pi, $pf)
    {
        $this->SetAutoPageBreak(TRUE, 0);


        $rutaFoto = "fotosM/" . $foto;
        $nombre_fichero = $rutaFoto;
        $img = "";

        if (file_exists($nombre_fichero)) {
            $img = "fotosM/" . $foto;
        } else {
            $img = "images/usuario.png";
        }

        $this->Image($img, 10, 20, 35);
        $this->Image('images/credencial/c1.png', 0, 0, 54, 86);

        $this->SetTextColor(29, 38, 87); // AZUL
        $this->SetLeftMargin(2);
        $this->SetRightMargin(2);
        $this->SetFont('Arial', 'B', 8);
        $this->Ln(38);
        $this->SetFont('Arial', 'B', 10);
        //$tamanioNombre = strlen($a->getNomAlu());

        $this->Cell(0, 4, utf8_decode($nombre), 0, 0, 'C', false);

        $this->Ln();
        $this->SetFont('Arial', '', 10);
        $tamanioApellido = strlen($apellido);
        if ($tamanioApellido == 13) {
            $this->SetFont('Arial', '', 9);
            $this->Cell(0, 4, utf8_decode($apellido), 0, 0, 'C', false);
        } elseif ($tamanioApellido > 13) {
            $this->SetFont('Arial', '', 8);
            $this->Cell(0, 4, utf8_decode($apellido), 0, 0, 'C', false);
        } else {
            $this->Cell(0, 4, utf8_decode($apellido), 0, 0, 'C', false);
        }
        $this->Ln();
        $this->SetFont('Arial', '', 8);

        $this->Cell(0, 5, utf8_decode(""), 0, 0, 'R', false);
        $this->Ln(2);
        $this->SetFont('Arial', 'B', 11);
        $this->Cell(0, 3, utf8_decode(""), 0, 0, 'R', false);
        $this->Ln(2);
        $this->SetFont('Arial', 'B', 6);
        $this->SetTextColor(29, 38, 87); // AZUL
        $this->Cell(0, 3, utf8_decode("Plantel:"), 0, 0, 'L', false);
        $this->Ln(0);
        $this->Cell(0, 7, utf8_decode($pla), 0, 0, 'L', false);
        $this->Ln(10);
        $nomLicenciatura = strlen($des);

        if ($nomLicenciatura >= 11 & $nomLicenciatura <= 15) {
            $this->SetFont('Arial', 'B', 10);
        } elseif ($nomLicenciatura <= 10) {
            $this->SetFont('Arial', 'B', 8);
        } elseif ($nomLicenciatura <= 30) {
            $this->SetFont('Arial', 'B', 8);
        } else {
            $this->SetFont('Arial', 'B', 6);
        }
        $this->MultiCell(0, 3, utf8_decode($des), 0, 'C', false);

        $this->AddPage();
        $this->SetLeftMargin(5);
        $this->SetRightMargin(5);
        $this->Ln();

        $this->Image('images/credencial/r1.png', 0, 0, 54, 86);

        $this->SetTextColor(29, 38, 87); // AZUL
        $this->SetFont('Arial', '', 6.5);
        $texto = "Esta credencial de identificación es intransferible y no es válida si presenta tachaduras o enmendaduras. El titular está obligado a presentarla cuando le sea solicitada.";
        $this->MultiCell(0, 2.5, utf8_decode($texto), 0, 'J', false);


        $this->SetLeftMargin(1);
        $this->SetRightMargin(1);
        $this->Ln();
        $this->SetFont('Arial', '', 10);
        $this->Cell(0, 5, utf8_decode("Contacto:"), 0, 0, "R", false);
        $this->Ln();
        $this->Cell(0, 5, "729 102 48 44", 0, 0, "R", false);
        $this->Ln(4);
        $this->Cell(0, 5, "729 264 18 89", 0, 0, "R", false);
        $this->Ln(6);
        $this->SetFont('Arial', '', 5);
        $this->Cell(0, 2.5, utf8_decode("Vigencia:"), 0, 0, "R", false);
        $this->Ln();
        $this->Cell(0, 2.5, $pi . " - " . $pf, 0, 0, "R", false);
        $this->Ln(10);
        $this->SetFont('Arial', '', 10);
        $this->Cell(0, 5, utf8_decode("_________________"), 0, 0, "L", false);
        $this->Ln(4);
        $this->SetFont('Arial', '', 8);
        $this->Cell(0, 5, utf8_decode("Lic. Oscar Huerta Téllez"), 0, 0, "L", false);
        $this->Ln(3);
        $this->Cell(0, 5, utf8_decode("Rector"), 0, 0, "L", false);

        $this->Image("images/firmaOscar.png", 5, 48, 25);
    }

    function CredencialSep($nombre, $apellido, $foto, $des)
    {
        $this->SetAutoPageBreak(TRUE, 0);

        $rutaFoto = "fotosSep/" . $foto;
        $nombre_fichero = $rutaFoto;
        $img = "";

        if (file_exists($nombre_fichero)) {
            $img = "fotosSep/" . $foto;
        } else {
            $img = "images/usuario.png";
        }


        $this->Image('fotosSep/caraSep2020.png', 0, 0, 54, 86);
        $this->Image($img, 14, 25, 25);
        //$this->Image('images/logoSep.png', 18, 52, 17);
        //$this->Image('images/CUAM.jpg', 0, 0, 23);
        $this->SetTextColor(0);
        $this->SetLeftMargin(2);
        $this->SetRightMargin(2);
        $this->Ln();
        $this->SetFont('Arial', 'B', 12);
        $this->Cell(0, 5, "", 0, 0, 'C', false);
        $this->Ln();
        $this->Cell(25, 5, "", 0, 0, 'C', false);
        $this->Cell(25, 5, "", 0, 0, 'C', false);
        $this->Ln(45);
        $this->SetFont('Arial', 'B', 12);
        $tamanioNombre = strlen($nombre);
        if ($tamanioNombre >= 9 & $tamanioNombre <= 10) {
            $this->SetFont('Arial', 'B', 12);
            $this->Cell(0, 6, utf8_decode($nombre), 0, 0, 'C', false);
        } elseif ($tamanioNombre > 10 & $tamanioNombre <= 14) {
            $this->SetFont('Arial', 'B', 12);
            $this->Cell(0, 6, utf8_decode($nombre), 0, 0, 'C', false);
        } elseif ($tamanioNombre > 14 & $tamanioNombre <= 16) {
            $this->SetFont('Arial', 'B', 12);
            $this->Cell(0, 6, utf8_decode($nombre), 0, 0, 'C', false);
        } elseif ($tamanioNombre > 16) {
            $this->SetFont('Arial', 'B', 12);
            $this->Cell(0, 6, utf8_decode($nombre), 0, 0, 'C', false);
        } elseif ($tamanioNombre == 8) {
            $this->SetFont('Arial', 'B', 12);
            $this->Cell(0, 6, utf8_decode($nombre), 0, 0, 'C', false);
        } else {
            $this->Cell(0, 6, utf8_decode($nombre), 0, 0, 'C', false);
        }

        $this->Ln(5);
        $this->SetFont('Arial', '', 10);
        $tamanioApellido = strlen($apellido);
        if ($tamanioApellido == 13) {
            $this->SetFont('Arial', '', 10);
            $this->Cell(0, 5, utf8_decode($apellido), 0, 0, 'C', false);
        } elseif ($tamanioApellido > 13) {
            $this->SetFont('Arial', '', 10);
            $this->Cell(0, 5, utf8_decode($apellido), 0, 0, 'C', false);
        } else {
            $this->Cell(0, 5, utf8_decode($apellido), 0, 0, 'C', false);
        }
        $this->SetFont('Arial', '', 8);

        $this->Ln(5);
        $this->SetFont('Arial', 'BI', 9);
        $this->Ln(0);
        if (strlen($des) >= 11 & strlen($des) <= 15) {
            $this->SetFont('Arial', '', 8);
        } elseif (strlen($des) <= 10) {
            $this->SetFont('Arial', 'BI', 10);
        } elseif (strlen($des) <= 20) {
            $this->SetFont('Arial', 'BI', 10);
        } else {
            $this->SetFont('Arial', 'BI', 7);
        }
        $this->SetFillColor(182, 29, 71);
        $this->SetTextColor(255, 255, 255);
        $this->MultiCell(0, 5, utf8_decode($des), 0, 'C', true);

        //$this->MultiCell(0, 5, utf8_decode(ucwords(strtolower($a->getCveLic()->getNomLic())) ),0,'R');
        //$this->MultiCell(0, 4, utf8_decode($a->getCveLic()->getNomLic()), 0, 'R');
        //$this->AddPage();
    }

}
