<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use FPDF;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFBoleta
 *
 * @author Lenovo
 */
class PDFInventario extends FPDF
{

    //put your code here

//put your code here
    public $banRecibo;

// Cabecera de página
    function Header()
    {
        if ($this->banRecibo == 0) {
            $this->Image('images/mg1.png', 0, 0, 216);
        } elseif ($this->banRecibo == 1) {
            //$this->Image('images/logoTecCortado.png', 8, 5, 75, 15);
            $this->Image('images/logoTecCortado.png', 8, 5, 0, 16);
        }
    }

// Pie de página


    public function Inventario($inventario)
    {
        $this->SetDrawColor(0, 0, 0);
        $this->SetTextColor(255, 255, 255);
        $this->SetFillColor(226, 13, 31); //ROJO UBC

        $this->SetFont('Arial', 'B', 13);
        $this->SetXY(166, 17);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(50, 5, utf8_decode("Inventario general"), 0, 0, 'C', false);

        $this->Ln(30);

        if ($inventario == null) {
            $this->Cell(0, 5, utf8_decode("NO  HAY INVENTARIO"), 0, 0, 'C', false);

        } else {
            $this->SetFont('Arial', 'B', 9);

            $this->Cell(10, 5, utf8_decode('#'), 1, 0, 'C', true);
            $this->Cell(30, 5, utf8_decode('PLANTEL'), 1, 0, 'C', true);
            $this->Cell(30, 5, utf8_decode('CODIGO PROD.'), 1, 0, 'C', true);
            $this->Cell(40, 5, utf8_decode('PRODUCTO'), 1, 0, 'C', true);
            $this->Cell(20, 5, utf8_decode('STOCK INI'), 1, 0, 'C', true);
            $this->Cell(20, 5, utf8_decode('ENTRADAS'), 1, 0, 'C', true);
            $this->Cell(20, 5, utf8_decode('SALIDAS'), 1, 0, 'C', true);
            $this->Cell(20, 5, utf8_decode('TOTAL'), 1, 0, 'C', true);
            $this->Ln();
            foreach ($inventario as $key => $i) {
                $this->SetTextColor(0, 0, 0);
                $this->SetFont('Arial', 'B', 8);


                $this->Cell(10, 5, utf8_decode($key + 1), 1, 0, 'C', false);
                $this->Cell(30, 5, utf8_decode($i->getCvePla()->getNomPla()), 1, 0, 'L', false);
                $this->Cell(30, 5, utf8_decode($i->getCveProInv()->getCodigo()), 1, 0, 'C', false);
                $this->Cell(40, 5, utf8_decode($i->getCveProInv()->getNomProd()), 1, 0, 'L', false);
                $this->Cell(20, 5, utf8_decode($i->getStockInicial()), 1, 0, 'C', false);
                $this->Cell(20, 5, utf8_decode($i->getEntradas()), 1, 0, 'C', false);
                $this->Cell(20, 5, utf8_decode($i->getSalidas()), 1, 0, 'C', false);
                $this->Cell(20, 5, utf8_decode($i->getTotal()), 1, 0, 'C', false);

            }
        }

    }
}
