<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use CmBundle\Entity\ReinscripcionAlumnos;
use CmBundle\Entity\LiderGrupal;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PortalAlumnoController
 *
 * @author Omar
 */
class PortalAlumnoController extends Controller {

    //put your code here
    public function loginAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("ideAlu")) {
            return $this->redirect($this->generateUrl('pa_home'));
        } else {
            return $this->render('CmBundle:PortalAlumno:pa-login.html.twig');
        }
    }

    public function checkAction(Request $request) {
        if ($request->getMethod() == 'POST') {
            //$salt = "#3cn0s1st4m4$3$3lM3j*r3qU1p0D3Pr0g4m4c!0n";
            //$username = password_hash($request->get('usuario'), PASSWORD_BCRYPT, array('salt' => $salt ));
            //$password = password_hash($request->get('pwd'), PASSWORD_BCRYPT, array('salt' => $salt ));
            //print_r($username);

            $em = $this->getDoctrine()->getEntityManager();

            $username = $request->get('email');
            $password = $request->get('email');

            $usuario = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('cveCtl' => $username));
            if ($usuario != NULL) {
                $session = $request->getSession();
                $session->set("ideAlu", $usuario->getIdeAlu());
                $session->set("nombre", $usuario->getNomAlu() . " " . $usuario->getApePat() . " " . $usuario->getApeMat());

                return $this->redirect($this->generateUrl('pa_home'));
            } else {
                $this->get('session')->getFlashBag()->add(
                        'mensaje', 'Dados incorrectos'
                );

                return $this->redirect($this->generateUrl('pa_acceso'));
            }
        }
    }

    public function logoutAction(Request $request) {
        $session = $request->getSession();
        $session->clear();
        /* $this->get('session')->getFlashBag()->add(
          'mensaje', 'Se ha cerrado sesión exitosamente, gracias por visitarnos.'
          );
         * 
         */
        return $this->redirect($this->generateUrl('pa_acceso'));
    }

    public function indexAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("ideAlu") != null) {
            if ($request->getMethod() == 'POST') {
                
            } else { // NO FUE POST
                $em = $this->getDoctrine()->getManager();

                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $session->get('ideAlu')));

                $periodoVigente = $em->getRepository('CmBundle:Periodos')->findOneBy(array('estatus' => 1));
                //print_r($periodoVigente->getPeriodo());
                $reinscripcionAlumno = $em->getRepository('CmBundle:ReinscripcionAlumnos')->findOneBy(array('cveAlu' => $alumno, 'periodo' => $periodoVigente->getPeriodo()));
                return $this->render('CmBundle:PortalAlumno:index-alumno.html.twig',
                                array(
                                    'a' => $alumno,
                                    'reins' => $reinscripcionAlumno,
                                    'periodo' => $periodoVigente->getPeriodo()
                ));
            }
        } else {
            //MANDAR A LOGIN
            return $this->redirect($this->generateUrl('login'));
        }
        // replace this example code with whatever you need
//        return $this->render('default/index.html.twig', [
//            'base_dir' => realpath($this->getParameter('kernel.project_dir')).DIRECTORY_SEPARATOR,
//        ]);
    }

    public function actualizarAlumnoAction(Request $request) {
        $session = $request->getSession();
        if ($session->has('ideAlu')) {
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');


                $alumno = $em->getRepository('CmBundle:Alumnos')
                        ->findOneBy(array('ideAlu' => $request->get('ideAlu')));

                //$alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);



                $alumno->setComoEntero($request->get('comoEntero'));
                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $em->persist($alumno);
                $em->flush();

                $periodoVigente = $em->getRepository('CmBundle:Periodos')->findOneBy(array('estatus' => 1));

                $numCtl = $alumno->getCveCtl();


                if ($_FILES['comprobante']['error'] > 0) {
                    
                } else {
                    move_uploaded_file($_FILES['comprobante']['tmp_name'], 'inscripcion/' . $numCtl . "_" . basename($_FILES['comprobante']['name']));
                }

                if ($_FILES['credencial']['error'] > 0) {
                    
                } else {
                    move_uploaded_file($_FILES['credencial']['tmp_name'], 'inscripcion/' . $numCtl . "_credencial_" . basename($_FILES['credencial']['name']));
                }

                $auxReinscripcion = $em->getRepository('CmBundle:ReinscripcionAlumnos')->findOneBy(array('cveAlu' => $alumno, 'periodo' => $periodoVigente->getPeriodo()));

                if ($auxReinscripcion == null) {
                    $reinscripcion = new ReinscripcionAlumnos();
                    $reinscripcion->setCveAlu($alumno);
                    $reinscripcion->setPeriodo($periodoVigente->getPeriodo());
                    $reinscripcion->setRecibo('inscripcion/' . $numCtl . "_" . basename($_FILES['comprobante']['name']));
                    $reinscripcion->setObservaciones('inscripcion/' . $numCtl . "_credencial_" . basename($_FILES['credencial']['name']));
                    $reinscripcion->setFecMov(new \DateTime(date('Y-m-d')));
                    $reinscripcion->setHorMov(new \DateTime(date('H:i:s')));

                    $em->persist($reinscripcion);
                    $em->flush();
                } else {
                    
                }




                if ($alumno->getTipoAlumno() == 2) {
                    return $this->redirect($this->generateUrl('pa_home'));
                } else {
                    return $this->redirect($this->generateUrl('pa_home'));
                }
            }
        } else {
            return $this->redirect($this->generateUrl('pa_acceso'));
        }
    }

    public function verLDAction(Request $request) {
        $session = $request->getSession();
        if ($session->has('ideAlu')) {
            if ($request->getMethod() == "POST") {
                $em = $this->getDoctrine()->getManager();

                $ideAlu = $request->get('ideAlu');
                $ideLid = $request->get('lider');
                $grupo = $request->get('grupo');
                $c1 = $request->get('c1');
                $c2 = $request->get('c2');
                $c3 = $request->get('c3');
                $c4 = $request->get('c4');
                $c5 = $request->get('c5');
                $c6 = $request->get('c6');
                $c7 = $request->get('c7');
                $c8 = $request->get('c8');

                $alumno = $em->getRepository('CmBundle:Alumnos')
                        ->findOneBy(array('ideAlu' => $ideAlu));
                $lider = $em->getRepository('CmBundle:Alumnos')
                        ->findOneBy(array('ideAlu' => $ideLid));


                $ld = new LiderGrupal();
                $ld->setCveAlu($alumno);
                $ld->setLider($lider);
                $ld->setGrupo($grupo);
                $ld->setCvePla($alumno->getCvePla());
                $ld->setCveLic($alumno->getCveLic());
                $ld->setNumero($alumno->getNumero());
                $ld->setC1($c1);
                $ld->setC2($c2);
                $ld->setC3($c3);
                $ld->setC4($c4);
                $ld->setC5($c5);
                $ld->setC6($c6);
                $ld->setC7($c7);
                $ld->setC8($c8);
                $ld->setC9(0);
                $ld->setC10(0);
                $ld->setFecMov(new \DateTime(date('Y-m-d')));
                $ld->setHorMov(new \DateTime(date('H:i:s')));

                $em->persist($ld);
                $em->flush();

                return $this->render('CmBundle:PortalAlumno:correcto-votacion.html.twig');
            } else {
                $em = $this->getDoctrine()->getManager();

                $alu = $em->getRepository('CmBundle:Alumnos')
                        ->findOneBy(array('ideAlu' => $session->get('ideAlu')));

                $auxLider = $em->getRepository('CmBundle:LiderGrupal')->findOneBy(array('cveAlu' => $alu));
                $banderaLider = 0;
                $alumnos = null;
                if ($auxLider != null) {
                    $banderaLider = 1;
                } else {
                    $alumnos = $em->getRepository('CmBundle:Alumnos')
                            ->findBy(
                            array(
                                'cvePla' => $alu->getCvePla(),
                                'estatus' => 1,
                                'tipoAlumno' => $alu->getTipoAlumno(),
                                'numero' => $alu->getNumero(),
                                'cveLic' => $alu->getCveLic()->getIdeLic()
                            ),
                            array(
                                'apePat' => 'ASC',
                                'apeMat' => 'ASC',
                                'nomAlu' => 'ASC'
                            )
                    );
                }

                return $this->render('CmBundle:PortalAlumno:vista-votacion.html.twig', array('alumnos' => $alumnos, 'bandera' => $banderaLider));
            }
        } else {
            
        }
    }

    public function verLDCEAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                $em = $this->getDoctrine()->getManager();

                return $this->render('CmBundle:PortalAlumno:correcto-votacion.html.twig');
            } else {
                $em = $this->getDoctrine()->getEntityManager();

                $auxPlantel = $session->get('plantel');
                $plantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $auxPlantel));

                $ld = $em->getRepository('CmBundle:LiderGrupal')->findBy(array('cvePla' => $plantel), array('grupo' => 'ASC', 'lider' => 'ASC'));

//                $dql = "SELECT IDENTITY(l.cveAlu) alu, IDENTITY(l.lider) lid, l.grupo, IDENTITY(l.cvePla) pla, IDENTITY(l.cveLic) lic, l.numero, a "
//                        . "FROM CmBundle:LiderGrupal l, CmBundle:Alumnos a "
//                        . "WHERE "
//                        . "a.ideAlu = l.cveAlu "
//                        . "AND "
//                        . "l.cvePla = :pla "
//                        . "ORDER BY l.grupo ASC ";
//                $query = $em->createQuery($dql);
//                $query->setParameter("pla", $plantel->getIdePla());
//                $lideres = $query->getResult();
//
//                foreach ($lideres as $key => $v) {
//                    print_r($key + 1);
//                    print_r("::::::");
//                    print_r("LIDER: " . $v[0]->getNomAlu() . " " . $v[0]->getApePat() . " " . $v[0]->getApeMat());
//                    print_r("::::::");
//                    print_r("GRUPO: " . $v['grupo']);
//                    print_r("::::::");
//                    print_r("LIC: " . $v['lic']);
//                    print_r("::::::");
//                    print_r("ALUMNO: " . $v['alu']);
//                    //print_r($v['cveAlu']);
//                    print_r('<br>');
//                }

                return $this->render('CmBundle:CE:vista-liderGrupal.html.twig', array('lideres' => $ld));
            }
        } else {
            
        }
    }

}
