<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AlumnosGrupos
 *
 * @ORM\Table(name="alumnos_grupos", indexes={@ORM\Index(name="cve_gru", columns={"cve_gru"}), @ORM\Index(name="cve_alu", columns={"cve_alu"})})
 * @ORM\Entity
 */
class AlumnosGrupos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_alu_gru", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAluGru;

    /**
     * @var \Grupos
     *
     * @ORM\ManyToOne(targetEntity="Grupos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_gru", referencedColumnName="ide_gru")
     * })
     */
    private $cveGru;

    /**
     * @var \Alumnos
     *
     * @ORM\ManyToOne(targetEntity="Alumnos")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_alu", referencedColumnName="ide_alu")
     * })
     */
    private $cveAlu;



    /**
     * Get ideAluGru
     *
     * @return integer
     */
    public function getIdeAluGru()
    {
        return $this->ideAluGru;
    }

    /**
     * Set cveGru
     *
     * @param \CmBundle\Entity\Grupos $cveGru
     *
     * @return AlumnosGrupos
     */
    public function setCveGru(\CmBundle\Entity\Grupos $cveGru = null)
    {
        $this->cveGru = $cveGru;
    
        return $this;
    }

    /**
     * Get cveGru
     *
     * @return \CmBundle\Entity\Grupos
     */
    public function getCveGru()
    {
        return $this->cveGru;
    }

    /**
     * Set cveAlu
     *
     * @param \CmBundle\Entity\Alumnos $cveAlu
     *
     * @return AlumnosGrupos
     */
    public function setCveAlu(\CmBundle\Entity\Alumnos $cveAlu = null)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return \CmBundle\Entity\Alumnos
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }
}
