<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Bancos
 *
 * @ORM\Table(name="bancos")
 * @ORM\Entity
 */
class Bancos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_ban", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideBan;

    /**
     * @var string
     *
     * @ORM\Column(name="nombre", type="string", length=100, nullable=false)
     */
    private $nombre;

    /**
     * @var string
     *
     * @ORM\Column(name="banco", type="string", length=100, nullable=false)
     */
    private $banco;

    /**
     * @var string
     *
     * @ORM\Column(name="cuenta", type="string", length=30, nullable=false)
     */
    private $cuenta;

    /**
     * @var string
     *
     * @ORM\Column(name="clabe", type="string", length=30, nullable=false)
     */
    private $clabe;

    /**
     * @var string
     *
     * @ORM\Column(name="tarjeta", type="string", length=30, nullable=false)
     */
    private $tarjeta;



    /**
     * Get ideBan
     *
     * @return integer
     */
    public function getIdeBan()
    {
        return $this->ideBan;
    }

    /**
     * Set nombre
     *
     * @param string $nombre
     *
     * @return Bancos
     */
    public function setNombre($nombre)
    {
        $this->nombre = $nombre;
    
        return $this;
    }

    /**
     * Get nombre
     *
     * @return string
     */
    public function getNombre()
    {
        return $this->nombre;
    }

    /**
     * Set banco
     *
     * @param string $banco
     *
     * @return Bancos
     */
    public function setBanco($banco)
    {
        $this->banco = $banco;
    
        return $this;
    }

    /**
     * Get banco
     *
     * @return string
     */
    public function getBanco()
    {
        return $this->banco;
    }

    /**
     * Set cuenta
     *
     * @param string $cuenta
     *
     * @return Bancos
     */
    public function setCuenta($cuenta)
    {
        $this->cuenta = $cuenta;
    
        return $this;
    }

    /**
     * Get cuenta
     *
     * @return string
     */
    public function getCuenta()
    {
        return $this->cuenta;
    }

    /**
     * Set clabe
     *
     * @param string $clabe
     *
     * @return Bancos
     */
    public function setClabe($clabe)
    {
        $this->clabe = $clabe;
    
        return $this;
    }

    /**
     * Get clabe
     *
     * @return string
     */
    public function getClabe()
    {
        return $this->clabe;
    }

    /**
     * Set tarjeta
     *
     * @param string $tarjeta
     *
     * @return Bancos
     */
    public function setTarjeta($tarjeta)
    {
        $this->tarjeta = $tarjeta;
    
        return $this;
    }

    /**
     * Get tarjeta
     *
     * @return string
     */
    public function getTarjeta()
    {
        return $this->tarjeta;
    }
}
