<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * InventarioProductos
 *
 * @ORM\Table(name="inventario_productos")
 * @ORM\Entity
 */
class InventarioProductos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_pro_inv", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideProInv;

    /**
     * @var string
     *
     * @ORM\Column(name="codigo", type="string", length=20, nullable=true)
     */
    private $codigo = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="nom_prod", type="string", length=100, nullable=true)
     */
    private $nomProd = 'NULL';

    /**
     * @var string
     *
     * @ORM\Column(name="imagen", type="string", length=255, nullable=true)
     */
    private $imagen = 'NULL';



    /**
     * Get ideProInv
     *
     * @return integer
     */
    public function getIdeProInv()
    {
        return $this->ideProInv;
    }

    /**
     * Set codigo
     *
     * @param string $codigo
     *
     * @return InventarioProductos
     */
    public function setCodigo($codigo)
    {
        $this->codigo = $codigo;
    
        return $this;
    }

    /**
     * Get codigo
     *
     * @return string
     */
    public function getCodigo()
    {
        return $this->codigo;
    }

    /**
     * Set nomProd
     *
     * @param string $nomProd
     *
     * @return InventarioProductos
     */
    public function setNomProd($nomProd)
    {
        $this->nomProd = $nomProd;
    
        return $this;
    }

    /**
     * Get nomProd
     *
     * @return string
     */
    public function getNomProd()
    {
        return $this->nomProd;
    }

    /**
     * Set imagen
     *
     * @param string $imagen
     *
     * @return InventarioProductos
     */
    public function setImagen($imagen)
    {
        $this->imagen = $imagen;
    
        return $this;
    }

    /**
     * Get imagen
     *
     * @return string
     */
    public function getImagen()
    {
        return $this->imagen;
    }
}
