function registrarProdInv() {

    nombre = document.getElementById('nombre').value;

    $.ajax({
        // la URL para la petición
        url: '/ControlUBC/web/app_dev.php/registrarArt', // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {
            nombre: nombre
        }, // especifica si será una petición POST o GET

        type: 'POST', // el tipo de información que se espera de respuesta
        dataType: 'html', // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("cont-articulos-inventario").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> <b>Cargando datos...</b>';
        }, success: function (respuesta) {
            document.getElementById("cont-articulos-inventario").innerHTML = respuesta;
        }, // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            document.getElementById("cont-articulos-inventario").innerHTML = "";
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }

    });
} // Traer Datos Tutor


function vistaRegistro() {

    // nombre = document.getElementById('nombre').value;

    $.ajax({
        // la URL para la petición
        url: '/ControlUBC/web/app_dev.php/registrarInv', // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {
            // nombre: nombre
        }, // especifica si será una petición POST o GET

        type: 'GET', // el tipo de información que se espera de respuesta
        dataType: 'html', // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedor-nuevo-art-inv").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> <b>Cargando datos...</b>';
        }, success: function (respuesta) {
            document.getElementById("contenedor-nuevo-art-inv").innerHTML = respuesta;
        }, // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            document.getElementById("contenedor-nuevo-art-inv").innerHTML = "";
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }

    });
} // Traer Datos Tutor


function registroInventarioPla() {

    plantelInv = document.getElementById('plantelInv').value;
    articuloInv = document.getElementById('articuloInv').value;
    stock = document.getElementById('stock').value;
    //total = document.getElementById('total').value;

    $.ajax({
        // la URL para la petición
        url: '/ControlUBC/web/app_dev.php/registrarInv', // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {
            plantelInv: plantelInv,
            articuloInv: articuloInv,
            stock: stock,
            //total
        }, // especifica si será una petición POST o GET

        type: 'POST', // el tipo de información que se espera de respuesta
        dataType: 'html', // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedor-tabla-prod-plan").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> <b>Cargando datos...</b>';
        }, success: function (respuesta) {
            document.getElementById("contenedor-tabla-prod-plan").innerHTML = respuesta;
        }, // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            document.getElementById("contenedor-tabla-prod-plan").innerHTML = "";
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }

    });
} // Traer Datos Tutor


function vistaMovimiento() {

    // plantelInv = document.getElementById('plantelInv').value;
    //articuloInv = document.getElementById('articuloInv').value;
    //stock = document.getElementById('stock').value;
    //total = document.getElementById('total').value;

    $.ajax({
        // la URL para la petición
        url: '/ControlUBC/web/app_dev.php/movimientoInv', // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {
            // plantelInv: plantelInv,
            //articuloInv: articuloInv,
            //stock: stock,
            //total
        }, // especifica si será una petición POST o GET

        type: 'GET', // el tipo de información que se espera de respuesta
        dataType: 'html', // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedor-movimiento").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> <b>Cargando datos...</b>';
        }, success: function (respuesta) {
            document.getElementById("contenedor-movimiento").innerHTML = respuesta;
        }, // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            document.getElementById("contenedor-movimiento").innerHTML = "";
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }

    });
} // Traer Datos Tutor


function movimientoAgregar() {
    productosPlantel = document.getElementById('productosPlantel').value;
    cantidad = document.getElementById('cantidad').value;
    //observaciones = document.getElementById('observaciones').value;

    $.ajax({
        url: '/ControlUBC/web/app_dev.php/movimientoInv', data: {
            productosPlantel: productosPlantel,
            cantidad: cantidad,
            //observaciones: observaciones,
            //opc: opc

        }, type: 'POST', dataType: 'html', beforeSend: function () {
            document.getElementById("contenedor-tabla-prod-plan").innerHTML = '<div class="spinner spinner-track spinner-primary mr-15"></div>';
        }, success: function (respuesta) {
            // alert("Correcto");

            document.getElementById("contenedor-tabla-prod-plan").innerHTML = respuesta; // MOSTRAR LA TABLA
            //  actualizarCampos();
            setTimeout(mostrarFormInventario, 2000);
        }, error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedor-tabla-prod-plan").innerHTML = '';
        }, complete: function (xhr, status) {
        }
    });
}

function movimientoSalida() {
    productosPlantel = document.getElementById('productosPlantel').value;
    cantidad = document.getElementById('cantidad').value;
    //observaciones = document.getElementById('observaciones').value;

    $.ajax({
        url: '/ControlUBC/web/app_dev.php/movimientoSalidas', data: {
            productosPlantel: productosPlantel,
            cantidad: cantidad,
            //observaciones: observaciones,
            //opc: opc

        }, type: 'POST', dataType: 'html', beforeSend: function () {
            document.getElementById("contenedor-tabla-prod-plan").innerHTML = '<div class="spinner spinner-track spinner-primary mr-15"></div>';

        }, success: function (respuesta) {
            // alert("Correcto");

            document.getElementById("contenedor-tabla-prod-plan").innerHTML = respuesta; // MOSTRAR LA TABLA
            //  actualizarCampos();
        }, error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedor-tabla-prod-plan").innerHTML = '';
        }, complete: function (xhr, status) {
        }
    });
}


function contenedorImagen(ideProInv) {

    $.ajax({
        url: '/ControlUBC/web/app_dev.php/subirImagenProd',
        data: {
            ideProInv: ideProInv
        },
        type: 'GET',
        dataType: 'html',
        beforeSend: function () {
            document.getElementById("contenedor-imagen-prod").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> <b>Cargando datos...</b>';

        },
        success: function (respuesta) {
            // alert("Correcto");

            document.getElementById("contenedor-imagen-prod").innerHTML = respuesta; // MOSTRAR LA TABLA
            //  actualizarCampos();
        },
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedor-imagen-prod").innerHTML = '';
        },
        complete: function (xhr, status) {
        }
    });
}

function subirImagen(ideProInv) {
    var formData = new FormData();
    var fileInput = document.getElementById('imagen');

    if (fileInput.files.length > 0) {
        formData.append('imagen', fileInput.files[0]);
    }

    $.ajax({
        url: '/ControlUBC/web/app_dev.php/subirImagenProd',
        data: formData,
        type: 'POST',
        dataType: 'html',
        contentType: false, // Required when sending FormData
        processData: false, // Required when sending FormData
        beforeSend: function () {
            document.getElementById("cont-articulos-inventario").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> <b>Cargando datos...</b>';
        },
        success: function (respuesta) {
            document.getElementById("cont-articulos-inventario").innerHTML = respuesta;
        },
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("cont-articulos-inventario").innerHTML = '';
        },
        complete: function (xhr, status) {
        }
    });
}


function verImagen(ideProInv) {

    // Pass ideProInv as a parameter when making the AJAX call
    $.ajax({
        url: '/ControlUBC/web/app_dev.php/verImagen', data: {
            ideProInv: ideProInv  // Pass the ideProInv value here
        }, type: 'GET', dataType: 'html', contentType: false, processData: false, beforeSend: function () {
            document.getElementById("cont-imagen-inv").innerHTML = '<i class="fa fa-pulse fa-spinner"></i> <b>Cargando datos...</b>';
        }, success: function (respuesta) {
            document.getElementById("cont-imagen-inv").innerHTML = respuesta;
        }, error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("cont-imagen-inv").innerHTML = '';
        }, complete: function (xhr, status) {
        }
    });
}
