/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$("#btnModCerrarEliminarIngresoTitulacion").click(function () {
    validarTitulacion();
});

function detallesPagoTitulacionAEliminar(a, b, c) {
    $.ajax({
        // la URL para la petición
        url: '/web/deletePT',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: a, numRec: b, cveIng: c},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedorDetallesPagoTitulacionEliminado").innerHTML = '...';
            document.getElementById("contenedorDetallesIngresoTitulacionAEliminar").innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            document.getElementById("contenedorDetallesPagoTitulacionEliminado").innerHTML = '';
            document.getElementById("contenedorDetallesIngresoTitulacionAEliminar").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            console.log("ERROR");
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}


function eliminarReciboPagoIngresoTitulacion(a, b, c) {
    $.ajax({
        // la URL para la petición
        url: '/web/deletePT',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: a, numRec: b, cveIng: c},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedorDetallesPagoTitulacionEliminado").innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> eliminando...</strong>';
        },
        success: function (respuesta) {
            document.getElementById("contenedorDetallesPagoTitulacionEliminado").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            console.log("ERROR");
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}
