/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


function detallesFondoPlantel(p) {
    $.ajax({
        // la URL para la petición
        url: '/web/vistaFP',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {
            p: p
        },
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("con-det-fplantel").innerHTML = '<i class="fa fa-spin fa-spinner fa-pulse"></i>';
        },
        success: function (respuesta) {
            document.getElementById("con-det-fplantel").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("con-det-fplantel").innerHTML = "";
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function crearFondo(p) {
    $.ajax({
        // la URL para la petición
        url: '/web/crearFP',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {
            p: p
        },
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("cont-modal-fondo").innerHTML = '<i class="fa fa-spin fa-spinner fa-pulse"></i>';
        },
        success: function (respuesta) {
            document.getElementById("cont-modal-fondo").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("cont-modal-fondo").innerHTML = "";
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}






//CAMBIAR COLOR DE LA FILA DE LA TABLA
var rowSelected = null;

function cambiarColorFila(id, p) {

    if (rowSelected != null) {
        var filas = document.getElementsByClassName('filaPlantel');
        for (i = 0; i < filas.length; i++) {
            filas[i].style.backgroundColor = "";
            filas[i].style.color = "";
        }
        rowSelected = id;
        document.getElementById(id).style.backgroundColor = '#336375';
        document.getElementById(id).style.color = '#FFFFFF';
        detallesFondoPlantel(p);

    } else {
        rowSelected = id;
        document.getElementById(id).style.backgroundColor = '#336375';
        document.getElementById(id).style.color = '#FFFFFF';
        detallesFondoPlantel(p);
    }
}//cambiarColorFila