/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

function reporteGeneracion(xx) {
    $idePla = document.getElementById('idePla').value;
    $lic = document.getElementById('ideLic').value;
    $cuatri = document.getElementById('numCua').value;

    $.ajax({
        // la URL para la petición
        url: '/web/vistaGeneraciones',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {p: $idePla, l: $lic, numCua: $cuatri, x: xx},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("con-rep-generacion").innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
        },
        success: function (respuesta) {
            document.getElementById("con-rep-generacion").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("con-rep-generacion").innerHTML = 'Error';

        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // reporteInvasion

function actualizarFecha(f) {
    $fecTer = document.getElementById("fecEgr" + f).value;

    if ($fecTer === "") {
        swal("ALTO", "DEBES ESCRIBIR UNA FECHA", "warning");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/web/gFechaTermino',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: f, fecTer: $fecTer},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("fecTer" + f).innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
            },
            success: function (respuesta) {
                document.getElementById("fecTer" + f).innerHTML = respuesta;
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("fecTer" + f).innerHTML = '';

            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
                traerAntiguedad(f)
            }
        });
    }
} // actualizarFecha


function traerAntiguedad(f) {
    $.ajax({
        // la URL para la petición
        url: '/web/gFechaTermino',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: f},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("anti" + f).innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
        },
        success: function (respuesta) {
            document.getElementById("anti" + f).innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("anti" + f).innerHTML = '';

        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });

} // traerAntiguedad