/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


$("#idePla").change(function () {
    var valor = $(this).val();
    if (valor === "default") {
        document.getElementById("con-cuadro").innerHTML = "";
    } else {
        traerDatos(valor);
    }
});


function traerDatos(p) {
    $.ajax({
        // la URL para la petición
        url: '/web/vistaUnoSE',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {p: p},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("con-cuadro").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> Obteniendo Datos...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("con-cuadro").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("con-cuadro").innerHTML = '\(X_X)/';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function listarAlumnos(l, c, p) {
    //CONSULTA UNO
    $.ajax({
        // la URL para la petición
        url: '/web/consultaUnoSE',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {p: p, l: l, c: c},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("con_lis_alu").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> Obteniendo Datos...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("con_lis_alu").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("con_lis_alu").innerHTML = '\(X_X)/';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function expedienteAlumnos(l, c, p) {
    //CONSULTA DOS
    $.ajax({
        // la URL para la petición
        url: '/web/consultaDosSE',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {p: p, l: l, c: c},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("cont-m2").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> Obteniendo Datos...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("cont-m2").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("cont-m2").innerHTML = '--(X_X)--';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function calificacionesAlumnos(l, c, p) {
    //CONSULTA CUATRO
    $.ajax({
        // la URL para la petición
        url: '/web/consultaCuatroSE',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {p: p, l: l, c: c},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("cont-m4").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> Obteniendo Datos...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("cont-m4").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("cont-m4").innerHTML = '--(4_4)--';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}


function gruposAlumnos(l, c, p) {
    //CONSULTA CINCO
    $.ajax({
        // la URL para la petición
        url: '/web/consultaCincoSE',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {p: p, l: l, c: c},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("cont-m5").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> Obteniendo Datos...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("cont-m5").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("cont-m5").innerHTML = '--(5_5)--';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}