/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var alumnoSeleccionadoEstatus = "";
function cargarEstatusTitulacion(alu, ban) {
    alumnoSeleccionadoEstatus = alu;
    $.ajax({
        // la URL para la petición
        url: '/web/updateEstatusTitulacion',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: alu},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedor-estatus-titulacion").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 2em;"></i><strong> VALIDANDO...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedor-estatus-titulacion").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedor-estatus-titulacion").innerHTML = 'Error al interpretar los datos.';
        },
        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // cargarCarrerasTitulacion


$("#btnGuardarEstatusTitulacion").click(function () {
    var respuesta = document.getElementById("select_estatus").value;
    if (respuesta === "default") {
        alert("Debe elegir una opción");
    } else {

        $.ajax({
            // la URL para la petición
            url: '/web/updateEstatusTitulacion',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: alumnoSeleccionadoEstatus, estatus: respuesta},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedor-estatus-titulacion").innerHTML = '<i class="fa fa-pulse fa-spinner" style="font-size: 2em;"></i><strong> VALIDANDO...</strong>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedor-estatus-titulacion").innerHTML = respuesta;
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedor-estatus-titulacion").innerHTML = 'Error al interpretar los datos.';
            },
            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }
});

$("#btnModCancelarEstatusTitulacion").click(function () {
    location.reload();
});