/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
$.validator.addMethod("valueNotEquals", function (value, element, arg) {
    return arg !== value;
}, "Value must not equal arg.");
// validate signup form on keyup and submit
$("#form-grupos").validate({
    rules: {
        licenciatura: {valueNotEquals: "default"},
        grupo: "required",
        turno: {valueNotEquals: "default"},
        modalidad: {valueNotEquals: "default"},
        periodo: {valueNotEquals: "default"},
        numero: {required: true,
            min: 1,
            max: 10},
        hi: "required",
        hf: "required",
        dias: "required"
    },
    messages: {
        licenciatura: {valueNotEquals: "*Campo obligatorio"},
        grupo: "*Campo obligatorio",
        turno: {valueNotEquals: "*Campo obligatorio"},
        modalidad: {valueNotEquals: "*Campo obligatorio"},
        periodo: {valueNotEquals: "*Campo obligatorio"},
        numero: {required: "*Campo obligatorio",
            min: "*Min: 1",
            max: "*Max: 10"},
        hi: "*Campo obligatorio",
        hf: "*Campo obligatorio",
        dias: "*Campo obligatorio"
    }
});