/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


$.validator.addMethod("valueNotEquals", function (value, element, arg) {
    return arg !== value;
}, "Elige una opción");

$.validator.addMethod("math", function (value, element, params) {
    console.log(value + "-" + element + "-" + params);
    return this.optional(element) || value == params;
}, "Activa la casilla.");

// validate signup form on keyup and submit
$("#form-alta-EU").validate({
    rules: {
        apePat: "required",
        nomAlu: "required",
        curp: {required: true, minlength: 18, maxlength: 18},
        sexAlu: {valueNotEquals: "default"},
        telefonoCelular: "required",
        email: "required",
        fecEgr: "required",
        tablaPagos: {valueNotEquals: "default"},
        cveEsc: {valueNotEquals: "default"},
        //cerSec: "required",
        cerSec: {math: false},
        ideCordinador: {valueNotEquals: "default"}
    },
    messages: {
        apePat: "Campo obligatorio.",
        nomAlu: "Campo obligatorio.",
        curp: {required: "Campo obligatorio.", minlength: "CURP NO VALIDA", maxlength: "CURP NO VALIDA"},
        sexAlu: {valueNotEquals: "Campo obligatorio."},
        telefonoCelular: "Campo obligatorio.",
        email: "Campo obligatorio.",
        fecEgr: "Campo obligatorio.",
        tablaPagos: {valueNotEquals: "Campo obligatorio."},
        cveEsc: {valueNotEquals: "Campo obligatorio."},
        //cerSec: "Campo obligatorio.",
        cerSec: {math: "Campo obligatorio."},
        ideCordinador: {valueNotEquals: "Campo obligatorio."}
    }
});