/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$.validator.addMethod("valueNotEquals", function (value, element, arg) {
    return arg !== value;
}, "Elige una opción");

// validate signup form on keyup and submit
$("#form-alu-re").validate({
    rules: {
        apePat: "required",
        nomAlu: "required",
        curp: "required",
        sexAlu: {valueNotEquals: "default"},
        telefonoCelular: "required",
        email: "required",
        comprobante: "required",
        credencial: "required",
    },
    messages: {
        apePat: "Campo obligatorio.",
        nomAlu: "Campo obligatorio.",
        curp: "Campo obligatorio.",
        sexAlu: {valueNotEquals: "Campo obligatorio."},
        telefonoCelular: "Campo obligatorio.",
        email: "Campo obligatorio.",
        comprobante: "Campo obligatorio.",
        credencial: "Campo obligatorio.",
    }
});



function curp2date(curp) {
    var m = curp.match(/^\w{4}(\w{2})(\w{2})(\w{2})/);
    //miFecha = new Date(año,mes,dia) 
    var anyo = parseInt(m[1], 10) + 1900;
    if (anyo < 1950)
        anyo += 100;
    var mes = parseInt(m[2], 10) - 1;
    var dia = parseInt(m[3], 10);

    console.log(new Date(anyo, mes, dia));
    $("#fecNac").val(new Date(anyo, mes, dia));
    var fecha = $("#fecNac").val();

    // Si la fecha es correcta, calculamos la edad
    var values = fecha.split("-");
    var dia = values[2];
    var mes = values[1];
    var ano = values[0];

    // cogemos los valores actuales
    var fecha_hoy = new Date();
    var ahora_ano = fecha_hoy.getYear();
    var ahora_mes = fecha_hoy.getMonth() + 1;
    var ahora_dia = fecha_hoy.getDate();

    // realizamos el calculo
    var edad = (ahora_ano + 1900) - ano;
    if (ahora_mes < mes)
    {
        edad--;
    }
    if ((mes == ahora_mes) && (ahora_dia < dia))
    {
        edad--;
    }
    if (edad > 1900)
    {
        edad -= 1900;
    }

    // calculamos los meses
    var meses = 0;
    if (ahora_mes > mes)
        meses = ahora_mes - mes;
    if (ahora_mes < mes)
        meses = 12 - (mes - ahora_mes);
    if (ahora_mes == mes && dia > ahora_dia)
        meses = 11;

    // calculamos los dias
    var dias = 0;
    if (ahora_dia > dia)
        dias = ahora_dia - dia;
    if (ahora_dia < dia)
    {
        ultimoDiaMes = new Date(ahora_ano, ahora_mes, 0);
        dias = ultimoDiaMes.getDate() - (dia - ahora_dia);
    }

    //document.getElementById("result").innerHTML = "Tienes " + edad + " años, " + meses + " meses y " + dias + " días";
    $("#edad").val(edad);


    //return (new Date( anyo, mes, dia ));
}

Date.prototype.toString = function () {
    var anyo = this.getFullYear();
    var mes = this.getMonth() + 1;
    if (mes <= 9)
        mes = "0" + mes;
    var dia = this.getDate();
    if (dia <= 9)
        dia = "0" + dia;
    return anyo + "-" + mes + "-" + dia;
}