<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Entity\Alumnos;
use CmBundle\Entity\DetallesBachiEu;
use CmBundle\Entity\Pagos;
use CmBundle\Entity\Titulaciones;
use CmBundle\Entity\PagosTitulacion;
use CmBundle\Controller\PDFCredencial;
use Picqer\Barcode\BarcodeGeneratorPNG;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of AlumnoController
 *
 * @author omar
 */
class AlumnoController extends Controller
{

    //put your code here 
    //Licenciatura
    public function altaAlumnoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');

                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('ideEst' => $tipo));

                $turno = $request->get("turno");
                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $tipLic));

                $semestre = $request->get('numSem');
                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                    ->findOneBy(array('idePro' => $idePro));

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                    ->findOneBy(array('cveCon' => 'C1'));

                //$cveCtl = $plantel->getCvePla() + $contador->getValor();


                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');

                //print_r($tipo_alumno);
                //die();

                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));


                $alumno->setFecTer(new \DateTime($fecEgr));
                $alumno->setFechaCredencial(new \DateTime(date('1900-01-01')));
                $alumno->setEspecialidadTitulacion(null);

                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }

                $alumno->setTurno($turno);
                $alumno->setCveLic($cveLic);

                $alumno->setCvePla($plantel);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));

                $numeroAlu = 0;
                if ($request->get('modalidad') == "SEMESTRAL") {
                    $alumno->setNumero($request->get('numSem'));
                    $numeroAlu = $request->get('numSem');
                } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                    $alumno->setNumero($request->get('numCua'));
                    $numeroAlu = $request->get('numCua');
                }

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                $alumno->setReinscripcion(0);
                /* if ($numeroAlu > 1) {
                  $alumno->setReinscripcion(1);
                  } else {
                  $alumno->setReinscripcion(0);
                  } */

                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu($session->get('identificador'));

                $alumno->setCostoInscripcion($request->get('costoInscripcion'));
                $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setHorarioTurno(new \DateTime(date($request->get('horario'))));
                $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));
                $alumno->setDiasTurno(json_encode($request->get('dias')));
                $alumno->setComoEntero($request->get('comoEntero'));
                $alumno->setContador(1);

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $alumno->setEstado(null);
                $alumno->setCveEdoPro(null);
                $alumno->setFecEgrActual(null);
                $alumno->setFecIniAntecedente(null);
                $alumno->setFecExaProfesional(null);
                $alumno->setFecExcenExamen(null);
                $alumno->setFecExpedTitulo(null);

                $em->persist($alumno);
                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();


                $fecIni = $request->get('mesCol');
                /* CREAR PAGO DE INSCRIPCION DEL ALUMNO */
                /*
                  $pago = new Pagos();
                  $pago->setCveAlu($alumno);
                  $pago->setSemestre($alumno->getNumero());
                  $pago->setNumero(0);
                  $pago->setReferencia("");
                  $pago->setFecIni(new \DateTime(date($fecIng)));
                  $pago->setFecTer(new \DateTime(date($fecIng)));
                  $pago->setTipPag("");
                  $pago->setStaPag(1);
                  $pago->setFecMov(new \DateTime(date('Y-m-d')));
                  $pago->setCveUsu($session->get('identificador'));

                  $em->persist($pago);
                  $em->flush();

                  /* CREAR LOS PAGOS DEL ALUMNO
                  $fin = 0;
                  if ($alumno->getModalidad() == "SEMESTRAL") {
                  $fin = 6;
                  } elseif ($alumno->getModalidad() == "CUATRIMESTRAL") {
                  $fin = 4;
                  }

                  for ($i = 1; $i <= $fin; $i++) {

                  $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
                  $auxAnio = date('Y', strtotime($fecIni));
                  $fecTer = date('Y-m-d', $fecTer);

                  $auxFecha = date('m', strtotime($fecIni));
                  $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
                  $nomMes = $meses[$auxFecha - 1];

                  $pago = new Pagos();
                  $pago->setCveAlu($alumno);
                  $pago->setSemestre($alumno->getNumero());
                  $pago->setNumero($i);
                  $pago->setReferencia("");
                  $pago->setFecIni(new \DateTime($fecIni));
                  $pago->setFecTer(new \DateTime($fecTer));
                  $pago->setNomMes($nomMes);
                  $pago->setTipPag("");
                  $pago->setStaPag(1);
                  $pago->setFecMov(new \DateTime(date('Y-m-d')));
                  $pago->setCveUsu($session->get('identificador'));

                  $em->persist($pago);
                  $em->flush();

                  $fecTer = strtotime('+1 month', strtotime($fecIni));
                  $fecTer = date('Y-m-d', $fecTer);
                  $fecIni = $fecTer;
                  }
                 */
                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
            } else {
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $planteles = $em->getRepository('CmBundle:Planteles')->findBy(array('idePla' => array(1, 2, 3, 4, 13, 14, 21)), array('nomPla' => 'ASC'));
                $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();


                return $this->render('CmBundle:Alumno:alta-alumno.html.twig', array(
                    'estatus' => $estatus,
                    'planteles' => $planteles,
                    'procedencias' => $procedencias
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    /** BACHI TECNOLOGICO ESCOLARIZADO * */
    public function altaAlumnoBachiGeneAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');

                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('ideEst' => $tipo));

                $turno = $request->get("turno");
                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $tipLic));

                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                    ->findOneBy(array('idePro' => $idePro));
                $semestre = $request->get('numSem');

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                    ->findOneBy(array('cveCon' => 'C1'));

                $cveCtl = $plantel->getCvePla() + $contador->getValor();


                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');


                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }

                /**
                 * CAMPOS QUE GENERAN ERROR
                 */
                $alumno->setFecTer(new \DateTime(date('1900-01-01')));
                $alumno->setFechaCredencial(new \DateTime(date('1900-01-01')));
                $alumno->setEspecialidadTitulacion(null);


                $alumno->setTurno($turno);
                $alumno->setCveLic($cveLic);

                $alumno->setCvePla($plantel);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));

                $numeroAlu = 0;
                if ($request->get('modalidad') == "SEMESTRAL") {
                    $alumno->setNumero($request->get('numSem'));
                    $numeroAlu = $request->get('numSem');
                } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                    $alumno->setNumero($request->get('numCua'));
                    $numeroAlu = $request->get('numCua');
                }

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                if ($numeroAlu > 1) {
                    $alumno->setReinscripcion(1);
                } else {
                    $alumno->setReinscripcion(0);
                }

                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu($session->get('identificador'));

                $alumno->setCostoInscripcion($request->get('costoInscripcion'));
                $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setHorarioTurno(new \DateTime(date($request->get('horario'))));
                $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));
                $alumno->setDiasTurno(json_encode($request->get('dias')));
                $alumno->setContador(1);
                $alumno->setComoEntero($request->get('comoEntero'));

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $alumno->setEstado(null);
                $alumno->setCveEdoPro(null);
                $alumno->setFecEgrActual(null);
                $alumno->setFecIniAntecedente(null);
                $alumno->setFecExaProfesional(null);
                $alumno->setFecExcenExamen(null);
                $alumno->setFecExpedTitulo(null);

                $em->persist($alumno);
                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();

                $fecIni = $fecIng;

                /* CREAR PAGO DE INSCRIPCION DEL ALUMNO */
                /*
                  $pago = new Pagos();
                  $pago->setCveAlu($alumno);
                  $pago->setSemestre($alumno->getNumero());
                  $pago->setNumero(0);
                  $pago->setReferencia("");
                  $pago->setFecIni(new \DateTime(date('Y-m-d')));
                  $pago->setFecTer(new \DateTime(date('Y-m-d')));
                  $pago->setTipPag("");
                  $pago->setStaPag(1);
                  $pago->setDescripcion("PAGO DE INSCRIPCION");
                  $pago->setFecMov(new \DateTime(date('Y-m-d')));
                  $pago->setCveUsu($session->get('identificador'));

                  $em->persist($pago);
                  $em->flush();

                  /* CREAR LOS PAGOS DEL ALUMNO
                  $fin = 0;
                  if ($alumno->getModalidad() == "SEMESTRAL") {
                  $fin = 6;
                  } elseif ($alumno->getModalidad() == "CUATRIMESTRAL") {
                  $fin = 4;
                  }

                  for ($i = 1; $i <= $fin; $i++) {

                  $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
                  $auxAnio = date('Y', strtotime($fecIni));
                  $fecTer = date('Y-m-d', $fecTer);

                  $auxFecha = date('m', strtotime($fecIni));
                  $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
                  $nomMes = $meses[$auxFecha - 1];

                  $pago = new Pagos();
                  $pago->setCveAlu($alumno);
                  $pago->setSemestre($alumno->getNumero());
                  $pago->setNumero($i);
                  $pago->setReferencia("");
                  $pago->setFecIni(new \DateTime($fecIni));
                  $pago->setFecTer(new \DateTime($fecTer));
                  $pago->setNomMes($nomMes);
                  $pago->setTipPag("");
                  $pago->setStaPag(1);
                  $pago->setFecMov(new \DateTime(date('Y-m-d')));
                  $pago->setCveUsu($session->get('identificador'));

                  $em->persist($pago);
                  $em->flush();

                  $fecTer = strtotime('+1 month', strtotime($fecIni));
                  $fecTer = date('Y-m-d', $fecTer);
                  $fecIni = $fecTer;
                  }
                 */


                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
            } else {
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $planteles = $em->getRepository('CmBundle:Planteles')->findBy(array('idePla' => array(1, 2, 3, 4, 13, 14, 21)), array('nomPla' => 'ASC'));
                $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();

                return $this->render('CmBundle:Alumno:alta-alumno-bachi-gene.html.twig', array(
                    'estatus' => $estatus,
                    'planteles' => $planteles,
                    'procedencias' => $procedencias
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    /** BACHI EXAMEN UNICO * */
    public function altaAlumnoBachiTecnoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3 || $session->get("rol") == 4)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');

                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('ideEst' => $tipo));

                $turno = $request->get("turno");
                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $tipLic));

                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                    ->findOneBy(array('idePro' => $idePro));
                $semestre = $request->get('numSem');

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                    ->findOneBy(array('cveCon' => 'C1'));

                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');

                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);


                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }
                if ($fecEgr == null) {
                    $alumno->setFecTer(new \DateTime("now"));
                } else {
                    $alumno->setFecTer(new \DateTime($fecEgr));
                }


                $alumno->setTurno($turno);
                $alumno->setCveLic($cveLic);

                $alumno->setHorarioTurno(new \DateTime(date("H:i:s")));
                $alumno->setHorarioSalidaTurno(new \DateTime(date("H:i:s")));
                $alumno->setNumero(-3);

                $alumno->setCvePla($plantel);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));

                $numeroAlu = 0;
                if ($request->get('modalidad') == "SEMESTRAL") {
                    $alumno->setNumero($request->get('numSem'));
                    $numeroAlu = $request->get('numSem');
                } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                    $alumno->setNumero($request->get('numCua'));
                    $numeroAlu = $request->get('numCua');
                }

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                if ($numeroAlu > 1) {
                    $alumno->setReinscripcion(1);
                } else {
                    $alumno->setReinscripcion(0);
                }

                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu($session->get('identificador'));

                $alumno->setCostoInscripcion($request->get('costoInscripcion'));
                $alumno->setCostoReinscripciones(0);
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setContador(1);
                $alumno->setComoEntero($request->get('comoEntero'));

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $cveNumApli = $em->getRepository('CmBundle:AplicacionExamenUnico')
                    ->findOneBy(array('ideApExaUni' => $request->get('cveNumApli')));
                $alumno->setCveNumApli($cveNumApli);

                $tablaPagos = $em->getRepository('CmBundle:BecasBachillerato')
                    ->findOneBy(array('ideBecBac' => $request->get('tablaPagos')));

                $alumno->setTablaPagos($tablaPagos);
                $alumno->setFechaCredencial(new \DateTime(date('1900-01-01')));
                $alumno->setEspecialidadTitulacion(null);

                $alumno->setEstado(null);
                $alumno->setCveEdoPro(null);
                $alumno->setFecEgrActual(null);
                $alumno->setFecIniAntecedente(null);
                $alumno->setFecExaProfesional(null);
                $alumno->setFecExcenExamen(null);
                $alumno->setFecExpedTitulo(null);


                $em->persist($alumno);
                $em->flush();

                $detalleBachi = new DetallesBachiEu();
                $detalleBachi->setCveAlu($alumno);

                $detalleBachi->setFechaTerminoSec(new \DateTime(date('Y-m-d')));
                $detalleBachi->setFichaInscripcion(null);
                $detalleBachi->setDocumentacionDigital(0);
                $detalleBachi->setAsistenciaAsesorias(null);
                $detalleBachi->setCalendarioActividades(null);
                $detalleBachi->setCalendarioPagos(null);
                $detalleBachi->setEntregaDocumentos(null);
                $detalleBachi->setCartaCompromiso(null);
                $detalleBachi->setOficioAplicacion(null);
                $detalleBachi->setLiberado(null);


                $detalleBachi->setFecMov(new \DateTime(date('Y-m-d')));
                $detalleBachi->setCveUsu($session->get('identificador'));
                $em->persist($detalleBachi);
                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();

                $fecIni = $fecIng;
                $pagosVigentes = $em->getRepository('CmBundle:ConceptoPagosBachillerato')
                    ->findBy(array('vigente' => 1, 'cveBeca' => $request->get('tablaPagos')));

                /* CREAR LOS PAGOS DEL ALUMNO */
                foreach ($pagosVigentes as $key => $value) {

                    $pago = new Pagos();
                    $pago->setCveAlu($alumno);
                    $pago->setSemestre($key);
                    $pago->setNumero($key);
                    $pago->setReferencia("");
                    $pago->setFecIni(new \DateTime(date('Y-m-d')));
                    $pago->setFecTer(new \DateTime(date('Y-m-d')));
                    $pago->setNomMes("");
                    $pago->setTipPag("");
                    $pago->setCveIng(null);
                    $pago->setStaPag(1);
                    $pago->setDescripcion($value->getConcepto());
                    $pago->setMonto($value->getMonto());
                    $pago->setFecMov(new \DateTime(date('Y-m-d')));
                    $pago->setCveUsu($session->get('identificador'));

                    $em->persist($pago);
                    $em->flush();
                }

                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_alumno_bachi_tecno', array('ideAlu' => $alumno->getIdeAlu())));
            } else {
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $planteles = $em->getRepository('CmBundle:Planteles')->findBy(array('idePla' => array(1, 2, 3, 4, 13, 14, 21)), array('nomPla' => 'ASC'));

                $bachilleratos = $em->getRepository('CmBundle:Licenciaturas')
                    ->findBy(array('cveNivAca' => 2));
                $aplicaciones = $em->getRepository('CmBundle:AplicacionExamenUnico')
                    ->findBy(array('estatus' => 1));
                $becasBachi = $em->getRepository('CmBundle:BecasBachillerato')
                    ->findBy(array('estatus' => 1));
                $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();

                return $this->render('CmBundle:Alumno:alta-alumno-bachi-tecno.html.twig', array(
                    'estatus' => $estatus,
                    'planteles' => $planteles,
                    'licenciaturas' => $bachilleratos,
                    'aplicaciones' => $aplicaciones,
                    'tablaPagos' => $becasBachi,
                    'procedencias' => $procedencias
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    /** BACHI RETROACTIVO * */
    public function altaAlumnoBachiRetroAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3 || $session->get("rol") == 4 || $session->get("rol") == 99)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');


                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('ideEst' => $tipo));

                $turno = $request->get("turno");
                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $tipLic));

                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                    ->findOneBy(array('idePro' => $idePro));
                $semestre = $request->get('numSem');

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                    ->findOneBy(array('cveCon' => 'C1'));

                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');

                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }
                if ($fecEgr == null) {
                    $alumno->setFecTer(null);
                } else {
                    $alumno->setFecTer(new \DateTime($fecEgr));
                }

                $alumno->setTurno($turno);
                $alumno->setCveLic($cveLic);

                $alumno->setCvePla($plantel);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad('CUATRIMESTRAL');

                $numeroAlu = 0;
                $alumno->setNumero($numeroAlu);


                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);

                $alumno->setReinscripcion(0);


                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu($session->get('identificador'));

                $alumno->setCostoInscripcion($request->get('costoInscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setContador(1);
                $alumno->setComoEntero($request->get('comoEntero'));

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $em->persist($alumno);
                $em->flush();

                $detalleBachi = new DetallesBachiEu();
                $detalleBachi->setCveAlu($alumno);
                $detalleBachi->setFecMov(new \DateTime(date('Y-m-d')));
                $detalleBachi->setCveUsu($session->get('identificador'));
                $em->persist($detalleBachi);
                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();

                /* CREAR LOS PAGOS DEL ALUMNO */
                $pago = new Pagos();
                $pago->setCveAlu($alumno);
                $pago->setSemestre(1);
                $pago->setNumero(0);
                $pago->setReferencia("");
                $pago->setFecIni(new \DateTime(date('Y-m-d')));
                $pago->setFecTer(new \DateTime(date('Y-m-d')));
                $pago->setNomMes("");
                $pago->setTipPag("");
                $pago->setStaPag(1);
                $pago->setDescripcion("COSTO TRAMITE");
                $pago->setMonto($request->get('colegiatura'));
                $pago->setFecMov(new \DateTime(date('Y-m-d')));
                $pago->setCveUsu($session->get('identificador'));

                $em->persist($pago);
                $em->flush();


                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_alumno_bachi_retro', array('ideAlu' => $alumno->getIdeAlu())));
            } else {
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $planteles = $em->getRepository('CmBundle:Planteles')
                    ->findBy(array(), array('nomPla' => 'ASC'));

                $bachilleratos = $em->getRepository('CmBundle:Licenciaturas')
                    ->findBy(array('cveNivAca' => 7));
                $aplicaciones = $em->getRepository('CmBundle:AplicacionExamenUnico')
                    ->findBy(array('estatus' => 1));
                $becasBachi = $em->getRepository('CmBundle:BecasBachillerato')
                    ->findBy(array('estatus' => 1));
                $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();

                return $this->render('CmBundle:Alumno:alta-alumno-bachi-retro.html.twig', array(
                    'estatus' => $estatus,
                    'planteles' => $planteles,
                    'licenciaturas' => $bachilleratos,
                    'aplicaciones' => $aplicaciones,
                    'tablaPagos' => $becasBachi,
                    'procedencias' => $procedencias
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    /** BACHI POSGRADO MAESTRÍA * */
    public function altaAlumnoPosgradoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');


                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('ideEst' => $tipo));

                $turno = $request->get("turno");
                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $tipLic));

                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                    ->findOneBy(array('idePro' => $idePro));
                $semestre = $request->get('numSem');

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                    ->findOneBy(array('cveCon' => 'C1'));

                $cveCtl = $plantel->getCvePla() + $contador->getValor();


                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');


                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }

                $alumno->setTurno($turno);
                $alumno->setCveLic($cveLic);

                $alumno->setCvePla($plantel);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));
                $numeroAlu = 0;
                if ($request->get('modalidad') == "SEMESTRAL") {
                    $alumno->setNumero($request->get('numSem'));
                    $numeroAlu = $request->get('numSem');
                } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                    $alumno->setNumero($request->get('numCua'));
                    $numeroAlu = $request->get('numCua');
                }

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                if ($numeroAlu > 1) {
                    $alumno->setReinscripcion(1);
                } else {
                    $alumno->setReinscripcion(0);
                }
                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu($session->get('identificador'));

                $alumno->setHorarioTurno(new \DateTime($request->get('horario')));
                $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));

                $alumno->setCostoInscripcion($request->get('costoInscripcion'));
                $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setContador(1);
                $alumno->setComoEntero($request->get('comoEntero'));
                $alumno->setCedula($request->get('cedula'));
                $alumno->setLicenciatura($request->get('licenciatura'));

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $alumno->setFechaCredencial(new \DateTime(date("1900-01-01")));
                $alumno->setFecTer(new \DateTime(date("1900-01-01")));
                $alumno->setEspecialidadTitulacion(null);

                $alumno->setEstado(null);
                $alumno->setCveEdoPro(null);
                $alumno->setFecEgrActual(null);
                $alumno->setFecIniAntecedente(null);
                $alumno->setFecExaProfesional(null);
                $alumno->setFecExcenExamen(null);
                $alumno->setFecExpedTitulo(null);

                $em->persist($alumno);
                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();

                $fecIni = $fecIng;
                /* CREAR PAGO DE INSCRIPCION DEL ALUMNO */
//                $pago = new Pagos();
//                $pago->setCveAlu($alumno);
//                $pago->setSemestre($alumno->getNumero());
//                $pago->setNumero(0);
//                $pago->setReferencia("");
//                $pago->setFecIni(new \DateTime(date('Y-m-d')));
//                $pago->setFecTer(new \DateTime(date('Y-m-d')));
//                $pago->setTipPag("");
//                $pago->setMonto(0.0);
//                $pago->setCveIng(null);
//                $pago->setStaPag(1);
//                $pago->setFecMov(new \DateTime(date('Y-m-d')));
//                $pago->setCveUsu($session->get('identificador'));
//
//                $em->persist($pago);
//                $em->flush();

                /* CREAR LOS PAGOS DEL ALUMNO */
//                $fin = 0;
//                if ($alumno->getModalidad() == "SEMESTRAL") {
//                    $fin = 6;
//                } elseif ($alumno->getModalidad() == "CUATRIMESTRAL") {
//                    $fin = 4;
//                }
//
//                for ($i = 1; $i <= $fin; $i++) {
//
//                    $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
//                    $auxAnio = date('Y', strtotime($fecIni));
//                    $fecTer = date('Y-m-d', $fecTer);
//
//                    $auxFecha = date('m', strtotime($fecIni));
//                    $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
//                    $nomMes = $meses[$auxFecha - 1];
//
//                    $pago = new Pagos();
//                    $pago->setCveAlu($alumno);
//                    $pago->setSemestre($alumno->getNumero());
//                    $pago->setNumero($i);
//                    $pago->setReferencia("");
//                    $pago->setFecIni(new \DateTime($fecIni));
//                    $pago->setFecTer(new \DateTime($fecTer));
//                    $pago->setNomMes($nomMes);
//                    $pago->setTipPag("");
//                    $pago->setMonto(0.0);
//                    $pago->setCveIng(null);
//                    $pago->setStaPag(1);
//                    $pago->setFecMov(new \DateTime(date('Y-m-d')));
//                    $pago->setCveUsu($session->get('identificador'));
//
//                    $em->persist($pago);
//                    $em->flush();
//
//                    $fecTer = strtotime('+1 month', strtotime($fecIni));
//                    $fecTer = date('Y-m-d', $fecTer);
//                    $fecIni = $fecTer;
//                }
                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
            } else {
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $planteles = $em->getRepository('CmBundle:Planteles')->findBy(array('idePla' => array(1, 2, 3, 4, 13, 14, 21)), array('nomPla' => 'ASC'));
                $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();
                return $this->render('CmBundle:Alumno:alta-alumno-posgrado.html.twig', array(
                    'estatus' => $estatus,
                    'planteles' => $planteles,
                    'procedencias' => $procedencias
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    /** BACHI POSGRADO DOCTORADO * */
    public function altaAlumnoDoctoradoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');


                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('ideEst' => $tipo));

                $turno = $request->get("turno");
                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $tipLic));

                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                    ->findOneBy(array('idePro' => $idePro));
                $semestre = $request->get('numSem');

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                    ->findOneBy(array('cveCon' => 'C1'));

                $cveCtl = $plantel->getCvePla() + $contador->getValor();


                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');

                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }

                $alumno->setTurno($turno);
                $alumno->setCveLic($cveLic);

                $alumno->setCvePla($plantel);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));
                $numeroAlu = 0;
                if ($request->get('modalidad') == "SEMESTRAL") {
                    $alumno->setNumero($request->get('numSem'));
                    $numeroAlu = $request->get('numSem');
                } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                    $alumno->setNumero($request->get('numCua'));
                    $numeroAlu = $request->get('numCua');
                }

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                if ($numeroAlu > 1) {
                    $alumno->setReinscripcion(1);
                } else {
                    $alumno->setReinscripcion(0);
                }
                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu($session->get('identificador'));

                $alumno->setHorarioTurno(new \DateTime($request->get('horario')));
                $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));

                $alumno->setCostoInscripcion($request->get('costoInscripcion'));
                $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setContador(1);
                $alumno->setComoEntero($request->get('comoEntero'));
                $alumno->setCedula($request->get('cedula'));
                $alumno->setLicenciatura($request->get('licenciatura'));

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $alumno->setFechaCredencial(new \DateTime(date("1900-01-01")));
                $alumno->setFecTer(new \DateTime(date("1900-01-01")));
                $alumno->setEspecialidadTitulacion(null);

                $alumno->setEstado(null);
                $alumno->setCveEdoPro(null);
                $alumno->setFecEgrActual(null);
                $alumno->setFecIniAntecedente(null);
                $alumno->setFecExaProfesional(null);
                $alumno->setFecExcenExamen(null);
                $alumno->setFecExpedTitulo(null);

                $em->persist($alumno);
                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();

                $fecIni = $fecIng;
                /* CREAR PAGO DE INSCRIPCION DEL ALUMNO */
//                $pago = new Pagos();
//                $pago->setCveAlu($alumno);
//                $pago->setSemestre($alumno->getNumero());
//                $pago->setNumero(0);
//                $pago->setReferencia("");
//                $pago->setFecIni(new \DateTime(date('Y-m-d')));
//                $pago->setFecTer(new \DateTime(date('Y-m-d')));
//                $pago->setTipPag("");
//                $pago->setMonto(0.0);
//                $pago->setCveIng(null);
//                $pago->setStaPag(1);
//                $pago->setFecMov(new \DateTime(date('Y-m-d')));
//                $pago->setCveUsu($session->get('identificador'));
//
//                $em->persist($pago);
//                $em->flush();

                /* CREAR LOS PAGOS DEL ALUMNO */
//                $fin = 0;
//                if ($alumno->getModalidad() == "SEMESTRAL") {
//                    $fin = 6;
//                } elseif ($alumno->getModalidad() == "CUATRIMESTRAL") {
//                    $fin = 4;
//                }
//
//                for ($i = 1; $i <= $fin; $i++) {
//
//                    $fecTer = strtotime('+1 month -1 day', strtotime($fecIni));
//                    $auxAnio = date('Y', strtotime($fecIni));
//                    $fecTer = date('Y-m-d', $fecTer);
//
//                    $auxFecha = date('m', strtotime($fecIni));
//                    $meses = array("ENERO", "FEBRERO", "MARZO", "ABRIL", "MAYO", "JUNIO", "JULIO", "AGOSTO", "SEPTIEMBRE", "OCTUBRE", "NOVIEMBRE", "DICIEMBRE");
//                    $nomMes = $meses[$auxFecha - 1];
//
//                    $pago = new Pagos();
//                    $pago->setCveAlu($alumno);
//                    $pago->setSemestre($alumno->getNumero());
//                    $pago->setNumero($i);
//                    $pago->setReferencia("");
//                    $pago->setFecIni(new \DateTime($fecIni));
//                    $pago->setFecTer(new \DateTime($fecTer));
//                    $pago->setNomMes($nomMes);
//                    $pago->setMonto(0.0);
//                    $pago->setCveIng(null);
//                    $pago->setTipPag("");
//                    $pago->setStaPag(1);
//                    $pago->setFecMov(new \DateTime(date('Y-m-d')));
//                    $pago->setCveUsu($session->get('identificador'));
//
//                    $em->persist($pago);
//                    $em->flush();
//
//                    $fecTer = strtotime('+1 month', strtotime($fecIni));
//                    $fecTer = date('Y-m-d', $fecTer);
//                    $fecIni = $fecTer;
//                }
                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
            } else {
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $planteles = $em->getRepository('CmBundle:Planteles')->findBy(array('idePla' => array(1, 2, 3, 4, 13, 14, 21)), array('nomPla' => 'ASC'));

                $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();
                return $this->render('CmBundle:Alumno:alta-alumno-doctorado.html.twig', array(
                    'estatus' => $estatus,
                    'planteles' => $planteles,
                    'procedencias' => $procedencias
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    /** TITULACION: KENIA * */
    public function altaAlumnoTitulacionAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');

                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = 1;
                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('ideEst' => $tipo));

                $turno = $request->get("turno");
                $tipPlantel = 1;
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $tipLic));
                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                    ->findOneBy(array('idePro' => $idePro));
                $semestre = $request->get('numSem');

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                    ->findOneBy(array('cveCon' => 'C1'));

                $cveCtl = $plantel->getCvePla() + $contador->getValor();

                $fecIng = date('Y');

                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');
                $nivel = $request->get('nivel');

                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }

                $alumno->setTurno($turno);
                $alumno->setCveLic(null);

                $alumno->setCvePla(null);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));
                $numeroAlu = 0;
                $alumno->setNumero(7);
                $numeroAlu = 1;

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                if ($numeroAlu > 1) {
                    $alumno->setReinscripcion(1);
                } else {
                    $alumno->setReinscripcion(0);
                }
                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu($session->get('identificador'));

                $alumno->setHorarioTurno(new \DateTime(date("01:01:01")));
                $alumno->setHorarioSalidaTurno(new \DateTime(date("01:01:01")));
                $alumno->setFechaCredencial(new \DateTime(date('1900-01-01')));
                $alumno->setEspecialidadTitulacion(null);
                $alumno->setFecTer(null);

                $alumno->setCostoInscripcion($request->get('cT'));
                $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setContador(1);
                $alumno->setComoEntero($request->get('comoEntero'));
                $alumno->setCedula($request->get('cedula'));
                $alumno->setLicenciatura($request->get('licenciatura'));

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $alumno->setHorarioSalidaTurno(new \DateTime(date('H:i:s')));
                $alumno->setHorarioTurno(new \DateTime(date('H:i:s')));

                $alumno->setEstado(null);
                $alumno->setCveEdoPro(null);
                $alumno->setFecEgrActual(null);
                $alumno->setFecIniAntecedente(null);
                $alumno->setFecExaProfesional(null);
                $alumno->setFecExcenExamen(null);
                $alumno->setFecExpedTitulo(null);

                $em->persist($alumno);
                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();


                //$alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $request->get('ideAlu')));
                $especialidad = $request->get('cveCar');
                $cveLicTit = $em->getRepository('CmBundle:LicenciaturasTitulacion')->findOneBy(array('ideLicTit' => $especialidad));

                $pagoTitulacion = new PagosTitulacion();
                $pagoTitulacion->setCveAlu($alumno);
                $pagoTitulacion->setFecMov(new \DateTime(date('Y-m-d')));
                $pagoTitulacion->setMonto($request->get('cT'));
                $pagoTitulacion->setDebe($request->get('cT'));
                $pagoTitulacion->setEstatus(1);
                $pagoTitulacion->setCveUsu($session->get('identificador'));
                $em->persist($pagoTitulacion);
                $em->flush();

                $titulacion = new Titulaciones();
                $titulacion->setCveAlu($alumno);
                $titulacion->setCveLic($cveLicTit);

                $titulacion->setCvePag($pagoTitulacion->getIdePagTit());
                $titulacion->setFecCerBac(new \DateTime($fecEgr));
                $titulacion->setEstatus(1);
                if ($nivel == 'lic') {
                    $titulacion->setTipoAlumno(3);
                } elseif ($nivel == 'mae') {
                    $titulacion->setTipoAlumno(4);
                } elseif ($nivel == 'doc') {
                    $titulacion->setTipoAlumno(5);
                }
                $cord = $request->get('ideCordinador');

                $cveCordTit = $em->getRepository('CmBundle:CordinadoresTitulacion')->findOneBy(array('ideCorTit' => $cord));
                $titulacion->setCord($cveCordTit);
                $titulacion->setCostoTramite($request->get('cT'));
                $titulacion->setFecIngresado(null);
                $titulacion->setFecLiberado(null);
                $titulacion->setFecEntregado(null);
                $titulacion->setFecCancelado(null);
                $titulacion->setFecCartaPasante(null);
                $titulacion->setFecConsTerminos(null);
                $titulacion->setFecHistorial(null);
                $titulacion->setFecCertTotal(null);
                $titulacion->setFecTitulo(null);
                $titulacion->setFecActTitulacion(null);
                $titulacion->setFecLibSerSocial(null);
                $titulacion->setFecCarExtension(null);
                $titulacion->setFecConsTraTitulo(null);
                $titulacion->setFecConsEstudios(null);
                $titulacion->setFecOtros(null);
                $titulacion->setCveIngresado(null);
                $titulacion->setCveEgreso(null);

                $em->persist($titulacion);
                $em->flush();

                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
            } else {
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $planteles = $em->getRepository('CmBundle:Planteles')->findAll();
                $procedencias = $em->getRepository('CmBundle:InstitucionesEgresos')->findBy(array(), array('nomIns' => 'ASC'));
                $cordinadores = $em->getRepository('CmBundle:CordinadoresTitulacion')->findBy(array(), array('nomCor' => 'ASC'));

                return $this->render('CmBundle:Alumno:alta-alumno-titulacion.html.twig', array(
                    'estatus' => $estatus,
                    'planteles' => $planteles,
                    'procedencias' => $procedencias,
                    'cordinadores' => $cordinadores
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function altaBaseAlumnoAction(Request $request)
    {
        $session = $request->getSession();
        if ($request->getMethod() == "POST") {

            $em = $this->getDoctrine()->getManager();

            $apePat = $request->get('apePat');
            $apeMat = $request->get('apeMat');
            $nomAlu = $request->get('nomAlu');
            $curp = $request->get('curp');
            $sexo = $request->get('sexAlu');
            $fecNac = $request->get('fecNac');
            $edad = $request->get('edad');
            $nacionalidad = $request->get('nacionalidad');
            $edo = $request->get('edoAlu');
            $mun = $request->get('munAlu');
            $calle = $request->get('calle');
            $numExt = $request->get('numExt');
            $numInt = $request->get('numInt');
            $colonia = $request->get('colonia');
            $cp = $request->get('codPos');
            $telefono = $request->get('telefono');
            $email = $request->get('email');

            $fecIng = $request->get('fecIng');
            $fecEgr = $request->get('fecEgr');
            $tipo = $request->get('staAlu');
            $estatus = $em->getRepository('CmBundle:Estatus')
                ->findOneBy(array('ideEst' => $tipo));

            $turno = $request->get("turno");
            $tipPlantel = $request->get('cveEsc');
            $plantel = $em->getRepository('CmBundle:Planteles')
                ->findOneBy(array('idePla' => $tipPlantel));
            $tipLic = $request->get('cveCar');
            $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                ->findOneBy(array('ideLic' => $tipLic));

            $semestre = $request->get('numSem');
            $idePro = $request->get("escProcedencia");
            $cvePro = $em->getRepository('CmBundle:Procedencias')
                ->findOneBy(array('idePro' => $idePro));

            $cerSec = 0;
            $cerPre = 0;
            $actNac = 0;
            $fotInf = 0;
            $copCurp = 0;
            $cerMed = 0;

            $cerSec2 = 0;
            $cerPre2 = 0;
            $actNac2 = 0;
            $fotInf2 = 0;
            $copCurp2 = 0;
            $cerMed2 = 0;

            if ($request->get('cerSec') == "on") {
                $cerSec = 1;
            }
            if ($request->get('cerPre') == "on") {
                $cerPre = 1;
            }
            if ($request->get('actNac') == "on") {
                $actNac = 1;
            }
            if ($request->get('fotInf') == "on") {
                $fotInf = 1;
            }
            if ($request->get('copCurp') == "on") {
                $copCurp = 1;
            }
            if ($request->get('cerMed') == "on") {
                $cerMed = 1;
            }

            if ($request->get('cerSec2') == "on") {
                $cerSec2 = 1;
            }
            if ($request->get('cerPre2') == "on") {
                $cerPre2 = 1;
            }
            if ($request->get('actNac2') == "on") {
                $actNac2 = 1;
            }
            if ($request->get('fotInf2') == "on") {
                $fotInf2 = 1;
            }
            if ($request->get('copCurp2') == "on") {
                $copCurp2 = 1;
            }
            if ($request->get('cerMed2') == "on") {
                $cerMed2 = 1;
            }

            /*
             * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
             */
            $contador = $em->getRepository('CmBundle:Contador')
                ->findOneBy(array('cveCon' => 'C1'));

            $anio = substr($fecIng, 2, 2);

            $np = "";
            if ($contador->getValor() < 10) {
                $np = '000' . $contador->getValor();
            } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                $np = '00' . $contador->getValor();
            } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                $np = '0' . $contador->getValor();
            } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                $np = $contador->getValor();
            }

            $numCtl = $anio . $plantel->getCvePla() . $np;
            $tipo_alumno = $request->get('tipoAlumno');

            $alumno = new Alumnos();
            $alumno->setCveCtl($numCtl);
            $alumno->setNomAlu($nomAlu);
            $alumno->setApePat($apePat);
            $alumno->setApeMat($apeMat);
            $alumno->setEstatus($estatus);
            $alumno->setCurp($curp);
            $alumno->setFecNac(new \DateTime($fecNac));
            $alumno->setEdad($edad);
            $alumno->setSexo($sexo);
            $alumno->setNacionalidad($nacionalidad);
            $alumno->setCorreo($email);
            $alumno->setTelefono($telefono);
            $alumno->setTelefonoCelular($request->get('telefonoCelular'));
            $alumno->setCalle($calle);
            $alumno->setNumExt($numExt);
            $alumno->setNumInt($numInt);
            $alumno->setColLoc($colonia);
            $alumno->setMunDel($mun);
            $alumno->setEdo($edo);
            $alumno->setCp($cp);

            $alumno->setCerSec($cerSec);
            $alumno->setCerPre($cerPre);
            $alumno->setActNac($actNac);
            $alumno->setFotInf($fotInf);
            $alumno->setCopCurp($copCurp);
            $alumno->setCerMed($cerMed);

            $alumno->setCerSecCopia($cerSec2);
            $alumno->setCerPreCopia($cerPre2);
            $alumno->setActNacCopia($actNac2);
            $alumno->setFotInfCopia($fotInf2);
            $alumno->setCopCurpCopia($copCurp2);
            $alumno->setCerMedCopia($cerMed2);

            $alumno->setFecIns(new \DateTime($fecIng));
            $alumno->setAnioIng($anio);
            if ($semestre != "") {
                $alumno->setSemestre($semestre);
            } else {
                $alumno->setSemestre(0);
            }

            $alumno->setTurno($turno);
            $alumno->setCveLic($cveLic);

            $alumno->setCvePla($plantel);
            $alumno->setCvePro($cvePro);
            $alumno->setTipoAlumno($tipo_alumno);
            $alumno->setModoPago(0);

            $alumno->setModalidad($request->get('modalidad'));

            $numeroAlu = 0;
            if ($request->get('modalidad') == "SEMESTRAL") {
                $alumno->setNumero($request->get('numSem'));
                $numeroAlu = $request->get('numSem');
            } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                $alumno->setNumero($request->get('numCua'));
                $numeroAlu = $request->get('numCua');
            }

            $cveAnterior = $request->get('cveAnterior');
            $alumno->setCveAnterior($cveAnterior);
            $alumno->setReinscripcion(0);

            $alumno->setFecMov(new \DateTime(date('Y-m-d')));
            $alumno->setCveUsu($session->get('identificador'));

            $alumno->setCostoInscripcion($request->get('costoInscripcion'));
            $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
            $alumno->setCostoMensualidad($request->get('colegiatura'));
            $alumno->setHorarioTurno(new \DateTime(date($request->get('horario'))));
            $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));
            $alumno->setDiasTurno(json_encode($request->get('dias')));
            $alumno->setComoEntero($request->get('comoEntero'));
            $alumno->setContador(1);

            $alumno->setObservaciones($request->get('observaciones'));
            $alumno->setCoordinador($request->get('coordinador'));
            $alumno->setFacebook($request->get('facebook'));
            $alumno->setDependenciaEmpresa($request->get('dependencia'));
            $alumno->setDepto($request->get('depto'));

            $em->persist($alumno);
            $em->flush();

            $contador->setValor($contador->getValor() + 1);
            $em->persist($contador);
            $em->flush();

            $this->get('session')->getFlashBag()->add(
                'mensaje', 'CORRECTO'
            );
            return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
        } else {
            // Renderizar formulario de Estatus
            $em = $this->getDoctrine()->getManager();

            $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
            $planteles = $em->getRepository('CmBundle:Planteles')->findAll();
            $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();


            return $this->render('CmBundle:Alumno:alta-alumno-tit.html.twig', array(
                'estatus' => $estatus,
                'planteles' => $planteles,
                'procedencias' => $procedencias
            ));
        }
    }

    public function consultaAlumnoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {


//            $alumnos = $em->getRepository('CmBundle:Alumnos')
//                    ->findBy(array(), array('cveLic' => 'ASC'));
//            $usuario = "tecmexi1_cajaUsr";
//            $contrasena = "tecmexi1_cajaUsr123$";
//            $servidor = "localhost";
//            $basededatos = "tecmexi1_cajabase";
//
//            $conexion = mysqli_connect($servidor, $usuario, $contrasena) or die("No se ha podido conectar al servidor de Base de datos");
//            $db = mysqli_select_db($conexion, $basededatos) or die("Upps! Pues va a ser que no se ha podido conectar a la base de datos");
//
//            $consulta = "SELECT * FROM alumnos";
//            $alumnos = mysqli_query($conexion, $consulta) or die("Algo ha ido mal en la consulta a la base de datos");

            $em = $this->getDoctrine()->getManager();

            // VERIFICAR QUE LOS PALNTELES NO SEAN FORANEOS
            $empleado = $em->getRepository('CmBundle:Empleados')
                ->findOneBy(array('cveEmp' => $session->get('idEmpleado')));

            //print_r($empleado->getCvePlantel()->getNomPla());
            $alumnos = "";
            if ($empleado->getCvePlantel()->getExterno() == 0) {
                // NO ES EXTERNO
                $alumnos = $em->getRepository('CmBundle:Alumnos')->findAll();
            } else {
                // SI ES EXTERNO
                $alumnos = $em->getRepository('CmBundle:Alumnos')->findBy(array('cvePla' => $empleado->getCvePlantel()->getIdePla()));
            }


            $listaAlumnos = [];
            foreach ($alumnos as $key => $value) {
                $listaAlumnos[] = array($value->getApePat(), $value->getApeMat(), $value->getNomAlu(), $value->getCveCtl(), $value->getIdeAlu());
            }


//            while ($columna = mysqli_fetch_array($alumnos)) {
//                //print_r($columna);
//                $listaAlumnos[] = array($columna['ape_pat'], $columna['ape_mat'], $columna['nom_alu'], $columna['cve_ctl'], $columna['ide_alu']);
//                //print_r("<br>");
//            }


            return $this->render('CmBundle:Alumno:consulta-alumno.html.twig', array('alumnos' => $listaAlumnos));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function consultaAlumnoDosAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            $ideAlu = $request->get('ideAlu');

            $em = $this->getDoctrine()->getManager();

            $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

            if ($alumno->getTipoAlumno() == 2) {
                return $this->redirect($this->generateUrl('consulta_alumno_bachi_tecno', array('ideAlu' => $alumno->getIdeAlu())));
            } elseif ($alumno->getTipoAlumno() == 7) { // RETROACTIVO
                return $this->redirect($this->generateUrl('consulta_alumno_bachi_retro', array('ideAlu' => $alumno->getIdeAlu())));
            } elseif ($alumno->getTipoAlumno() == 8) { // TITULACION DIRECTA
                $fotoAlumno = 0;
                $nombre_fichero = "fotos/" . $alumno->getCveCtl() . ".jpg";

                $titulacion = $em->getRepository('CmBundle:Titulaciones')
                    ->findOneBy(array('cveAlu' => $alumno->getIdeAlu()));

                $especialidad = $em->getRepository('CmBundle:LicenciaturasTitulacion')
                    ->findOneBy(array('ideLicTit' => $titulacion->getCveLic()));

                $especialidades = $em->getRepository('CmBundle:LicenciaturasTitulacion')->findAll();

                $procedencias = $em->getRepository('CmBundle:InstitucionesEgresos')->findBy(array(), array('nomIns' => 'ASC'));
                $cordinadores = $em->getRepository('CmBundle:CordinadoresTitulacion')->findBy(array(), array('nomCor' => 'ASC'));

                if (file_exists($nombre_fichero)) {
                    $fotoAlumno = $nombre_fichero;
                } else {
                    $fotoAlumno = "images/usuario.png";
                }

                /*
                 * REVISAR LA EXISTENCIA DE LA DOCUMENTACIÓN DIGITAL
                 */
                $actaNacimiento = "archivo/" . $alumno->getCveCtl() . "-an.pdf";
                $certificadoSecundaria = "archivo/" . $alumno->getCveCtl() . "-cs.pdf";
                $certificadoBachillerato = "archivo/" . $alumno->getCveCtl() . "-cb.pdf";
                $certificadoTotalLicenciatura = "archivo/" . $alumno->getCveCtl() . "-ctl.pdf";
                $cedulaLic = "archivo/" . $alumno->getCveCtl() . "-cedLic.pdf";
                $certificadoTotalMaestria = "archivo/" . $alumno->getCveCtl() . "-ctm.pdf";
                $tituloLicenciatura = "archivo/" . $alumno->getCveCtl() . "-tl.pdf";
                $tituloMaestria = "archivo/" . $alumno->getCveCtl() . "-tm.pdf";
                $cedulaMae = "archivo/" . $alumno->getCveCtl() . "-cedMae.pdf";
                $ifeIne = "archivo/" . $alumno->getCveCtl() . "-ine.pdf";
                $curp = "archivo/" . $alumno->getCveCtl() . "-curp.pdf";
                $comprobanteDomiciliario = "archivo/" . $alumno->getCveCtl() . "-comDom.pdf";

                $documentos = "";

                if ($titulacion->getTipoAlumno() == 3) {// LICENCIATURA
                    $documentos = array(
                        'Acta de Nacimiento' => $actaNacimiento,
                        'Certificado de Bachillerato' => $certificadoBachillerato,
                        'INE o IFE' => $ifeIne,
                        'CURP' => $curp
                    );
                } elseif ($titulacion->getTipoAlumno() == 4) {// MAESTRIA
                    $documentos = array(
                        'Acta de Nacimiento' => $actaNacimiento,
                        'Certificado Total de Licenciatura' => $certificadoTotalLicenciatura,
                        'Título Licenciatura' => $tituloLicenciatura,
                        'Cédula Licenciatura' => $cedulaLic,
                        'INE o IFE' => $ifeIne,
                        'CURP' => $curp
                    );
                } elseif ($titulacion->getTipoAlumno() == 5) {// DOCTORADO
                    $documentos = array(
                        'Acta de Nacimiento' => $actaNacimiento,
                        'Certificado Total de Licenciatura' => $certificadoTotalLicenciatura,
                        'Título Licenciatura' => $tituloLicenciatura,
                        'Cédula Licenciatura' => $cedulaLic,
                        'Certificado Total de Maestría' => $certificadoTotalMaestria,
                        'Título Maestría' => $tituloMaestria,
                        'Cédula Maestria' => $cedulaMae,
                        'INE o IFE' => $ifeIne,
                        'CURP' => $curp
                    );
                }


                /*
                 * FINALIZA REVISIÓN DE DOCUMENTACIÓN DIGITAL
                 */


                return $this->render('CmBundle:Alumno:consulta-alumno-TD.html.twig', array(
                    'a' => $alumno,
                    'fotoAlumno' => $fotoAlumno,
                    'docDigital' => $documentos,
                    'titulacion' => $titulacion,
                    'especialidad' => $especialidad,
                    'especialidades' => $especialidades,
                    'procedencias' => $procedencias,
                    'cordinadores' => $cordinadores,
                    'titulacion' => $titulacion
                ));
            } else {
                $pagos = $em->getRepository('CmBundle:Pagos')
                    ->findBy(array('cveAlu' => $alumno->getIdeAlu(), 'semestre' => $alumno->getNumero()));
                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findAll();

                $planteles = $em->getRepository('CmBundle:Planteles')
                    ->findAll();
                $grados = $em->getRepository('CmBundle:Licenciaturas')
                    ->findBy(array(), array('nomLic' => 'ASC'));

                $entidades = $em->getRepository('CmBundle:EntidadesFederativas')->findAll();

                $fotoAlumno = 0;
                $nombre_fichero = "fotos/" . $alumno->getCveCtl() . ".jpg";

                if (file_exists($nombre_fichero)) {
                    $fotoAlumno = $nombre_fichero;
                } else {
                    $fotoAlumno = "images/usuario.png";
                }

                //$rs = $em->getRepository('CmBundle:RazonSocial')->findAll();
                $dias = json_decode($alumno->getDiasTurno());

                $procedencias = $em->getRepository('CmBundle:Procedencias')->findBy(array(), array('nomPlantel' => 'ASC'));

                /*
                 * REVISAR LA EXISTENCIA DE LA DOCUMENTACIÓN DIGITAL
                 */
                $actaNacimiento = "archivo/" . $alumno->getCveCtl() . "-an.pdf";
                $certificadoSecundaria = "archivo/" . $alumno->getCveCtl() . "-cs.pdf";
                $certificadoBachillerato = "archivo/" . $alumno->getCveCtl() . "-cb.pdf";
                $certificadoTotalLicenciatura = "archivo/" . $alumno->getCveCtl() . "-ctl.pdf";
                $cedulaLic = "archivo/" . $alumno->getCveCtl() . "-cedLic.pdf";
                $certificadoTotalMaestria = "archivo/" . $alumno->getCveCtl() . "-ctm.pdf";
                $tituloLicenciatura = "archivo/" . $alumno->getCveCtl() . "-tl.pdf";
                $tituloMaestria = "archivo/" . $alumno->getCveCtl() . "-tm.pdf";
                $cedulaMae = "archivo/" . $alumno->getCveCtl() . "-cedMae.pdf";
                $ifeIne = "archivo/" . $alumno->getCveCtl() . "-ine.pdf";
                $curp = "archivo/" . $alumno->getCveCtl() . "-curp.pdf";
                $comprobanteDomiciliario = "archivo/" . $alumno->getCveCtl() . "-comDom.pdf";

                $documentos = "";

                if ($alumno->getTipoAlumno() == 3) {// LICENCIATURA
                    $documentos = array(
                        'Acta de Nacimiento' => $actaNacimiento,
                        'Certificado de Bachillerato' => $certificadoBachillerato,
                        'INE o IFE' => $ifeIne,
                        'CURP' => $curp
                    );
                } elseif ($alumno->getTipoAlumno() == 4) {// MAESTRIA
                    $documentos = array(
                        'Acta de Nacimiento' => $actaNacimiento,
                        'Certificado Total de Licenciatura' => $certificadoTotalLicenciatura,
                        'Título Licenciatura' => $tituloLicenciatura,
                        'Cédula Licenciatura' => $cedulaLic,
                        'INE o IFE' => $ifeIne,
                        'CURP' => $curp
                    );
                } elseif ($alumno->getTipoAlumno() == 5) {// DOCTORADO
                    $documentos = array(
                        'Acta de Nacimiento' => $actaNacimiento,
                        'Certificado Total de Licenciatura' => $certificadoTotalLicenciatura,
                        'Título Licenciatura' => $tituloLicenciatura,
                        'Cédula Licenciatura' => $cedulaLic,
                        'Certificado Total de Maestría' => $certificadoTotalMaestria,
                        'Título Maestría' => $tituloMaestria,
                        'Cédula Maestria' => $cedulaMae,
                        'INE o IFE' => $ifeIne,
                        'CURP' => $curp
                    );
                }


                /*
                 * FINALIZA REVISIÓN DE DOCUMENTACIÓN DIGITAL
                 */


                return $this->render('CmBundle:Alumno:consulta-alumno-dos.html.twig',
                    array(
                        'a' => $alumno,
                        'pagos' => $pagos,
                        'estatus' => $estatus,
                        'planteles' => $planteles,
                        'licenciaturas' => $grados,
                        'fotoAlumno' => $fotoAlumno,
                        'dias' => $dias,
                        'procedencias' => $procedencias,
                        'docDigital' => $documentos,
                        'entidades' => $entidades
                    )
                );
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function consultaAlumnoBachiTecnoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            $ideAlu = $request->get('ideAlu');

            $em = $this->getDoctrine()->getManager();

            $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

            $pagos = $em->getRepository('CmBundle:Pagos')
                ->findBy(array('cveAlu' => $alumno->getIdeAlu()));
            $pagosConAbonos = array();
            foreach ($pagos as $key => $value) {
                $listaPagos = $em->getRepository('CmBundle:Ingresos')
                    ->findBy(array('cveAlu' => $ideAlu, 'cvePag' => $value->getIdePag()));
                $suma = 0;
                foreach ($listaPagos as $k => $v) {
                    $suma = $suma + $v->getMonto();
                }
                $pagosConAbonos[$key] = array($value, $suma);
            }
            $estatus = $em->getRepository('CmBundle:Estatus')
                ->findAll();
            $planteles = $em->getRepository('CmBundle:Planteles')
                ->findAll();
            $grados = $em->getRepository('CmBundle:Licenciaturas')
                ->findAll();

            $becasBachi = $em->getRepository('CmBundle:BecasBachillerato')
                ->findBy(array('estatus' => 1));

            $fotoAlumno = 0;
            $nombre_fichero = "fotos/" . $alumno->getCveCtl() . ".jpg";

            if (file_exists($nombre_fichero)) {
                $fotoAlumno = $nombre_fichero;
            } else {
                $fotoAlumno = "images/usuario.png";
            }

            //$rs = $em->getRepository('CmBundle:RazonSocial')->findAll();

            $aplicaciones = $em->getRepository('CmBundle:AplicacionExamenUnico')->findAll();

            $detalles = $em->getRepository('CmBundle:DetallesBachiEu')->findOneBy(array('cveAlu' => $ideAlu));

            /*
             * REVISAR LA EXISTENCIA DE LA DOCUMENTACIÓN DIGITAL
             */

            $actaNacimiento = "archivo/" . $alumno->getCveCtl() . "-an.pdf";
            $certificadoSecundaria = "archivo/" . $alumno->getCveCtl() . "-cs.pdf";
            //$ifeIne = "archivo/" . $alumno->getCveCtl() . "-ine.pdf";
            $curp = "archivo/" . $alumno->getCveCtl() . "-curp.pdf";
            //$comprobanteDomiciliario = "archivo/" . $alumno->getCveCtl() . "-comDom.pdf";
            $certificadoBachillerato = "archivo/" . $alumno->getCveCtl() . "-cb.pdf";

            $documentos = array(
                'Acta de Nacimiento' => $actaNacimiento,
                'Certificado de Secundaria' => $certificadoSecundaria,
                //'INE o IFE' => $ifeIne,
                'CURP' => $curp,
                //'Comprobante Domiciliario' => $comprobanteDomiciliario
                'Certificado de Bachillerato' => $certificadoBachillerato
            );


            /*
             * FINALIZA REVISIÓN DE DOCUMENTACIÓN DIGITAL
             */


            return $this->render('CmBundle:Alumno:consulta-alumno-bachi-tecno.html.twig', array(
                'a' => $alumno,
                'pagos' => $pagos,
                'pagosConAbonos' => $pagosConAbonos,
                'estatus' => $estatus,
                'planteles' => $planteles,
                'licenciaturas' => $grados,
                'fotoAlumno' => $fotoAlumno,
                'aplicaciones' => $aplicaciones,
                'tablaPagos' => $becasBachi,
                'docDigital' => $documentos,
                'det' => $detalles
            ));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function consultaAlumnoBachiRetroAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            $ideAlu = $request->get('ideAlu');

            $em = $this->getDoctrine()->getManager();

            $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

            $pagos = $em->getRepository('CmBundle:Pagos')
                ->findBy(array('cveAlu' => $alumno->getIdeAlu()));
            $pagosConAbonos = array();
            foreach ($pagos as $key => $value) {
                $listaPagos = $em->getRepository('CmBundle:Ingresos')
                    ->findBy(array('cveAlu' => $ideAlu, 'cvePag' => $value->getIdePag()));
                $suma = 0;
                foreach ($listaPagos as $k => $v) {
                    $suma = $suma + $v->getMonto();
                }
                $pagosConAbonos[$key] = array($value, $suma);
            }
            $estatus = $em->getRepository('CmBundle:Estatus')
                ->findAll();

            $planteles = $em->getRepository('CmBundle:Planteles')
                ->findAll();
            $grados = $em->getRepository('CmBundle:Licenciaturas')
                ->findAll();

            $becasBachi = $em->getRepository('CmBundle:BecasBachillerato')
                ->findBy(array('estatus' => 1));

            $fotoAlumno = 0;
            $nombre_fichero = "fotos/" . $alumno->getCveCtl() . ".jpg";

            if (file_exists($nombre_fichero)) {
                $fotoAlumno = $nombre_fichero;
            } else {
                $fotoAlumno = "images/usuario.png";
            }

            //$rs = $em->getRepository('CmBundle:RazonSocial')->findAll();

            $aplicaciones = $em->getRepository('CmBundle:AplicacionExamenUnico')->findAll();

            /*
             * REVISAR LA EXISTENCIA DE LA DOCUMENTACIÓN DIGITAL
             */

            $actaNacimiento = "archivo/" . $alumno->getCveCtl() . "-an.pdf";
            $certificadoSecundaria = "archivo/" . $alumno->getCveCtl() . "-cs.pdf";
            $ifeIne = "archivo/" . $alumno->getCveCtl() . "-ine.pdf";
            $curp = "archivo/" . $alumno->getCveCtl() . "-curp.pdf";
            $comprobanteDomiciliario = "archivo/" . $alumno->getCveCtl() . "-comDom.pdf";

            $documentos = array(
                'Acta de Nacimiento' => $actaNacimiento,
                'Certificado de Secundaria' => $certificadoSecundaria,
                'INE o IFE' => $ifeIne,
                'CURP' => $curp,
                'Comprobante Domiciliario' => $comprobanteDomiciliario
            );


            /*
             * FINALIZA REVISIÓN DE DOCUMENTACIÓN DIGITAL
             */


            return $this->render('CmBundle:Alumno:consulta-alumno-bachi-retro.html.twig', array(
                'a' => $alumno,
                'pagos' => $pagos,
                'pagosConAbonos' => $pagosConAbonos,
                'estatus' => $estatus,
                'planteles' => $planteles,
                'licenciaturas' => $grados,
                'fotoAlumno' => $fotoAlumno,
                'aplicaciones' => $aplicaciones,
                'tablaPagos' => $becasBachi,
                'docDigital' => $documentos
            ));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function consultaAlumnoCarreraAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                $cveLic = $request->get('licenciatura');

                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('cveEst' => 'ANI'));

                /* $alumnos = $em->getRepository('CmBundle:Alumnos')
                  ->findBy(array('cveLic' => $cveLic, 'estatus' => $estatus->getIdeEst() )); */

                $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy(array('cveLic' => $cveLic));

                // BUSCAR EL NIVEL ACADEMICO
                $nivel = $em->getRepository('CmBundle:NivelesAcademicos')
                    ->findOneBy(
                        array(
                            'nombre' => "LICENCIATURA"
                        ));

                //$licenciaturas = $em->getRepository('CmBundle:LicNivAca')
                //        ->findBy(array('cveNivAca' => $nivel->getIdeNivAca()));
                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')
                    ->findBy(array(), array('cveNivAca' => 'ASC'));
                $lic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $cveLic));

                return $this->render('CmBundle:Alumno:consulta-alumno-carreras.html.twig', array('alumnos' => $alumnos, 'licenciaturas' => $licenciaturas, 'lic' => $lic));
            } else {

                $em = $this->getDoctrine()->getManager();

                // BUSCAR EL NIVEL ACADEMICO
                $nivel = $em->getRepository('CmBundle:NivelesAcademicos')
                    ->findBy(
                        array(
                            'nombre' => "LICENCIATURA"
                        ));

                //$licenciaturas = $em->getRepository('CmBundle:LicNivAca')
                //        ->findBy(array('cveNivAca' => $nivel));
                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')
                    ->findBy(array(), array('cveNivAca' => 'ASC'));

                return $this->render('CmBundle:Alumno:consulta-alumno-carreras.html.twig', array('licenciaturas' => $licenciaturas));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function consultaAlumnoPreAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {
                $cveLic = $request->get('licenciatura');

                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('cveEst' => 'ANI'));

                /* $alumnos = $em->getRepository('CmBundle:Alumnos')
                  ->findBy(array('cveLic' => $cveLic, 'estatus' => $estatus->getIdeEst() )); */

                $alumnos = $em->getRepository('CmBundle:Alumnos')
                    ->findBy(array('cveLic' => $cveLic));

                // BUSCAR EL NIVEL ACADEMICO
                $nivel = $em->getRepository('CmBundle:NivelesAcademicos')
                    ->findOneBy(
                        array(
                            'nombre' => "LICENCIATURA"
                        ));

                //$licenciaturas = $em->getRepository('CmBundle:LicNivAca')
                //        ->findBy(array('cveNivAca' => $nivel->getIdeNivAca()));
                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')
                    ->findBy(array(), array('cveNivAca' => 'ASC'));
                $lic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $cveLic));

                return $this->render('CmBundle:Alumno:consulta-alumno-carreras.html.twig', array('alumnos' => $alumnos, 'licenciaturas' => $licenciaturas, 'lic' => $lic));
            } else {//ES GET
                $em = $this->getDoctrine()->getManager();

                $cvePla = $session->get('plantel');
                $idePla = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $cvePla));
                $alumnos = $em->getRepository('CmBundle:Alumnos')->findBy(array('cvePla' => $idePla, 'estatus' => 14));

                $lisAlu = [];
                foreach ($alumnos as $key => $value) {
                    $auxPag = $em->getRepository('CmBundle:Pagos')->findBy(array('cveAlu' => $value->getIdeAlu()));

                    $lisAlu[] = array($value, $auxPag);
                }

                return $this->render('CmBundle:Alumno:consulta-alumno-preinscritos.html.twig', array('alumnos' => $lisAlu));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function cargarLicenciaturasAction(Request $request)
    {
        if ($request->getMethod() == "POST") {

            $em = $this->getDoctrine()->getManager();

            $modalidad = $request->get('mod');
            $tipoAlumno = $request->get('tipo');

            if ($tipoAlumno == 1) {
                $tipoAlumno = "BACHILLERATO GENERAL";
            }
            if ($tipoAlumno == 2) {
                $tipoAlumno = "BACHILLERATO TECNOLÓGICO";
            }
            if ($tipoAlumno == 3) {
                $tipoAlumno = "LICENCIATURA";
            }
            if ($tipoAlumno == 4) {
                $tipoAlumno = "MAESTRÍA";
            }
            if ($tipoAlumno == 5) {
                $tipoAlumno = "DOCTORADO";
            }

            // BUSCAR EL NIVEL ACADEMICO
            $nivel = $em->getRepository('CmBundle:NivelesAcademicos')
                ->findOneBy(
                    array(
                        'nombre' => $tipoAlumno,
                        'modalidad' => $modalidad
                    ));

            //$licenciaturas = $em->getRepository('CmBundle:LicNivAca')
            //        ->findBy(array('cveNivAca' => $nivel->getIdeNivAca()) );
            $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')
                ->findBy(array('cveNivAca' => $request->get('tipo')), array('nomLic' => 'ASC'));
            return $this->render('CmBundle:Alumno:ajax-licenciaturas.html.twig', array('licenciaturas' => $licenciaturas));
        }
    }

    /**
     *
     * @param Request $request
     * @return type
     *
     * REVISAR ESTA FUNCIÓN YA QUE NO EXOSTE LA TABLA: Colegiaturas
     */
    public function cargarColegiaturaAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $ideLic = $request->get('licenciatura');
                $lic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $ideLic));

                $colegiaturas = $em->getRepository('CmBundle:Colegiaturas')
                    ->findBy(array('ideLic' => $ideLic));

                return $this->render('CmBundle:Alumno:ajax-colegiatura.html.twig', array('colegiaturas' => $colegiaturas));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function historialAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            $em = $this->getDoctrine()->getManager();
            $ideAlu = $request->get('ideAlu');

            $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));
            $pagos = $em->getRepository('CmBundle:Pagos')->findBy(array('cveAlu' => $ideAlu));
            return $this->render('CmBundle:Alumno:historial-alumno.html.twig', array(
                'alumno' => $alumno,
                'historial' => $pagos
            ));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function credencialAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            $em = $this->getDoctrine()->getManager();
            $ideAlu = $request->get('ideAlu');

            $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

            $contadorCredencial = $alumno->getContadorCredencial();

            $generator = new BarcodeGeneratorPNG();
            //echo '<img src="data:image/png;base64,' . base64_encode($generator->getBarcode('081231723897', $generator::TYPE_CODE_128)) . '">';
            $imagenBarra = "data:image/png;base64," . base64_encode($generator->getBarcode($alumno->getCveCtl() . "-" . $contadorCredencial, $generator::TYPE_CODE_128));
            $codigoBarras = $this->base64_to_png($imagenBarra, 'barras/' . $alumno->getCveCtl() . "-" . $contadorCredencial . '.png');

            $pdf = new PDFCredencial('P', 'mm', array(54, 86));
            $pdf->SetFont('Arial', '', 12);
            //$pdf->AddPage();
            //$pdf->Credencial($alumno, $codigoBarras);
            //$pdf->RotatedImage($codigoBarras, 10, 15, 0, 0, -90);

            $pdf->AddPage();
            $pdf->Credencial2021($alumno, $codigoBarras);
            //$pdf->RotatedImage($codigoBarras, 10, 15, 0, 0, -90);

            $alumno->setContadorCredencial($contadorCredencial + 1);
            $alumno->setFolioCredencial($alumno->getCveCtl() . "'" . $contadorCredencial);

            $em->persist($alumno);
            $em->flush();

            return new Response($pdf->Output('credencial.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function credencialVPAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            $em = $this->getDoctrine()->getManager();
            $ideAlu = $request->get('ideAlu');

            $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

            $contadorCredencial = $alumno->getContadorCredencial();

            $generator = new BarcodeGeneratorPNG();
            //echo '<img src="data:image/png;base64,' . base64_encode($generator->getBarcode('081231723897', $generator::TYPE_CODE_128)) . '">';
            $imagenBarra = "data:image/png;base64," . base64_encode($generator->getBarcode($alumno->getCveCtl() . "-" . $contadorCredencial, $generator::TYPE_CODE_128));
            $codigoBarras = $this->base64_to_png($imagenBarra, 'barras/' . $alumno->getCveCtl() . "-" . $contadorCredencial . '.png');

            $pdf = new PDFCredencial('P', 'mm', array(54, 86));
            //$pdf = new PDFCredencial('P', 'mm', array(108, 172));
            $pdf->SetFont('Arial', '', 12);
            $pdf->AddPage();
            $pdf->Credencial2021($alumno, $codigoBarras);
            //$pdf->RotatedImage($codigoBarras, 10, 15, 0, 0, -90);

//            $alumno->setContadorCredencial($contadorCredencial + 1);
//            $alumno->setFolioCredencial($alumno->getCveCtl() . "'" . $contadorCredencial);
//
//            $em->persist($alumno);
//            $em->flush();

            return new Response($pdf->Output('credencial.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function actualizarAlumnoAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $estado = $em->getRepository('CmBundle:EntidadesFederativas')->findOneBy(array('ideEntFed' => $request->get('estado')));

                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');

                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('ideEst' => $tipo));

                $turno = $request->get("turno");
                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $tipLic));

                $semestre = $request->get('numSem');
                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                    ->findOneBy(array('idePro' => $idePro));
                $ideEntFed = $request->get('entidadProcedencia');
                $cveEntFed = $em->getRepository('CmBundle:EntidadesFederativas')->findOneBy(array('ideEntFed' => $ideEntFed));

                $fecEgrActual = $request->get('fecEgrActual');

                $modoPago = $request->get('modoP');

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                $tipo_alumno = $request->get('tipoAlumno');


                $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $request->get('ideAlu')));

                //$alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);

                $alumno->setEstado($estado);

                $alumno->setCp($cp);

                if ($fecEgr == "") {
                    $alumno->setFecTer(null);
                } else {
                    $alumno->setFecTer(new \DateTime($fecEgr));
                }

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                //$alumno->setFecIns(new \DateTime($fecIng));
                //$alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }

                $alumno->setTurno($turno);
                $alumno->setCveLic($cveLic);

                $alumno->setCvePla($plantel);
                $alumno->setCvePro($cvePro);
                $alumno->setCveEdoPro($cveEntFed);
                $alumno->setFecEgrActual(new \DateTime(date($fecEgrActual)));
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago($modoPago);

                $alumno->setModalidad($request->get('modalidad'));
                /* if ($request->get('modalidad') == "SEMESTRAL") {
                  $alumno->setNumero($request->get('numSem'));
                  } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                  $alumno->setNumero($request->get('numCua'));
                  }
                 * 
                 */

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);


                if ($fecIng == "") {
                    $alumno->setFecIns(null);
                } else {
                    $alumno->setFecIns(new \DateTime(date($fecIng)));
                }


                if ($request->get('fecIniAntecedente') == "") {
                    $alumno->setFecIniAntecedente(null);
                } else {
                    $alumno->setFecIniAntecedente(new \DateTime(date($request->get('fecIniAntecedente'))));
                }

                if ($request->get('fecExProfesional') == "") {
                    $alumno->setFecExaProfesional(null);
                } else {
                    $alumno->setFecExaProfesional(new \DateTime(date($request->get('fecExProfesional'))));
                }

                if ($request->get('fecExcension') == "") {
                    $alumno->setFecExcenExamen(null);
                } else {
                    $alumno->setFecExcenExamen(new \DateTime(date($request->get('fecExcension'))));
                }

                if ($request->get('fecExpTitulo') == "") {
                    $alumno->setFecExpedTitulo(null);
                } else {
                    $alumno->setFecExpedTitulo(new \DateTime(date($request->get('fecExpTitulo'))));
                }


                $alumno->setCostoInscripcion($request->get('costoInscripcion'));
                $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setHorarioTurno(new \DateTime(date($request->get('horario'))));
                $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));
                $alumno->setCorteA($request->get('corteA'));
                $alumno->setCorteB($request->get('corteB'));
                $alumno->setComoEntero($request->get('comoEntero'));
                $alumno->setCedula($request->get('cedula'));
                $alumno->setLicenciatura($request->get('licenciatura'));

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $dias = json_encode($request->get('dias'));

                $alumno->setDiasTurno($dias);


                $em->persist($alumno);
                $em->flush();

                //CODIGO ESPECIAL
                if ($alumno->getTipoAlumno() == 2) {
                    $valorRetro = $request->get('retro');
                    $valorPromedio = $request->get('promedio');
                    $valorEspecialidad = $request->get('especialidad');
                    $valorHistorial = $request->get('historial');
                    $valorConstancia = "SI";

                    $detallesBachi = $em->getRepository('CmBundle:DetallesBachiEu')->findOneBy(array('cveAlu' => $request->get('ideAlu')));

                    if ($valorRetro == "" | $valorRetro == "NULL") {
                        $detallesBachi->setPorqueCertificacion(null);
                    } else {
                        $detallesBachi->setPorqueCertificacion($valorRetro);
                    }

                    if ($valorPromedio == "" | $valorPromedio == "NULL") {
                        $detallesBachi->setInscrito(null);
                    } else {
                        $detallesBachi->setInscrito($valorPromedio);
                    }
                    if ($valorEspecialidad == "" | $valorEspecialidad == "NULL") {
                        $detallesBachi->setLicenciaturaInteres(null);
                    } else {
                        $detallesBachi->setLicenciaturaInteres($valorEspecialidad);
                    }
                    if ($valorHistorial == "" | $valorHistorial == "NULL") {
                        $detallesBachi->setIngresado(null);
                    } else {
                        $detallesBachi->setIngresado($valorHistorial);
                    }
                    $detallesBachi->setCorreccion($valorConstancia);

                    $em->persist($detallesBachi);
                    $em->flush();
                }
                //FIN CODIGO ESPECIAL


                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'CORRECTO'
                );
                if ($alumno->getTipoAlumno() == 2) {
                    return $this->redirect($this->generateUrl('consulta_alumno_bachi_tecno', array('ideAlu' => $alumno->getIdeAlu())));
                } elseif ($alumno->getTipoAlumno() == 7) {
                    return $this->redirect($this->generateUrl('consulta_alumno_bachi_retro', array('ideAlu' => $alumno->getIdeAlu())));
                } else {
                    return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
                }
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function atualizarAlumnoTitulacionAction(Request $request)
    {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');
                $nacionalidad = $request->get('nacionalidad');
                $edo = $request->get('edoAlu');
                $mun = $request->get('munAlu');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colonia = $request->get('colonia');
                $cp = $request->get('codPos');
                $telefono = $request->get('telefono');
                $email = $request->get('email');

                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = 1;
                $estatus = $em->getRepository('CmBundle:Estatus')
                    ->findOneBy(array('ideEst' => $tipo));

                $turno = $request->get("turno");
                $tipPlantel = 1;
                $plantel = $em->getRepository('CmBundle:Planteles')
                    ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                    ->findOneBy(array('ideLic' => $tipLic));

                $idePro = $request->get("escProcedencia");
                $cvePro = $em->getRepository('CmBundle:Procedencias')
                    ->findOneBy(array('idePro' => $idePro));
                $semestre = $request->get('numSem');

                $ideCordinador = $request->get('ideCordinador');
                $cordTit = $em->getRepository('CmBundle:CordinadoresTitulacion')->findOneBy(array('ideCorTit' => $ideCordinador));

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                    ->findOneBy(array('cveCon' => 'C1'));

                $cveCtl = $plantel->getCvePla() + $contador->getValor();

                $fecIng = date('Y');

                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');
                $nivel = $request->get('nivel');

                $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $request->get('ideAlu')));

                $titulacion = $em->getRepository('CmBundle:Titulaciones')->findOneBy(array('cveAlu' => $alumno));

                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad($nacionalidad);
                $alumno->setCorreo($email);
                $alumno->setTelefono($telefono);
                $alumno->setTelefonoCelular($request->get('telefonoCelular'));
                $alumno->setCalle($calle);
                $alumno->setNumExt($numExt);
                $alumno->setNumInt($numInt);
                $alumno->setColLoc($colonia);
                $alumno->setMunDel($mun);
                $alumno->setEdo($edo);
                $alumno->setCp($cp);

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }

                $alumno->setTurno($turno);
                $alumno->setCveLic(null);

                $alumno->setCvePla(null);
                $alumno->setCvePro($cvePro);
                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));
                $numeroAlu = 0;
                $alumno->setNumero(7);
                $numeroAlu = 1;

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                if ($numeroAlu > 1) {
                    $alumno->setReinscripcion(1);
                } else {
                    $alumno->setReinscripcion(0);
                }
                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu($session->get('identificador'));

                $alumno->setHorarioTurno(new \DateTime($request->get('horario')));
                $alumno->setHorarioSalidaTurno(new \DateTime($request->get('horarioSalida')));

                $alumno->setCostoInscripcion($request->get('cT'));
                $alumno->setCostoReinscripciones($request->get('costoReinscripcion'));
                $alumno->setCostoMensualidad($request->get('colegiatura'));
                $alumno->setContador(1);
                $alumno->setComoEntero($request->get('comoEntero'));
                $alumno->setCedula($request->get('cedula'));
                $alumno->setLicenciatura($request->get('licenciatura'));

                $alumno->setObservaciones($request->get('observaciones'));
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook($request->get('facebook'));
                $alumno->setDependenciaEmpresa($request->get('dependencia'));
                $alumno->setDepto($request->get('depto'));

                $em->persist($alumno);
                $em->flush();

                $titulacion->setCord($cordTit);
                $em->persist($titulacion);
                $em->flush();

                $this->get('session')->getFlashBag()->add(
                    'mensaje', 'CORRECTO'
                );
                return $this->redirect($this->generateUrl('consulta_alumno_dos', array('ideAlu' => $alumno->getIdeAlu())));
            } else {
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $planteles = $em->getRepository('CmBundle:Planteles')->findAll();

                $procedencias = $em->getRepository('CmBundle:InstitucionesEgresos')->findBy(array(), array('nomIns' => 'ASC'));
                $cordinadores = $em->getRepository('CmBundle:CordinadoresTitulacion')->findBy(array(), array('nomCor' => 'ASC'));

                return $this->render('CmBundle:Alumno:alta-alumno-titulacion.html.twig', array(
                    'estatus' => $estatus,
                    'planteles' => $planteles,
                    'procedencias' => $procedencias,
                    'cordinadores' => $cordinadores
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    function base64_to_png($base64_string, $output_file)
    {
        // open the output file for writing
        $ifp = fopen($output_file, 'wb');

        // split the string on commas
        // $data[ 0 ] == "data:image/png;base64"
        // $data[ 1 ] == <actual base64 string>
        $data = explode(',', $base64_string);

        // we could add validation here with ensuring count( $data ) > 1
        fwrite($ifp, base64_decode($data[1]));

        // clean up the file resource
        fclose($ifp);

        return $output_file;
    }

}
