<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of CajaConsultasController
 *
 * @author Omar
 */
class CajaConsultasController extends Controller {

    public function vistaConsultasCajaAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 3 || $session->get("rol") == 99 || $session->get("rol") == 4 || $session->get("rol") == 101)) {
            $session->set("vista", "caja");
            if ($request->getMethod() == "POST") {
                $fA = $request->get('fA');
                $fB = $request->get('fB');
                $x = $request->get('x');

                switch ($x) {
                    case 1:
                        $datos = $this->consultaUno($fA, $fB, $session);
                        $ingresos = $datos[0];
                        $egresos = $datos[1];
                        return $this->render('CmBundle:CajaConsultas:uno.html.twig', array('ingresos' => $ingresos, 'egresos' => $egresos));
                        break;
                    case 2:
                        break;
                    case 3:
                        break;
                }
            } else { // NO FUE POST
                return $this->render('CmBundle:CajaConsultas:vista-consultas-caja.html.twig');
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    function consultaUno($fA, $fB, $session) {
        $em = $this->getDoctrine()->getEntityManager();
        $ingresos = 0;
        if ($fA != null & $fB != null) { // AMBAS FECHAS
            $dql = "SELECT i "
                    . "FROM CmBundle:Ingresos i "
                    . "WHERE i.fecMov BETWEEN :fA AND :fB "
                    . "AND i.cveUsu = :usu "
                    . "ORDER BY i.descripcion , i.fecMov";
            $query = $em->createQuery($dql);
            $query->setParameter('fA', $fA);
            $query->setParameter('fB', $fB);
            $query->setParameter('usu', $session->get('identificador'));
            $ingresos = $query->getResult();
        } elseif ($fA != null & $fB == null) { // SOLO A
            $dql = "SELECT i "
                    . "FROM CmBundle:Ingresos i "
                    . "WHERE i.fecMov= :fA "
                    . "AND i.cveUsu = :usu "
                    . "ORDER BY i.descripcion, i.fecMov";
            $query = $em->createQuery($dql);
            $query->setParameter('fA', $fA);
            $query->setParameter('usu', $session->get('identificador'));
            $ingresos = $query->getResult();
        } elseif ($fA == null & $fB != null) { // SOLO B
            $dql = "SELECT i "
                    . "FROM CmBundle:Ingresos i "
                    . "WHERE i.fecMov= :fB "
                    . "AND i.cveUsu = :usu "
                    . "ORDER BY i.descripcion, i.fecMov";
            $query = $em->createQuery($dql);
            $query->setParameter('fB', $fB);
            $query->setParameter('usu', $session->get('identificador'));
            $ingresos = $query->getResult();
        }

        $egresos = 0;
        $dql = "";
        if ($fA != "" & $fB == "") { // SOLO FECHA A
            $dql = "SELECT e "
                    . "FROM CmBundle:Egresos e "
                    . "WHERE e.fecMov = :fA "
                    . "AND e.entrega = :usu ";
            $query = $em->createQuery($dql);
            $query->setParameter('fA', $fA);
            $query->setParameter('usu', $session->get('nombre'));
            $egresos = $query->getResult();
        } elseif ($fA == "" & $fB != "") { // SOLO FECHA B
            $dql = "SELECT e "
                    . "FROM CmBundle:Egresos e "
                    . "WHERE e.fecMov = :fB "
                    . "AND e.entrega = :usu ";
            $query = $em->createQuery($dql);
            $query->setParameter('fB', $fB);
            $query->setParameter('usu', $session->get('nombre'));
            $egresos = $query->getResult();
        } elseif ($fA != "" & $fB != "") { // AMBAS FECHAS
            $dql = "SELECT e "
                    . "FROM CmBundle:Egresos e "
                    . "WHERE (e.fecMov BETWEEN :fA AND :fB ) "
                    . "AND e.entrega = :usu ";
            $query = $em->createQuery($dql);
            $query->setParameter('fA', $fA);
            $query->setParameter('fB', $fB);
            $query->setParameter('usu', $session->get('nombre'));
            $egresos = $query->getResult();
        }

        return array($ingresos, $egresos);
    }

}
