<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use CmBundle\Entity\Colegiaturas;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of ColegiaturasController
 *
 * @author omar
 */
class ColegiaturasController extends Controller {

    //put your code here
    public function altaColegiaturaAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            $session->set("vista", "colegiatura");
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $ideLic = $request->get('licenciatura');
                $cveCol = $request->get('cveCol');
                $nomCol = $request->get('nomCol');
                $monto = $request->get('monto');

                $tipo = $request->get('estatus');
                $estatus = $em->getRepository('CmBundle:Estatus')
                        ->findOneBy(array('ideEst' => $tipo));

                $colegiatura = new Colegiaturas();
                $colegiatura->setIdeLic($ideLic);
                $colegiatura->setCveCol($cveCol);
                $colegiatura->setNomCol($nomCol);
                $colegiatura->setMonto($monto);
                $colegiatura->setEstatus($estatus);

                $colegiatura->setFecMov(new \DateTime(date('Y-m-d')));
                $colegiatura->setCveUsu($session->get('identificador'));

                $em->persist($colegiatura);
                $em->flush();

                return $this->redirect($this->generateUrl('consulta_colegiatura'));
            } else {
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')->findAll();
                return $this->render('CmBundle:Colegiatura:alta-colegiatura.html.twig', array('estatus' => $estatus, 'licenciaturas' => $licenciaturas));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function consultaColegiaturaAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            $session->set("vista", "colegiatura");
            if ($request->getMethod() == "POST") {
                
                $em = $this->getDoctrine()->getManager();
                
                $ideLic = $request->get('licenciatura');
                $lic = $em->getRepository('CmBundle:Licenciaturas')
                        ->findOneBy(array('ideLic' => $ideLic));
                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')->findAll();
                $colegiaturas = $em->getRepository('CmBundle:Colegiaturas')
                        ->findBy(array('ideLic' => $ideLic));
                
                return $this->render('CmBundle:Colegiatura:consulta-colegiatura.html.twig', 
                        array('licenciaturas' => $licenciaturas,
                            'colegiaturas' => $colegiaturas,
                            'lic' => $lic));
            } else {
                $em = $this->getDoctrine()->getManager();

                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')->findAll();
                return $this->render('CmBundle:Colegiatura:consulta-colegiatura.html.twig', array('licenciaturas' => $licenciaturas));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

}
