<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\HttpFoundation\JsonResponse;
use CmBundle\Entity\Alumnos;
use CmBundle\Entity\DetallesBachiEu;
use CmBundle\Controller\PDFExamenUnico;
use DateTime;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of ExamenUnicoController
 *
 * @author Omar
 */
class ExamenUnicoXController extends Controller {

    //put your code here

    public function vistaEUXAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {
                
            } else {
                $em = $this->getDoctrine()->getManager();

                return $this->render('CmBundle:EUExterno:vistaEUX.html.twig');
            }
        } else {

            return $this->redirect($this->generateUrl('logout'));
        }
    }

    public function nuevoEUXAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {
                //SE REGISTRA EN LA TABLA ALUMNOS LOS DATOS DE ESTE ALUMNO
                $em = $this->getDoctrine()->getManager();

                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomAlu = $request->get('nomAlu');
                $curp = $request->get('curp');
                $sexo = $request->get('sexAlu');
                $fecNac = $request->get('fecNac');
                $edad = $request->get('edad');

                $telefono = "00";
                $email = "noaplica@dominio.com";

                $fecIng = $request->get('fecIng');
                $fecEgr = $request->get('fecEgr');
                $tipo = $request->get('staAlu');
                $estatus = $em->getRepository('CmBundle:Estatus')
                        ->findOneBy(array('ideEst' => $tipo));
                //$tipBeca = $request->get('cveApo');
                $cveBeca = $em->getRepository('CmBundle:Becas')
                        ->findOneBy(array('ideBec' => 1));

                $tipPlantel = $request->get('cveEsc');
                $plantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('idePla' => $tipPlantel));
                $tipLic = $request->get('cveCar');
                $cveLic = $em->getRepository('CmBundle:Licenciaturas')
                        ->findOneBy(array('ideLic' => $tipLic));

                $semestre = $request->get('numSem');

                $cerSec = 0;
                $cerPre = 0;
                $actNac = 0;
                $fotInf = 0;
                $copCurp = 0;
                $cerMed = 0;

                $cerSec2 = 0;
                $cerPre2 = 0;
                $actNac2 = 0;
                $fotInf2 = 0;
                $copCurp2 = 0;
                $cerMed2 = 0;

                if ($request->get('cerSec') == "on") {
                    $cerSec = 1;
                }
                if ($request->get('cerPre') == "on") {
                    $cerPre = 1;
                }
                if ($request->get('actNac') == "on") {
                    $actNac = 1;
                }
                if ($request->get('fotInf') == "on") {
                    $fotInf = 1;
                }
                if ($request->get('copCurp') == "on") {
                    $copCurp = 1;
                }
                if ($request->get('cerMed') == "on") {
                    $cerMed = 1;
                }

                if ($request->get('cerSec2') == "on") {
                    $cerSec2 = 1;
                }
                if ($request->get('cerPre2') == "on") {
                    $cerPre2 = 1;
                }
                if ($request->get('actNac2') == "on") {
                    $actNac2 = 1;
                }
                if ($request->get('fotInf2') == "on") {
                    $fotInf2 = 1;
                }
                if ($request->get('copCurp2') == "on") {
                    $copCurp2 = 1;
                }
                if ($request->get('cerMed2') == "on") {
                    $cerMed2 = 1;
                }

                /*
                 * FORMAR LA CLAVE DE CONTROL DEL ALUMNO
                 */
                $contador = $em->getRepository('CmBundle:Contador')
                        ->findOneBy(array('cveCon' => 'C1'));

                $anio = substr($fecIng, 2, 2);

                $np = "";
                if ($contador->getValor() < 10) {
                    $np = '000' . $contador->getValor();
                } elseif ($contador->getValor() >= 10 && $contador->getValor() < 100) {
                    $np = '00' . $contador->getValor();
                } elseif ($contador->getValor() >= 100 && $contador->getValor() < 1000) {
                    $np = '0' . $contador->getValor();
                } elseif ($contador->getValor() >= 1000 && $contador->getValor() <= 9999) {
                    $np = $contador->getValor();
                }

                $numCtl = $anio . $plantel->getCvePla() . $np;
                $tipo_alumno = $request->get('tipoAlumno');

                $alumno = new Alumnos();
                $alumno->setCveCtl($numCtl);
                $alumno->setNomAlu($nomAlu);
                $alumno->setApePat($apePat);
                $alumno->setApeMat($apeMat);
                $alumno->setEstatus($estatus);
                $alumno->setCurp($curp);
                $alumno->setFecNac(new \DateTime($fecNac));
                $alumno->setEdad($edad);
                $alumno->setSexo($sexo);
                $alumno->setNacionalidad("");
                $alumno->setTelefono("");
                $alumno->setCalle("");
                $alumno->setNumInt("");
                $alumno->setNumExt("");

                $alumno->setCorreo($email);
                $alumno->setTelefonoCelular("000");

                $alumno->setCerSec($cerSec);
                $alumno->setCerPre($cerPre);
                $alumno->setActNac($actNac);
                $alumno->setFotInf($fotInf);
                $alumno->setCopCurp($copCurp);
                $alumno->setCerMed($cerMed);

                $alumno->setCerSecCopia($cerSec2);
                $alumno->setCerPreCopia($cerPre2);
                $alumno->setActNacCopia($actNac2);
                $alumno->setFotInfCopia($fotInf2);
                $alumno->setCopCurpCopia($copCurp2);
                $alumno->setCerMedCopia($cerMed2);

                $alumno->setFecIns(new \DateTime($fecIng));
                $alumno->setAnioIng($anio);
                if ($semestre != "") {
                    $alumno->setSemestre($semestre);
                } else {
                    $alumno->setSemestre(0);
                }
                if ($fecEgr == null) {
                    $alumno->setFecTer(null);
                } else {
                    $alumno->setFecTer(new \DateTime($fecEgr));
                }

                $alumno->setCveBeca($cveBeca);

                $alumno->setCveLic($cveLic);

                $alumno->setCvePla($plantel);

                $alumno->setTipoAlumno($tipo_alumno);
                $alumno->setModoPago(0);

                $alumno->setModalidad($request->get('modalidad'));

                $numeroAlu = 0;
                if ($request->get('modalidad') == "SEMESTRAL") {
                    $alumno->setNumero($request->get('numSem'));
                    $numeroAlu = $request->get('numSem');
                } elseif ($request->get('modalidad') == "CUATRIMESTRAL") {
                    $alumno->setNumero($request->get('numCua'));
                    $numeroAlu = $request->get('numCua');
                }

                $cveAnterior = $request->get('cveAnterior');
                $alumno->setCveAnterior($cveAnterior);
                if ($numeroAlu > 1) {
                    $alumno->setReinscripcion(1);
                } else {
                    $alumno->setReinscripcion(0);
                }

                $alumno->setFecMov(new \DateTime(date('Y-m-d')));
                $alumno->setCveUsu($session->get('identificador'));

                $alumno->setCostoInscripcion(0);
                $alumno->setCostoMensualidad(0);
                $alumno->setContador(1);
                $alumno->setComoEntero("");

                $alumno->setObservaciones("");
                $alumno->setCoordinador($request->get('coordinador'));
                $alumno->setFacebook("");
                $alumno->setDependenciaEmpresa("");
                $alumno->setDepto("");

                $cveNumApli = $em->getRepository('CmBundle:AplicacionExamenUnico')
                        ->findOneBy(array('ideApExaUni' => $request->get('cveNumApli')));
                $alumno->setCveNumApli($cveNumApli);

                $em->persist($alumno);
                $em->flush();

                $detalleBachi = new DetallesBachiEu();
                $detalleBachi->setCveAlu($alumno);
                $detalleBachi->setFecMov(new \DateTime(date('Y-m-d')));
                $detalleBachi->setCveUsu($session->get('identificador'));
                $em->persist($detalleBachi);
                $em->flush();

                $contador->setValor($contador->getValor() + 1);
                $em->persist($contador);
                $em->flush();

                return $this->redirect(
                                $this->generateUrl(
                                        'consultar_eu_externos',
                                        array(
                                            'ideAlu' => $alumno->getIdeAlu()
                                        )
                                )
                );
            } else {
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $planteles = $em->getRepository('CmBundle:Planteles')
                        ->findBy(array('cvePla' => $session->get('plantel')));
                $becas = $em->getRepository('CmBundle:Becas')->findAll();
                $procedencias = $em->getRepository('CmBundle:Procedencias')->findAll();
                $aplicaciones = $em->getRepository('CmBundle:AplicacionExamenUnico')
                        ->findBy(array('estatus' => 1));

                return $this->render('CmBundle:EUExterno:nuevoEUX.html.twig', array(
                            'estatus' => $estatus,
                            'planteles' => $planteles,
                            'becas' => $becas,
                            'aplicaciones' => $aplicaciones,
                            'procedencias' => $procedencias
                ));
            }
        } else {

            return $this->redirect($this->generateUrl('logout'));
        }
    }

    public function consultarEUXAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'POST') {
                
            } else {
                $em = $this->getDoctrine()->getManager();
                $ideAlu = $request->get('ideAlu');
                $alumno = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('ideAlu' => $ideAlu));

                return $this->render('CmBundle:EUExterno:consultaEUX.html.twig', array('a' => $alumno));
            }
        } else {

            return $this->redirect($this->generateUrl('logout'));
        }
    }

    public function ofiAppEUXAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'GET') {
                $em = $this->getDoctrine()->getManager();

                $cvePla = $session->get('plantel');
                $numApp = $request->get('numApp');

                $idePla = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $cvePla));
                $cveNumApli = $em->getRepository('CmBundle:AplicacionExamenUnico')
                        ->findOneBy(array('numeroAplicacion' => $numApp));

                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy(
                        array('cvePla' => $idePla, 'tipoAlumno' => 2, 'estatus' => 1, 'cveNumApli' => $cveNumApli),
                        array('apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                );


                $datos = array();

                foreach ($alumnos as $k => $v) {
                    $pagos = $em->getRepository('CmBundle:Pagos')
                            ->findBy(array('cveAlu' => $v->getIdeAlu()));
                    $pagosConAbonos = array();
                    $detallesBachi = $em->getRepository('CmBundle:DetallesBachiEu')
                            ->findOneBy(array('cveAlu' => $v->getIdeAlu()));
                    /**
                     * RECUPERAR EL LISTADO DE DOCUMENTACIÓN DIGITAL
                     */
                    $rutaCURP = "archivo/" . $v->getCveCtl() . "-curp.pdf";
                    $rutaActa = "archivo/" . $v->getCveCtl() . "-an.pdf";
                    $rutaCert = "archivo/" . $v->getCveCtl() . "-cs.pdf";

                    $date1 = new DateTime($v->getFecTer()->format('Y-m-d'));
                    $date1 = new DateTime($v->getFecTer()->format('Y-m-d'));
                    $date2 = new DateTime("now");
                    $diff = $date1->diff($date2);

                    if (file_exists($rutaCURP) & file_exists($rutaActa) & file_exists($rutaCert)) {
                        $detallesBachi->setDocumentacionDigital(1);
                        $em->persist($detallesBachi);
                        $em->flush();
                    } else {
                        $detallesBachi->setDocumentacionDigital(0);
                        $em->persist($detallesBachi);
                        $em->flush();
                    }

                    /* TERMINA LA COMPROBACIÓN DE DOCUMENTACIÓN DIGITAL
                     * 
                     */


                    $numeroPagos = 0;
                    /*
                      foreach ($pagos as $key => $value) {
                      $listaPagos = $em->getRepository('CmBundle:Ingresos')
                      ->findBy(array('cveAlu' => $v->getIdeAlu(), 'cvePag' => $value->getIdePag()));
                      $suma = 0;
                      foreach ($listaPagos as $kk => $vv) {
                      $suma = $suma + $vv->getMonto();
                      $numeroPagos++;
                      }
                      $pagosConAbonos[$key] = array($value, $suma);
                      }
                     * 
                     */
                    if ($diff->y == null) {
                        $datos[$k] = array($v, $pagosConAbonos, $numeroPagos, $detallesBachi, "0");
                    } else {
                        $datos[$k] = array($v, $pagosConAbonos, $numeroPagos, $detallesBachi, $diff->y);
                    }
                }


                $pdfEU = new PDFExamenUnico('P','mm','Letter');
                $pdfEU->SetFont('Arial', '', 10);
                $pdfEU->setTitulo($idePla->getNomPla() . ":" . $numApp);
                $pdfEU->setNumeroAplicacion($idePla->getNomPla() . ":" . $numApp);
                $pdfEU->AliasNbPages();
                $pdfEU->AddPage();
                $pdfEU->oficioCertificacionExterno($numApp, $datos, $idePla);

                return new Response($pdfEU->Output('oficioCertificacionExterno' . $numApp . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            }
        } else {

            return $this->redirect($this->generateUrl('logout'));
        }
    }

    public function ofiAppAdminEUAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($request->getMethod() == 'GET') {
                $em = $this->getDoctrine()->getManager();

                $numApp = $request->get('numApp');

                $cveNumApli = $em->getRepository('CmBundle:AplicacionExamenUnico')
                        ->findOneBy(array('numeroAplicacion' => $numApp));

                $alumnos = $em->getRepository('CmBundle:Alumnos')
                        ->findBy(
                        array('tipoAlumno' => 2, 'estatus' => 1, 'cveNumApli' => $cveNumApli),
                        array('apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                );


                $datos = array();

                foreach ($alumnos as $k => $v) {
                    $pagos = $em->getRepository('CmBundle:Pagos')
                            ->findBy(array('cveAlu' => $v->getIdeAlu()));
                    $pagosConAbonos = array();
                    $detallesBachi = $em->getRepository('CmBundle:DetallesBachiEu')
                            ->findOneBy(array('cveAlu' => $v->getIdeAlu()));
                    /**
                     * RECUPERAR EL LISTADO DE DOCUMENTACIÓN DIGITAL
                     */
                    $rutaCURP = "archivo/" . $v->getCveCtl() . "-curp.pdf";
                    $rutaActa = "archivo/" . $v->getCveCtl() . "-an.pdf";
                    $rutaCert = "archivo/" . $v->getCveCtl() . "-cs.pdf";

                    $date1 = new DateTime($v->getFecTer()->format('Y-m-d'));
                    $date1 = new DateTime($v->getFecTer()->format('Y-m-d'));
                    $date2 = new DateTime("now");
                    $diff = $date1->diff($date2);

                    if (file_exists($rutaCURP) & file_exists($rutaActa) & file_exists($rutaCert)) {
                        $detallesBachi->setDocumentacionDigital(1);
                        $em->persist($detallesBachi);
                        $em->flush();
                    } else {
                        $detallesBachi->setDocumentacionDigital(0);
                        $em->persist($detallesBachi);
                        $em->flush();
                    }

                    /* TERMINA LA COMPROBACIÓN DE DOCUMENTACIÓN DIGITAL
                     * 
                     */


                    $numeroPagos = 0;
                    /*
                      foreach ($pagos as $key => $value) {
                      $listaPagos = $em->getRepository('CmBundle:Ingresos')
                      ->findBy(array('cveAlu' => $v->getIdeAlu(), 'cvePag' => $value->getIdePag()));
                      $suma = 0;
                      foreach ($listaPagos as $kk => $vv) {
                      $suma = $suma + $vv->getMonto();
                      $numeroPagos++;
                      }
                      $pagosConAbonos[$key] = array($value, $suma);
                      }
                     * 
                     */
                    if ($diff->y == null) {
                        $datos[$k] = array($v, $pagosConAbonos, $numeroPagos, $detallesBachi, "0");
                    } else {
                        $datos[$k] = array($v, $pagosConAbonos, $numeroPagos, $detallesBachi, $diff->y);
                    }
                }


                $lisPlanteles = $em->getRepository('CmBundle:Alumnos')
                        ->findBy(
                        array('tipoAlumno' => 2, 'estatus' => 1, 'cveNumApli' => $cveNumApli),
                        array('cvePla' => 'ASC', 'apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC')
                );

                $dXPlantel = array();

                foreach ($lisPlanteles as $k => $v) {
                    $pagos = $em->getRepository('CmBundle:Pagos')
                            ->findBy(array('cveAlu' => $v->getIdeAlu()));
                    $pagosConAbonos = array();
                    $detallesBachi = $em->getRepository('CmBundle:DetallesBachiEu')
                            ->findOneBy(array('cveAlu' => $v->getIdeAlu()));



                    $numeroPagos = 0;
                    /*
                      foreach ($pagos as $key => $value) {
                      $listaPagos = $em->getRepository('CmBundle:Ingresos')
                      ->findBy(array('cveAlu' => $v->getIdeAlu(), 'cvePag' => $value->getIdePag()));
                      $suma = 0;
                      foreach ($listaPagos as $kk => $vv) {
                      $suma = $suma + $vv->getMonto();
                      $numeroPagos++;
                      }
                      $pagosConAbonos[$key] = array($value, $suma);
                      }
                     * 
                     */
                    if ($diff->y == null) {
                        $dXPlantel[$k] = array($v, $pagosConAbonos, $numeroPagos, $detallesBachi, "0");
                    } else {
                        $dXPlantel[$k] = array($v, $pagosConAbonos, $numeroPagos, $detallesBachi, $diff->y);
                    }
                }



                $pdfEU = new PDFExamenUnico();
                $pdfEU->SetFont('Arial', '', 10);
                $pdfEU->setTitulo("COORDINACIÓN:" . $numApp);
                $pdfEU->AliasNbPages();
                $pdfEU->AddPage();
                $pdfEU->oficioCertificacionAdministrador($numApp, $datos);
                $pdfEU->AddPage();
                $pdfEU->oficioCertificacionAdministradorPorPlantel($numApp, $dXPlantel);

                return new Response($pdfEU->Output('oficioCertificacionExterno' . $numApp . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            }
        } else {

            return $this->redirect($this->generateUrl('logout'));
        }
    }

}
