<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Entity\Grupos;
use CmBundle\Entity\AlumnosGrupos;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of GruposController
 *
 * @author omar
 */
class GruposController extends Controller {

    //put your code here
    public function gruposAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {

            if ($request->getMethod() == "POST") {

                $licenciatura = $request->get('licenciatura');
                $cveGrupo = $request->get('grupo');
                $turno = $request->get('turno');
                $modalidad = $request->get('modalidad');
                $periodo = $request->get('periodo');
                //$alumno->setDiasTurno(json_encode($request->get('dias')));
                $dias = $request->get('dias');
                $numero = $request->get('numero');

                $em = $this->getDoctrine()->getManager();

                $periodo = $em->getRepository('CmBundle:Periodos')
                        ->findOneBy(array('idePer' => $periodo));
                $licenciatura = $em->getRepository('CmBundle:Licenciaturas')
                        ->findOneBy(array('ideLic' => $licenciatura));

                $plantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('cvePla' => $session->get('plantel')));

                $grupo = new Grupos();
                $grupo->setGrupo($cveGrupo);
                $grupo->setCveLic($licenciatura);
                $grupo->setPeriodo($periodo);
                $grupo->setTurno($turno);
                $grupo->setDias(json_encode($dias));
                $grupo->setHoraInicio(new \DateTime(date($request->get('hi'))));
                $grupo->setHoraFin(new \DateTime(date($request->get('hf'))));
                if ($modalidad == '0') {
                    $grupo->setSemestre(0);
                    $grupo->setCuatrimestre($numero);
                } else {
                    $grupo->setSemestre($numero);
                    $grupo->setCuatrimestre(0);
                }
                $grupo->setCvePla($plantel);
                $grupo->setCveUsu($session->get('identificador'));

                $em->persist($grupo);
                $em->flush();

                return $this->redirect($this->generateUrl('grupos_editar', array('ideGru' => $grupo->getIdeGru(), 'banUpdateGrupo' => 2)));
            } else { // NO FUE POST
                $em = $this->getDoctrine()->getEntityManager();

                $auxPlantel = $em->getRepository('CmBundle:Planteles')->findOneBy(array('cvePla' => $session->get('plantel')));

                $auxLic = $em->getRepository('CmBundle:Alumnos')->findBy(array('estatus' => 1, 'cvePla' => $auxPlantel));

                $especialidades = $em->getRepository('CmBundle:Licenciaturas')
                        ->findBy(array(), array('cveNivAca' => 'ASC', 'nomLic' => 'ASC'));

                $periodos = $em->getRepository('CmBundle:Periodos')
                        ->findOneBy(array('estatus' => 1));

                $auxPeriodos = $em->getRepository('CmBundle:Periodos')
                        ->findBy(array('estatus' => array(1, -1)));

                $plantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('cvePla' => $session->get('plantel')));

                $grupos = $em->getRepository('CmBundle:Grupos')
                        ->findBy(array('periodo' => $periodos, 'cvePla' => $plantel), array('cveLic' => 'ASC', 'cuatrimestre' => 'ASC'));

                $peridoPendiente = $em->getRepository('CmBundle:Periodos')
                        ->findOneBy(array('estatus' => -1));

                $auxGrupos = $em->getRepository('CmBundle:Grupos')
                        ->findBy(array('periodo' => $peridoPendiente, 'cvePla' => $plantel), array('cveLic' => 'ASC', 'cuatrimestre' => 'ASC'));

                $dql = "SELECT g FROM CmBundle:Grupos g, CmBundle:Licenciaturas l "
                        . "WHERE g.cveLic = l.ideLic "
                        . "AND g.cvePla = :idePla "
                        . "AND g.periodo = :periodo "
                        . "ORDER BY l.cveNivAca ASC, l.nomLic ASC, g.cuatrimestre ASC";
                $query = $em->createQuery($dql);
                $query->setParameter('idePla', $plantel->getIdepla());
                $query->setParameter('periodo', $periodos->getIdePer());
                $resultados = $query->getResult();



                $matriz = [];
                $m = -1;
                $n = 0;
                $especialidad = "";
                foreach ($resultados as $key => $value) {
                    if ($especialidad == $value->getCveLic()->getCveNivAca()->getNombre() . " EN " . $value->getCveLic()->getNomLic()) {
                        //NO INCREMENTAR EL CONTADOR
                        $i = 1;
                        for ($i = 1; $i <= 10; $i++) {
                            $n = $i;
                            //VALIDAR SI ES SEMESTRAL O CUATRIMESTRAL
                            if ($value->getSemestre() != null) {
                                if ($value->getSemestre() == $n) {
                                    if ($matriz[$m][$n] != null and $matriz[$m][$n] != -1) {
                                        $matriz[$m][$n] = $matriz[$m][$n] . ',' . $value->getGrupo() . '-' . $value->getIdeGru();
                                    } else {
                                        $matriz[$m][$n] = $value->getGrupo() . '-' . $value->getIdeGru();
                                    }
                                } else {
                                    if ($matriz[$m][$n] != null and $matriz[$m][$n] != -1) {
                                        continue;
                                    } else {
                                        $matriz[$m][$n] = -1;
                                    }
                                }
                            } else {
                                if ($value->getCuatrimestre() == $n) {
                                    if ($matriz[$m][$n] != null and $matriz[$m][$n] != -1) {
                                        $matriz[$m][$n] = $matriz[$m][$n] . ',' . $value->getGrupo() . '-' . $value->getIdeGru();
                                    } else {
                                        $matriz[$m][$n] = $value->getGrupo() . '-' . $value->getIdeGru();
                                    }
                                } else {
                                    if ($matriz[$m][$n] != null and $matriz[$m][$n] != -1) {
                                        continue;
                                    } else {
                                        $matriz[$m][$n] = -1;
                                    }
                                }
                            }
                        }
                    } else {
                        //SI INCREMENTAR EL CONTADOR
                        $m++;
                        $especialidad = $value->getCveLic()->getCveNivAca()->getNombre() . " EN " . $value->getCveLic()->getNomLic();
                        $matriz[$m][0] = $especialidad;
                        $i = 1;
                        for ($i = 1; $i <= 10; $i++) {
                            $n = $i;
                            //VALIDAR SI ES SEMESTRAL O CUATRIMESTRAL
                            if ($value->getSemestre() != null) {
                                if ($value->getSemestre() == $n) {
                                    $matriz[$m][$n] = $value->getGrupo() . '-' . $value->getIdeGru();
                                } else {
                                    $matriz[$m][$n] = -1;
                                }
                            } else {
                                if ($value->getCuatrimestre() == $n) {
                                    $matriz[$m][$n] = $value->getGrupo() . '-' . $value->getIdeGru();
                                } else {
                                    $matriz[$m][$n] = -1;
                                }
                            }
                        }
                    }
                }

                $listaGrupos = [];
                foreach ($grupos as $key => $value) {
                    $listaGrupos[$key] = array($value, json_decode($value->getDias()));
                }




                //CREAR LA MATRIZ PARA LOS GRUPOS QUE ESTÁN PENDIENTES: PREPLANTILLA

                $dql = "SELECT g FROM CmBundle:Grupos g, CmBundle:Licenciaturas l "
                        . "WHERE g.cveLic = l.ideLic "
                        . "AND g.cvePla = :idePla "
                        . "AND g.periodo = :periodo "
                        . "ORDER BY l.cveNivAca ASC, l.nomLic ASC, g.cuatrimestre ASC";
                $query = $em->createQuery($dql);
                $query->setParameter('idePla', $plantel->getIdepla());
                $query->setParameter('periodo', $peridoPendiente->getIdePer());
                $resultadosPendiente = $query->getResult();



                $matrizPendiente = [];
                $m = -1;
                $n = 0;
                $especialidad = "";
                foreach ($resultadosPendiente as $key => $value) {
                    if ($especialidad == $value->getCveLic()->getCveNivAca()->getNombre() . " EN " . $value->getCveLic()->getNomLic()) {
                        //NO INCREMENTAR EL CONTADOR
                        $i = 1;
                        for ($i = 1; $i <= 10; $i++) {
                            $n = $i;
                            //VALIDAR SI ES SEMESTRAL O CUATRIMESTRAL
                            if ($value->getSemestre() != null) {
                                if ($value->getSemestre() == $n) {
                                    if ($matrizPendiente[$m][$n] != null and $matrizPendiente[$m][$n] != -1) {
                                        $matrizPendiente[$m][$n] = $matrizPendiente[$m][$n] . ',' . $value->getGrupo() . '-' . $value->getIdeGru();
                                    } else {
                                        $matrizPendiente[$m][$n] = $value->getGrupo() . '-' . $value->getIdeGru();
                                    }
                                } else {
                                    if ($matrizPendiente[$m][$n] != null and $matrizPendiente[$m][$n] != -1) {
                                        continue;
                                    } else {
                                        $matrizPendiente[$m][$n] = -1;
                                    }
                                }
                            } else {
                                if ($value->getCuatrimestre() == $n) {
                                    if ($matrizPendiente[$m][$n] != null and $matrizPendiente[$m][$n] != -1) {
                                        $matrizPendiente[$m][$n] = $matrizPendiente[$m][$n] . ',' . $value->getGrupo() . '-' . $value->getIdeGru();
                                    } else {
                                        $matrizPendiente[$m][$n] = $value->getGrupo() . '-' . $value->getIdeGru();
                                    }
                                } else {
                                    if ($matrizPendiente[$m][$n] != null and $matrizPendiente[$m][$n] != -1) {
                                        continue;
                                    } else {
                                        $matrizPendiente[$m][$n] = -1;
                                    }
                                }
                            }
                        }
                    } else {
                        //SI INCREMENTAR EL CONTADOR
                        $m++;
                        $especialidad = $value->getCveLic()->getCveNivAca()->getNombre() . " EN " . $value->getCveLic()->getNomLic();
                        $matrizPendiente[$m][0] = $especialidad;
                        $i = 1;
                        for ($i = 1; $i <= 10; $i++) {
                            $n = $i;
                            //VALIDAR SI ES SEMESTRAL O CUATRIMESTRAL
                            if ($value->getSemestre() != null) {
                                if ($value->getSemestre() == $n) {
                                    $matrizPendiente[$m][$n] = $value->getGrupo() . '-' . $value->getIdeGru();
                                } else {
                                    $matrizPendiente[$m][$n] = -1;
                                }
                            } else {
                                if ($value->getCuatrimestre() == $n) {
                                    $matrizPendiente[$m][$n] = $value->getGrupo() . '-' . $value->getIdeGru();
                                } else {
                                    $matrizPendiente[$m][$n] = -1;
                                }
                            }
                        }
                    }
                }

                $listaGruposPendiente = [];
                foreach ($auxGrupos as $key => $value) {
                    $listaGruposPendiente[$key] = array($value, json_decode($value->getDias()));
                }




                //FINALIZA LA CREACIÓN DE MATRIZ DE GRUPOS DE L PREPLANTILLA






                return $this->render('CmBundle:Grupos:alta-grupos.html.twig', array(
                            'especialidades' => $especialidades,
                            'periodos' => $periodos,
                            'grupos' => $listaGrupos,
                            'datos' => $matriz,
                            'auxPeriodos' => $auxPeriodos,
                            'datosPrePlantilla' => $matrizPendiente,
                            'gruposPrePantilla' => $listaGruposPendiente
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function gruposEditarAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            if ($request->getMethod() == "POST") {

                $licenciatura = $request->get('licenciatura');
                $cveGrupo = $request->get('grupo');
                $turno = $request->get('turno');
                $modalidad = $request->get('modalidad');
                $periodo = $request->get('periodo');
                //$alumno->setDiasTurno(json_encode($request->get('dias')));
                $dias = $request->get('dias');

                $em = $this->getDoctrine()->getManager();

                $periodo = $em->getRepository('CmBundle:Periodos')
                        ->findOneBy(array('idePer' => $periodo));
                $licenciatura = $em->getRepository('CmBundle:Licenciaturas')
                        ->findOneBy(array('ideLic' => $licenciatura));

                $ideGru = $request->get('ideGru');

                $grupo = $em->getRepository('CmBundle:Grupos')->findOneBy(array('ideGru' => $ideGru));

                $grupo->setGrupo($cveGrupo);
                $grupo->setCveLic($licenciatura);
                $grupo->setPeriodo($periodo);
                $grupo->setTurno($turno);
                $grupo->setDias(json_encode($dias));
                if ($modalidad == 0) {
                    $grupo->setSemestre(0);
                    $grupo->setCuatrimestre($request->get('numero'));
                } else {
                    $grupo->setSemestre($request->get('numero'));
                    $grupo->setCuatrimestre(0);
                }
                $grupo->setHoraInicio(new \DateTime(date($request->get('hi'))));
                $grupo->setHoraFin(new \DateTime(date($request->get('hf'))));

                $em->persist($grupo);
                $em->flush();

                return $this->redirect($this->generateUrl('grupos_editar', array('ideGru' => $ideGru, 'banUpdateGrupo' => 1)));
            } else { //NO FUE POST
                $em = $this->getDoctrine()->getManager();
                $especialidades = $em->getRepository('CmBundle:Licenciaturas')
                        ->findBy(array(), array('cveNivAca' => 'ASC', 'nomLic' => 'ASC'));

                $periodos = $em->getRepository('CmBundle:Periodos')->findAll();

                $ideGru = $request->get('ideGru');
                $banUpdateGrupo = $request->get('banUpdateGrupo');

                $grupo = $em->getRepository('CmBundle:Grupos')
                        ->findOneBy(array('ideGru' => $ideGru));
                $listaGrupo = null;
                if ($grupo != null) {
                    $listaGrupo = array($grupo, json_decode($grupo->getDias()));
                } else {
                    return $this->redirect($this->generateUrl('grupos'));
                }


                return $this->render('CmBundle:Grupos:editar-grupos.html.twig', array(
                            'especialidades' => $especialidades,
                            'periodos' => $periodos,
                            'grupo' => $listaGrupo,
                            'banUpdateGrupo' => $banUpdateGrupo
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function gruposAsignarAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {

            if ($request->getMethod() == "POST") {

                $ideGru = $request->get('ideGru');
                $lA = $request->get('lA');

                $em = $this->getDoctrine()->getManager();

                $cveGru = $em->getRepository('CmBundle:Grupos')
                        ->findOneBy(array('ideGru' => $ideGru));
                foreach ($lA as $value) {
                    $cveAlu = $em->getRepository('CmBundle:Alumnos')
                            ->findOneBy(array('ideAlu' => $value));

                    $aluGru = new AlumnosGrupos();
                    $aluGru->setCveGru($cveGru);
                    $aluGru->setCveAlu($cveAlu);

                    $em->persist($aluGru);
                    $em->flush();
                }

                //$alumnos = $em->getRepository('CmBundle:AlumnosGrupos')
                //        ->findBy(array('cveGru' => $ideGru));

                $dql = "SELECT a "
                        . "FROM CmBundle:Alumnos a "
                        . "WHERE a.ideAlu "
                        . "IN ( "
                        . "SELECT IDENTITY(r.cveAlu) "
                        . "FROM CmBundle:AlumnosGrupos r "
                        . "WHERE r.cveGru = :idg "
                        . " ) "
                        . "ORDER BY "
                        . "a.apePat ASC, a.apeMat ASC, a.nomAlu ASC";
                $query = $em->createQuery($dql);
                $query->setParameter('idg', $ideGru);
                $alumnos = $query->getResult();


                return $this->render('CmBundle:Grupos:grupos-tabla.html.twig', array(
                            'alumnos' => $alumnos,
                            'grupo' => $cveGru
                ));
            } else {

                $em = $this->getDoctrine()->getManager();

                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')
                        ->findBy(array(), array('cveNivAca' => 'ASC', 'nomLic' => 'ASC'));
                $grupos = $em->getRepository('CmBundle:Grupos')
                        ->findAll();

                return $this->render('CmBundle:Grupos:asignar-grupos.html.twig', array(
                            'licenciaturas' => $licenciaturas,
                            'grupos' => $grupos
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function gruposBuscarAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {

            if ($request->getMethod() == "POST") {

                $ideGru = $request->get('ideGru');

                $em = $this->getDoctrine()->getManager();

                $cveGru = $em->getRepository('CmBundle:Grupos')
                        ->findOneBy(array('ideGru' => $ideGru));

                //$alumnos = $em->getRepository('CmBundle:AlumnosGrupos')
                //        ->findBy(array('cveGru' => $ideGru), array('apePat' => 'ASC', 'apeMat' => 'ASC', 'nomAlu' => 'ASC'));

                $dql = "SELECT a "
                        . "FROM CmBundle:Alumnos a "
                        . "WHERE a.ideAlu "
                        . "IN ( "
                        . "SELECT IDENTITY(r.cveAlu) "
                        . "FROM CmBundle:AlumnosGrupos r "
                        . "WHERE r.cveGru = :idg "
                        . " ) "
                        . "ORDER BY "
                        . "a.apePat ASC, a.apeMat ASC, a.nomAlu ASC";
                $query = $em->createQuery($dql);
                $query->setParameter('idg', $ideGru);
                $alumnos = $query->getResult();

                //var_dump($alumnos);

                return $this->render('CmBundle:Grupos:grupos-tabla.html.twig', array(
                            'alumnos' => $alumnos,
                            'grupo' => $cveGru
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function gruposQuitarAlumnoAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {

            if ($request->getMethod() == "POST") {

                $ideGru = $request->get('ideGru');
                $ideAlu = $request->get('ideAlu');

                $em = $this->getDoctrine()->getManager();

                $cveGru = $em->getRepository('CmBundle:Grupos')
                        ->findOneBy(array('ideGru' => $ideGru));

                $aluGru = $em->getRepository('CmBundle:AlumnosGrupos')
                        ->findOneBy(array('cveGru' => $ideGru, 'cveAlu' => $ideAlu));

                $em->remove($aluGru);
                $flush = $em->flush();

//                if ($flush == null) {
//                    echo "Post se ha borrado correctamente";
//                } else {
//                    echo "El post no se ha borrado";
//                }



                $dql = "SELECT a "
                        . "FROM CmBundle:Alumnos a "
                        . "WHERE a.ideAlu "
                        . "IN ( "
                        . "SELECT IDENTITY(r.cveAlu) "
                        . "FROM CmBundle:AlumnosGrupos r "
                        . "WHERE r.cveGru = :idg "
                        . " ) "
                        . "ORDER BY "
                        . "a.apePat ASC, a.apeMat ASC, a.nomAlu ASC";
                $query = $em->createQuery($dql);
                $query->setParameter('idg', $ideGru);
                $alumnos = $query->getResult();

                //var_dump($alumnos);

                return $this->render('CmBundle:Grupos:grupos-tabla.html.twig', array(
                            'alumnos' => $alumnos,
                            'grupo' => $cveGru
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function gruposCargarAluAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {

            if ($request->getMethod() == "POST") {

                $ideLic = $request->get('idLic');
                $numero = $request->get('numero');
                $bandera = $request->get('bandera');

                $em = $this->getDoctrine()->getManager();

                $auxPlantel = $em->getRepository('CmBundle:Planteles')
                        ->findOneBy(array('cvePla' => $session->get('plantel')));

                $grupos = null;
                $modalidad = "";

                $periodo = $em->getRepository('CmBundle:Periodos')->findOneBy(array('estatus' => 1));

                if ($bandera == 0) {
                    //CUATRIMESTRE
                    $grupos = $em->getRepository('CmBundle:Grupos')
                            ->findBy(array('cveLic' => $ideLic, 'cuatrimestre' => $numero, 'cvePla' => $auxPlantel, 'periodo' => $periodo));
                    $modalidad = "CUATRIMESTRAL";
                } elseif ($bandera == 1) {
                    //SEMESTRE
                    $grupos = $em->getRepository('CmBundle:Grupos')
                            ->findBy(array('cveLic' => $ideLic, 'semestre' => $numero, 'cvePla' => $auxPlantel, 'periodo' => $periodo));
                    $modalidad = "SEMESTRAL";
                }

                $horarios = $em->getRepository('CmBundle:Horarios')
                        ->findBy(array('cveGru' => $grupos, 'estatus' => 1));

//                $estatus = $em->getRepository('CmBundle:Estatus')
//                        ->findOneBy(array('cveEst' => 'ANI'));

                $auxGrupos = array();

                foreach ($grupos as $key => $value) {
                    //print_r($value->getGrupo());
                    //print_r("<br>");
                    $auxGrupos[] = $value->getIdeGru();
                }

                if ($grupos != null) {
                    $dql = "SELECT a "
                            . "FROM CmBundle:Alumnos a "
                            . "WHERE a.ideAlu "
                            . "NOT IN ( "
                            . "SELECT IDENTITY(r.cveAlu) "
                            . "FROM CmBundle:AlumnosGrupos r "
                            . "WHERE r.cveGru IN (:lisGrupos) "
                            . " ) "
                            . "AND a.cveLic = :lic "
                            . "AND a.numero = :numero "
                            . "AND a.modalidad = :modo "
                            . "AND a.cvePla = :cvePlantel "
                            . "AND a.estatus = 1 "
                            . "ORDER BY "
                            . "a.apePat ASC, a.apeMat ASC, a.nomAlu ASC";
                    $query = $em->createQuery($dql);
                    $query->setParameter('lic', $ideLic);
                    $query->setParameter('numero', $numero);
                    $query->setParameter('modo', $modalidad);
                    $query->setParameter('cvePlantel', $auxPlantel->getIdePla());
                    $query->setParameter('lisGrupos', $auxGrupos);
                } else {
                    $dql = "SELECT a "
                            . "FROM CmBundle:Alumnos a "
                            . "WHERE "
                            . "a.cveLic = :lic "
                            . "AND a.numero = :numero "
                            . "AND a.modalidad = :modo "
                            . "AND a.cvePla = :cvePlantel "
                            . "AND a.estatus = 1 "
                            . "ORDER BY "
                            . "a.apePat ASC, a.apeMat ASC, a.nomAlu ASC";
                    $query = $em->createQuery($dql);
                    $query->setParameter('lic', $ideLic);
                    $query->setParameter('numero', $numero);
                    $query->setParameter('modo', $modalidad);
                    $query->setParameter('cvePlantel', $auxPlantel->getIdePla());
                }


                $alumnos = $query->getResult();

                /* $alumnos = $em->getRepository('CmBundle:Alumnos')
                  ->findBy(
                  array(
                  'cveLic' => $ideLic,
                  'estatus' => $estatus->getIdeEst())); */

                return $this->render('CmBundle:Grupos:asignar-grupos-tabla.html.twig', array(
                            'alumnos' => $alumnos,
                            'grupos' => $grupos,
                            'horarios' => $horarios
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function imprimirListaAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {

            //if ($request->getMethod() == "POST") {

            $ideGru = $request->get('ideGru');

            $em = $this->getDoctrine()->getManager();

            $cveGru = $em->getRepository('CmBundle:Grupos')
                    ->findOneBy(array('ideGru' => $ideGru));
            $numero = 0;
            if ($cveGru->getSemestre() == 0) {
                $numero = $cveGru->getCuatrimestre();
            } else {
                $numero = $cveGru->getSemestre();
            }

            $horarios = $em->getRepository('CmBundle:Horarios')
                    ->findBy(array('cveGru' => $cveGru, 'estatus' => 1));

            //$alumnos = $em->getRepository('CmBundle:AlumnosGrupos')
            //        ->findBy(array('cveGru' => $ideGru));
            $dql = "SELECT a "
                    . "FROM CmBundle:Alumnos a "
                    . "WHERE a.ideAlu "
                    . "IN ( "
                    . "SELECT IDENTITY(r.cveAlu) "
                    . "FROM CmBundle:AlumnosGrupos r "
                    . "WHERE r.cveGru = :idg "
                    . " ) "
                    . "ORDER BY "
                    . "a.apePat ASC, a.apeMat ASC, a.nomAlu ASC";
            $query = $em->createQuery($dql);
            $query->setParameter('idg', $ideGru);
            $alumnos = $query->getResult();



            $dias = [];

            //CALCULAR DÍAS DE ASISTENCIA
            $starDate = new \DateTime(date($cveGru->getPeriodo()->getMesInicio()->format('Y-m-d')));
            $endDate = new \DateTime(date($cveGru->getPeriodo()->getMesFinal()->format('Y-m-d')));


            $diasIngles = ['Monday', 'Tuesday', 'Wednesday', 'Thursday', 'Friday', 'Saturday', 'Sunday'];
            $diasSpanis = ['Lu', 'Ma', 'Mi', 'Ju', 'Vi', 'Sa', 'Do'];

            $diasGrupo = json_decode($cveGru->getDias());
            $auxDias = [];
            foreach ($diasGrupo as $key => $value) {
                for ($i = 0; $i <= 6; $i++) {
                    if ($value == $diasSpanis[$i]) {
                        $auxDias[$key] = $diasIngles[$i];
                    } else {
                        continue;
                    }
                }
            }

            while ($starDate <= $endDate) {
                foreach ($auxDias as $key => $value) {
                    if ($starDate->format('l') == $value) {
                        $dias[] = $starDate->format('d-m-Y');
                    } else {
                        continue;
                    }
                }
                $starDate->modify("+1 days");
            }

            $pdf = new PDF_ListasAsistencia('P', 'mm', 'Letter');
            //$pdf->setTitulo("UNIVERSIDAD TEC MEXIQUENSE \"CAMPUS LICENCIATURAS\"");
            $pdf->setPosicion("V");
            $pdf->AddFont('Calibri', '', 'calibri.php');
            $pdf->AddFont('Calibri', 'B', 'calibrib.php');
            $pdf->AddFont('Calibri', 'I', 'calibrii.php');
            $pdf->AddFont('Calibri', 'L', 'calibril.php');
            $pdf->AddFont('Calibri', 'LI', 'calibrili.php');
            $pdf->AddFont('Calibri', 'Z', 'calibriz.php');
            $pdf->SetFont('Calibri', '', '12');
            if ($horarios != null) {
                foreach ($horarios as $key => $value) {
                    $pdf->AddPage();
                    $pdf->AliasNbPages();
                    //$pdf->SetFont('Arial', '', 12);
                    $pdf->listaGrupo($cveGru, $alumnos, $numero, $dias, $value);
                }
            } else {
                $pdf->AddPage();
                $pdf->AliasNbPages();
                //$pdf->SetFont('Arial', '', 12);
                $pdf->listaGrupo($cveGru, $alumnos, $numero, $dias, null);
            }



            return new Response($pdf->Output('lista.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
            //}
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

}
