<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of IngresosController
 *
 * @author mac1
 */
class IngresosController extends Controller {

    //put your code here
    public function verIngresoAction(Request $request) {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {
            if ($request->getMethod() == 'POST') {
                $em = $this->getDoctrine()->getEntityManager();

                $cveAlu = $request->get('ideAlu');
                $cveIng = $request->get('cveIng');
                $numRec = $request->get('numRec');

                $ingreso = $em->getRepository('CmBundle:Ingresos')
                        ->findOneBy(array('ideIng' => $cveIng, 'cveAlu' => $cveAlu));
                $pago = $em->getRepository('CmBundle:Pagos')
                        ->findOneBy(array('numRecibo' => $numRec, 'cveAlu' => $cveAlu));
                $usuario = $em->getRepository('CmBundle:Empleados')
                        ->findOneBy(array('identificador' => $ingreso->getCveUsu()));



                if ($ingreso != null) {


                    if ($pago != null) {
                        $pago->setReferencia("");
                        $pago->setStaPag(1);
                        $pago->setMonto(null);
                        $pago->setRecargos(0);
                        $pago->setTipPag('');
                        $pago->setDescripcion(null);
                        $pago->setCveIng(null);
                        $pago->setNumRecibo(null);

                        $em->persist($pago);
                        $em->flush();

                        $em->remove($ingreso);
                        $em->flush();
                    } else {
                        //REVISAR SI ES ALUMNO DE BACHILLERATO
                        if ($ingreso->getCveAlu()->getTipoAlumno() == 2) {
                            $em->remove($ingreso);
                            $em->flush();
                        } else {
                            print_r("NO EXISTE EL PAGO DEL ALUMNO ES SU TABLA DE PAGOS");
                            die();
                        }
                    }

                    $ban = 1;
                    return $this->render('CmBundle:Ingresos:ingresoEliminado.html.twig', array(
                                'banderaIngresoEliminado' => $ban
                    ));
                } else {
                    $ban = -1;
                    return $this->render('CmBundle:Ingresos:ingresoEliminado.html.twig', array(
                                'banderaIngresoEliminado' => $ban
                    ));
                }
            } else {// NO FUE POST
                $em = $this->getDoctrine()->getEntityManager();

                $cveAlu = $request->get('ideAlu');
                $cveIng = $request->get('cveIng');
                $numRec = $request->get('numRec');

                $ingreso = $em->getRepository('CmBundle:Ingresos')
                        ->findOneBy(array('ideIng' => $cveIng, 'cveAlu' => $cveAlu));
                $pago = $em->getRepository('CmBundle:Pagos')
                        ->findOneBy(array('numRecibo' => $numRec, 'cveAlu' => $cveAlu));
                $usuario = $em->getRepository('CmBundle:Empleados')
                        ->findOneBy(array('identificador' => $ingreso->getCveUsu()));

                if ($ingreso != null) {
                    $ban = 1;
                    return $this->render('CmBundle:Ingresos:detalleIngreso.html.twig', array(
                                'bandera' => $ban,
                                'ingreso' => $ingreso,
                                'pago' => $pago,
                                'usuario' => $usuario
                    ));
                } else {
                    $ban = -1;
                    return $this->render('CmBundle:Ingresos:detalleIngreso.html.twig', array('bandera' => $ban));
                }
            }
        } else { // NO SE HA IDENTIFICADO EL USUARIO
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

}
