<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Entity\Licenciaturas;
use CmBundle\Controller\PDFLicenciatura;
use CmBundle\Controller\PDFMaestria;
use CmBundle\Controller\PDFDoctorado;
use CmBundle\Controller\PDFLicenciaturaR;
use CmBundle\Controller\PDFMaestriaR;
use CmBundle\Controller\PDFDoctoradoR;
use CmBundle\Controller\PDFTitulacionDirecta;
use CmBundle\Controller\PDFUtm;
use Picqer\Barcode\BarcodeGeneratorPNG;

//use Picqer\Barcode\BarcodeGeneratorPNG;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of LicenciaturaController
 *
 * @author omar
 */
class LicenciaturaController extends Controller {

    //put your code here
    public function altaLicenciaturaAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {

            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $cveLic = $request->get('cveCar');
                $nomLic = $request->get('nomCar');
                $modalidad = $request->get('modalidad');
                $durLic = $request->get('durCar');
                $tipCar = $request->get('tipCar');

                $tipo = $request->get('estatus');
                $estatus = $em->getRepository('CmBundle:Estatus')
                        ->findOneBy(array('ideEst' => $tipo));
                $cveNivAca = 0;
                $bandera = $request->get('b');
                if ($bandera == 1) {
                    $cveNivAca = $em->getRepository('CmBundle:NivelesAcademicos')
                            ->findOneBy(array('ideNivAca' => $bandera));
                } elseif ($bandera == 2) {
                    $cveNivAca = $em->getRepository('CmBundle:NivelesAcademicos')
                            ->findOneBy(array('ideNivAca' => $bandera));
                } elseif ($bandera == 3) {
                    $cveNivAca = $em->getRepository('CmBundle:NivelesAcademicos')
                            ->findOneBy(array('ideNivAca' => $bandera));
                } elseif ($bandera == 4) {
                    $cveNivAca = $em->getRepository('CmBundle:NivelesAcademicos')
                            ->findOneBy(array('ideNivAca' => $bandera));
                } elseif ($bandera == 5) {
                    $cveNivAca = $em->getRepository('CmBundle:NivelesAcademicos')
                            ->findOneBy(array('ideNivAca' => $bandera));
                }

                $licenciatura = new Licenciaturas();
                $licenciatura->setCveLic($cveLic);
                $licenciatura->setNomLic($nomLic);
                $licenciatura->setModalidad($modalidad);
                $licenciatura->setDurLic($durLic);
                $licenciatura->setTipCar($tipCar);
                $licenciatura->setCveNivAca($cveNivAca);

                $licenciatura->setEstatus($estatus);

                $licenciatura->setFecMov(new \DateTime(date('Y-m-d')));
                $licenciatura->setCveUsu($session->get('identificador'));

                $em->persist($licenciatura);
                $em->flush();

                return $this->redirect($this->generateUrl('consulta_licenciatura', array('b' => $bandera)));
            } else {
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();

                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                $bandera = $request->get('b');
                if ($bandera == 1) {
                    return $this->render('CmBundle:Licenciatura:alta-bg.html.twig', array('estatus' => $estatus));
                } elseif ($bandera == 2) {
                    return $this->render('CmBundle:Licenciatura:alta-bt.html.twig', array('estatus' => $estatus));
                } elseif ($bandera == 3) {
                    return $this->render('CmBundle:Licenciatura:alta-licenciatura.html.twig', array('estatus' => $estatus));
                } elseif ($bandera == 4) {
                    return $this->render('CmBundle:Licenciatura:alta-maestria.html.twig', array('estatus' => $estatus));
                } elseif ($bandera == 5) {
                    return $this->render('CmBundle:Licenciatura:alta-doctorado.html.twig', array('estatus' => $estatus));
                } else {
                    return $this->render('CmBundle:Licenciatura:alta-licenciatura.html.twig', array('estatus' => $estatus));
                }
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function consultaLicenciaturaAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {


            $em = $this->getDoctrine()->getManager();

            $licenciaturas = 0;

            $bandera = $request->get('b');
            $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')
                    ->findBy(array('cveNivAca' => $bandera), array('nomLic' => 'ASC'));

            return $this->render('CmBundle:Licenciatura:consulta-licenciatura.html.twig', array('licenciaturas' => $licenciaturas, 'b' => $bandera));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function impFichaAction(Request $request) {
        $session = $request->getSession();
        if (($session->has('ideAlu')) | ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3 || $session->get("rol") == 77 ))) {

            $em = $this->getDoctrine()->getManager();

            $ideAlu = $request->get('ideAlu');
            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $ideAlu));


            $pdf = new PDFLicenciatura('P', 'mm', 'Letter');
            $pdf->AddPage();
            //$pdf->AddFont('Calibri', '', 'calibri.php');
            $pdf->SetFont('Helvetica');
            $pdf->fichaLicenciaturaPaginaUno($alumno);
            $pdf->AddPage();
            $pdf->fichaLicenciaturaPaginaDos($alumno);

            return new Response($pdf->Output('fichaInscripcionLicenciatura.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function impFichaRAction(Request $request) {
        $session = $request->getSession();
        if (($session->has('ideAlu')) | ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3 || $session->get("rol") == 77 ))) {

            $em = $this->getDoctrine()->getManager();

            $ideAlu = $request->get('ideAlu');
            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $ideAlu));


            $pdf = new PDFLicenciaturaR('P', 'mm', 'Letter');
            $pdf->AddPage();
            //$pdf->AddFont('Calibri', '', 'calibri.php');
            $pdf->SetFont('Helvetica');
            $pdf->fichaLicenciaturaPaginaUno($alumno);

            return new Response($pdf->Output('fichaReinscripcionLicenciatura.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function impFichaMaestriaAction(Request $request) {
        $session = $request->getSession();
        if (($session->has('ideAlu')) | ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3 || $session->get("rol") == 77 ))) {

            $em = $this->getDoctrine()->getManager();

            $ideAlu = $request->get('ideAlu');
            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $ideAlu));


            $pdf = new PDFMaestria('P', 'mm', 'Letter');
            $pdf->AddPage();
            //$pdf->AddFont('Calibri', '', 'calibri.php');
            $pdf->SetFont('Helvetica');
            $pdf->fichaMaestriaPaginaUno($alumno);
            $pdf->AddPage();
            $pdf->fichaMaestriaPaginaDos($alumno);

            return new Response($pdf->Output('fichaInscripcionMaestria.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function impFichaMaestriaRAction(Request $request) {
        $session = $request->getSession();
        if (($session->has('ideAlu')) | ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3 ))) {

            $em = $this->getDoctrine()->getManager();

            $ideAlu = $request->get('ideAlu');
            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $ideAlu));


            $pdf = new PDFMaestriaR('P', 'mm', 'Letter');
            $pdf->AddPage();
            //$pdf->AddFont('Calibri', '', 'calibri.php');
            $pdf->SetFont('Helvetica');
            $pdf->fichaMaestriaPaginaUno($alumno);
            $pdf->fichaMaestriaPaginaDos($alumno);

            return new Response($pdf->Output('fichaInscripcionMaestria.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function impFichaDoctoradoAction(Request $request) {
        $session = $request->getSession();
        if (($session->has('ideAlu')) | ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3 || $session->get("rol") == 77 ))) {

            $em = $this->getDoctrine()->getManager();

            $ideAlu = $request->get('ideAlu');
            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $ideAlu));


            $pdf = new PDFDoctorado('P', 'mm', 'Letter');
            $pdf->AddPage();
            //$pdf->AddFont('Calibri', '', 'calibri.php');
            $pdf->SetFont('Helvetica');
            $pdf->fichaDoctoradoPaginaUno($alumno);
            $pdf->AddPage();
            $pdf->fichaDoctoradoPaginaDos($alumno);

            return new Response($pdf->Output('fichaInscripcionDocorado.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function impFichaDoctoradoRAction(Request $request) {
        $session = $request->getSession();
        if (($session->has('ideAlu')) | ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3 ))) {

            $em = $this->getDoctrine()->getManager();

            $ideAlu = $request->get('ideAlu');
            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $ideAlu));


            $pdf = new PDFDoctoradoR('P', 'mm', 'Letter');
            $pdf->AddPage();
            //$pdf->AddFont('Calibri', '', 'calibri.php');
            $pdf->SetFont('Helvetica');
            $pdf->fichaDoctoradoPaginaUno($alumno);

            return new Response($pdf->Output('fichaInscripcionDocorado.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function impFichaTDAction(Request $request) {
        $session = $request->getSession();
        if ($session->has('idEmpleado')) {

            $em = $this->getDoctrine()->getManager();

            $ideAlu = $request->get('ideAlu');
            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $ideAlu));
            $titulacion = $em->getRepository('CmBundle:Titulaciones')
                    ->findOneBy(array('cveAlu' => $alumno->getIdeAlu()));

            $especialidades = $em->getRepository('CmBundle:LicenciaturasTitulacion')
                    ->findOneBy(array('ideLicTit' => $titulacion->getCveLic()));

            $pdf = new PDFTitulacionDirecta('P', 'mm', 'Letter');
            $pdf->AddPage();
            //$pdf->AddFont('Calibri', '', 'calibri.php');
            $pdf->SetFont('Helvetica');
            $pdf->fichaDoctoradoPaginaUno($alumno, $titulacion, $especialidades);
            $pdf->AddPage();
            $pdf->fichaDoctoradoPaginaDos($alumno, $titulacion, $especialidades);

            return new Response($pdf->Output('fichaInscripcionDocorado.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function impFichaTDRAction(Request $request) {
        $session = $request->getSession();
        if (($session->has('ideAlu')) | ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1 || $session->get("rol") == 3 ))) {

            $em = $this->getDoctrine()->getManager();

            $ideAlu = $request->get('ideAlu');
            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('ideAlu' => $ideAlu));


            $pdf = new PDFDoctoradoR('P', 'mm', 'Letter');
            $pdf->AddPage();
            //$pdf->AddFont('Calibri', '', 'calibri.php');
            $pdf->SetFont('Helvetica');
            $pdf->fichaDoctoradoPaginaUno($alumno);

            return new Response($pdf->Output('fichaInscripcionDocorado.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function impConstanciaAction(Request $request) {
        $em = $this->getDoctrine()->getManager();

        $ideAlu = $request->get('ideAlu');
        $alumno = $em->getRepository('CmBundle:Alumnos')
                ->findOneBy(array('ideAlu' => $ideAlu));

        $asignaturas = $em->getRepository('CmBundle:Curriculas')
                ->findBy(array('cveLic' => $alumno->getCveLic()->getIdeLic()));

        $curriculas = $em->getRepository('CmBundle:AlumnosCurriculas')->findBy(array('cveAlu' => $ideAlu, 'cveCur' => $asignaturas));

        /*
         * CALCULAR EL PROMEDIO DE LA BOLETA
         */
        $suma = 0;
        $promedio = 0;
        if ($curriculas != null) {
            foreach ($curriculas as $value) {
                $suma = $suma + ($value->getCalFinal() * 1);
            }
            $promedio = $suma / count($curriculas);
        }


        $pdf = new PDFUtm('P', 'mm', 'Letter');
        $pdf->AddPage();
        //$pdf->AddFont('Calibri', '', 'calibri.php');
        $pdf->SetFont('Helvetica');
        $pdf->generarConstanciaLicenciatura($alumno, $curriculas, $promedio);

        return new Response($pdf->Output('fichaInscripcionDocorado.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
    }

    public function impConstanciaCerAction(Request $request) {
        if ($request->getMethod() == 'POST') {
            $em = $this->getDoctrine()->getManager();

            $cveCtl = $request->get('folio');


            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('cveCtl' => $cveCtl));

            if ($alumno == null) {
                return $this->redirect($this->generateUrl('generar_constancia_certificacion'));
            } else {
                $ideAlu = $alumno->getIdeAlu();

                $asignaturas = $em->getRepository('CmBundle:Curriculas')
                        ->findBy(array('cveLic' => $alumno->getCveLic()->getIdeLic()));

                $curriculas = $em->getRepository('CmBundle:AlumnosCurriculas')->findBy(array('cveAlu' => $ideAlu, 'cveCur' => $asignaturas));

                //OBTENER EL RVOE
                $idePla = "";
                foreach ($curriculas as $key => $value) {
                    $auxAsignatura = $em->getRepository('CmBundle:Curriculas')->findOneBy(array('ideCur' => $value->getCveCur()->getIdeCur()));
                    $idePla = $auxAsignatura->getCvePlan();
                    break;
                }

                $generator = new BarcodeGeneratorPNG();
                $imagenBarra = "data:image/png;base64," . base64_encode($generator->getBarcode($alumno->getCveCtl(), $generator::TYPE_CODE_128));
                $cb = $this->base64_to_png($imagenBarra, 'barras/' . $alumno->getCveCtl() . '.png');

                /*
                 * CALCULAR EL PROMEDIO DE LA BOLETA
                 */
                $suma = 0;
                $promedio = 0;
                if ($curriculas != null) {
                    foreach ($curriculas as $value) {
                        if ($value->getCalFinal() != null) {
                            $suma = $suma + ($value->getCalFinal() * 1);
                        }
                    }
                    $promedio = $suma / count($curriculas);
                }


                $pdf = new PDFUtm('P', 'mm', 'Letter');
                $pdf->AddPage();
                //$pdf->AddFont('Calibri', '', 'calibri.php');
                $pdf->SetFont('Helvetica');
                if ($idePla == null) {
                    return $this->redirect($this->generateUrl('generar_constancia_certificacion'));
                } else {
                    $pdf->generarConstanciaTerminoEstudios($alumno, $idePla->getCvePlan(), $cb);
                    return new Response($pdf->Output('cT_' . $alumno->getCveCtl() . '.pdf', 'I'), 200, array('Content-Type' => 'application/pdf'));
                }
            }
        } else {
            return $this->render("CmBundle:Constancias:vista_ct.html.twig");
        }
    }

    public function vistaEgresadosSEAction(Request $request) {
        if ($request->getMethod() == 'POST') {
            
        } else {

            $em = $this->getDoctrine()->getManager();

            $cveCtl = $request->get('cve');


            $alumno = $em->getRepository('CmBundle:Alumnos')
                    ->findOneBy(array('cveCtl' => $cveCtl));


            return $this->render("CmBundle:Constancias:vista_egresado_ct.html.twig", array('alumno' => $alumno));
        }
    }

    function base64_to_png($base64_string, $output_file) {
        // open the output file for writing
        $ifp = fopen($output_file, 'wb');

        // split the string on commas
        // $data[ 0 ] == "data:image/png;base64"
        // $data[ 1 ] == <actual base64 string>
        $data = explode(',', $base64_string);

        // we could add validation here with ensuring count( $data ) > 1
        fwrite($ifp, base64_decode($data[1]));

        // clean up the file resource
        fclose($ifp);

        return $output_file;
    }

}
