<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use CmBundle\Entity\LicNivAca;
use CmBundle\Entity\NivelesAcademicos;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of NivelesAcademicosController
 *
 * @author omar
 */
class NivelesAcademicosController extends Controller {

    //put your code here
    public function nivelesLicAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            $session->set("vista", "alumno");
            if ($request->getMethod() == "POST") {
                
                $em = $this->getDoctrine()->getManager();
                
                $nivelAcademico = $request->get('nA');
                $listaLic = $request->get('lLic');
                
                $nivel = $em->getRepository('CmBundle:NivelesAcademicos')
                        ->findOneBy(array('ideNivAca' => $nivelAcademico) );
                foreach ($listaLic as $value) {
                    $licenciatura = $em->getRepository('CmBundle:Licenciaturas')
                        ->findOneBy(array('ideLic' => $value) );
                    
                    $nivLic = new LicNivAca();
                    $nivLic->setCveLic($licenciatura);
                    $nivLic->setCveNivAca($nivel);
                    $nivLic->setEstatus(1);
                    $em->persist($nivLic);
                    $em->flush();
                }
                
                $relacion = $em->getRepository('CmBundle:LicNivAca')
                        ->findBy(array('cveNivAca' => $nivelAcademico) );

                return $this->render('CmBundle:Niveles:niveles-lic-tabla.html.twig', array(
                            'relacion' => $relacion
                ));
            } else {
                // Renderizar formulario de Niveles Académicos
                $em = $this->getDoctrine()->getManager();

                $niveles = $em->getRepository('CmBundle:NivelesAcademicos')->findAll();
                $licenciaturas = $em->getRepository('CmBundle:Licenciaturas')->findAll();

                return $this->render('CmBundle:Niveles:niveles-lic.html.twig', array(
                            'niveles' => $niveles,
                            'licenciaturas' => $licenciaturas
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }
    
    public function nivelesLicCargarAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            $session->set("vista", "alumno");
            if ($request->getMethod() == "POST") {
                
                $em = $this->getDoctrine()->getManager();
                
                $nivelAcademico = $request->get('nA');
                
                $relacion = $em->getRepository('CmBundle:LicNivAca')
                        ->findBy(array('cveNivAca' => $nivelAcademico) );

                return $this->render('CmBundle:Niveles:niveles-lic-tabla.html.twig', array(
                            'relacion' => $relacion
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

}
