<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

//use FPDF;
use FPDI;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFFusion
 *
 * @author Lenovo
 */
class PDFFusion {

    //put your code here

    function unirPDFS($files) {
        //$files = ['archivo/19460001-an.pdf', 'archivo/19460001-cs.pdf', 'archivo/19460001-curp.pdf'];

        $pdf = new FPDI();

        $bandera = 0;
        // iterate over array of files and merge
        foreach ($files as $file) {
            if ($file[3]->getAsistenciaAsesorias() == 1 & $file[3]->getTramite() == "En Trámite") {
                $bandera = 1;

                $acta = "archivo/" . $file[0]->getCveCtl() . "-an.pdf";
                if (file_exists($acta)) {
                    $pageCount = $pdf->setSourceFile($acta);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->addPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'ACTA DE NACIMIENTO, NO digitalizada.');
                }

                $cerS = "archivo/" . $file[0]->getCveCtl() . "-cs.pdf";
                if (file_exists($cerS)) {
                    $pageCount = $pdf->setSourceFile($cerS);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->AddPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'CERTIFICADO DE SECUNDARIA, NO digitalizada.');
                }

                $curp = "archivo/" . $file[0]->getCveCtl() . "-curp.pdf";
                if (file_exists($curp)) {
                    $pageCount = $pdf->setSourceFile($curp);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->AddPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'CURP, NO digitalizada.');
                }
            }
        }

        if ($bandera == 0) {
            $pdf->AddPage();
            $pdf->SetFont('Helvetica');
            $pdf->SetTextColor(255, 0, 0);
            $pdf->SetXY(30, 30);
            $pdf->Write(0, utf8_decode('NO HAY TRAMITES MARCADOS PARA INICIAR SU CERTIFICACIÓN'));
        }

        // output the pdf as a file (http://www.fpdf.org/en/doc/output.htm)
        $pdf->Output('D', 'expediente.pdf');
    }

    function unirItecPDFS($files) {
        //$files = ['archivo/19460001-an.pdf', 'archivo/19460001-cs.pdf', 'archivo/19460001-curp.pdf'];

        $pdf = new FPDI();

        // iterate over array of files and merge
        foreach ($files as $file) {
            if ($file[3]->getAsistenciaAsesorias() == 2 & $file[3]->getTramite() == "En Trámite") {
                $acta = "archivo/" . $file[0]->getCveCtl() . "-an.pdf";
                if (file_exists($acta)) {
                    $pageCount = $pdf->setSourceFile($acta);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->addPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'ACTA DE NACIMIENTO, NO digitalizada.');
                }

                $cerS = "archivo/" . $file[0]->getCveCtl() . "-cs.pdf";
                if (file_exists($cerS)) {
                    $pageCount = $pdf->setSourceFile($cerS);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->AddPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'CERTIFICADO DE SECUNDARIA, NO digitalizada.');
                }

                $curp = "archivo/" . $file[0]->getCveCtl() . "-curp.pdf";
                if (file_exists($curp)) {
                    $pageCount = $pdf->setSourceFile($curp);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->AddPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'CURP, NO digitalizada.');
                }
            }
        }

        // output the pdf as a file (http://www.fpdf.org/en/doc/output.htm)
        $pdf->Output('D', 'expedienteITEC.pdf');
    }
    
    function unirUninetPDFS($files) {
        //$files = ['archivo/19460001-an.pdf', 'archivo/19460001-cs.pdf', 'archivo/19460001-curp.pdf'];

        $pdf = new FPDI();

        // iterate over array of files and merge
        foreach ($files as $file) {
            if ($file[3]->getAsistenciaAsesorias() == 3 & $file[3]->getTramite() == "En Trámite") {
                $acta = "archivo/" . $file[0]->getCveCtl() . "-an.pdf";
                if (file_exists($acta)) {
                    $pageCount = $pdf->setSourceFile($acta);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->addPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'ACTA DE NACIMIENTO, NO digitalizada.');
                }

                $cerS = "archivo/" . $file[0]->getCveCtl() . "-cs.pdf";
                if (file_exists($cerS)) {
                    $pageCount = $pdf->setSourceFile($cerS);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->AddPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'CERTIFICADO DE SECUNDARIA, NO digitalizada.');
                }

                $curp = "archivo/" . $file[0]->getCveCtl() . "-curp.pdf";
                if (file_exists($curp)) {
                    $pageCount = $pdf->setSourceFile($curp);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->AddPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'CURP, NO digitalizada.');
                }
            }
        }

        // output the pdf as a file (http://www.fpdf.org/en/doc/output.htm)
        $pdf->Output('D', 'expedienteUNINET.pdf');
    }

    function revisarPDFS($files) {
        //$files = ['archivo/19460001-an.pdf', 'archivo/19460001-cs.pdf', 'archivo/19460001-curp.pdf'];

        $pdf = new FPDI();

        // iterate over array of files and merge
        foreach ($files as $file) {
            if ($file[3]->getTramite() == "") {
                $acta = "archivo/" . $file[0]->getCveCtl() . "-an.pdf";
                if (file_exists($acta)) {
                    $pageCount = $pdf->setSourceFile($acta);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->addPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'ACTA DE NACIMIENTO, NO digitalizada.');
                }

                $cerS = "archivo/" . $file[0]->getCveCtl() . "-cs.pdf";
                if (file_exists($cerS)) {
                    $pageCount = $pdf->setSourceFile($cerS);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->AddPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'CERTIFICADO DE SECUNDARIA, NO digitalizada.');
                }

                $curp = "archivo/" . $file[0]->getCveCtl() . "-curp.pdf";
                if (file_exists($curp)) {
                    $pageCount = $pdf->setSourceFile($curp);
                    for ($i = 0; $i < $pageCount; $i++) {
                        $tpl = $pdf->importPage($i + 1, '/MediaBox');
                        $pdf->addPage();
                        $pdf->useTemplate($tpl);
                    }
                } else {
                    $pdf->AddPage();
                    $pdf->SetFont('Helvetica');
                    $pdf->SetTextColor(255, 0, 0);
                    $pdf->SetXY(30, 30);
                    $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                    $pdf->SetXY(30, 35);
                    $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                    $pdf->SetXY(30, 40);
                    $pdf->Write(0, 'CURP, NO digitalizada.');
                }
            }
        }

        // output the pdf as a file (http://www.fpdf.org/en/doc/output.htm)
        $pdf->Output('I', 'expediente.pdf');
    }

    function unicoPDFS($files) {
        //$files = ['archivo/19460001-an.pdf', 'archivo/19460001-cs.pdf', 'archivo/19460001-curp.pdf'];

        $pdf = new FPDI();

        // iterate over array of files and merge
        foreach ($files as $file) {

            $acta = "archivo/" . $file[0]->getCveCtl() . "-an.pdf";
            if (file_exists($acta)) {
                $pageCount = $pdf->setSourceFile($acta);
                for ($i = 0; $i < $pageCount; $i++) {
                    $tpl = $pdf->importPage($i + 1, '/MediaBox');
                    $pdf->addPage();
                    $pdf->useTemplate($tpl);
                }
            } else {
                $pdf->addPage();
                $pdf->SetFont('Helvetica');
                $pdf->SetTextColor(255, 0, 0);
                $pdf->SetXY(30, 30);
                $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                $pdf->SetXY(30, 35);
                $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                $pdf->SetXY(30, 40);
                $pdf->Write(0, 'ACTA DE NACIMIENTO, NO digitalizada.');
            }

            $cerS = "archivo/" . $file[0]->getCveCtl() . "-cs.pdf";
            if (file_exists($cerS)) {
                $pageCount = $pdf->setSourceFile($cerS);
                for ($i = 0; $i < $pageCount; $i++) {
                    $tpl = $pdf->importPage($i + 1, '/MediaBox');
                    $pdf->addPage();
                    $pdf->useTemplate($tpl);
                }
            } else {
                $pdf->AddPage();
                $pdf->SetFont('Helvetica');
                $pdf->SetTextColor(255, 0, 0);
                $pdf->SetXY(30, 30);
                $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                $pdf->SetXY(30, 35);
                $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                $pdf->SetXY(30, 40);
                $pdf->Write(0, 'CERTIFICADO DE SECUNDARIA, NO digitalizada.');
            }

            $curp = "archivo/" . $file[0]->getCveCtl() . "-curp.pdf";
            if (file_exists($curp)) {
                $pageCount = $pdf->setSourceFile($curp);
                for ($i = 0; $i < $pageCount; $i++) {
                    $tpl = $pdf->importPage($i + 1, '/MediaBox');
                    $pdf->addPage();
                    $pdf->useTemplate($tpl);
                }
            } else {
                $pdf->AddPage();
                $pdf->SetFont('Helvetica');
                $pdf->SetTextColor(255, 0, 0);
                $pdf->SetXY(30, 30);
                $pdf->Write(0, 'ALUMNO: ' . $file[0]->getNomAlu() . " " . $file[0]->getApePat() . " " . $file[0]->getApeMat());
                $pdf->SetXY(30, 35);
                $pdf->Write(0, 'CLAVE ALUMNO: ' . $file[0]->getCveCtl());
                $pdf->SetXY(30, 40);
                $pdf->Write(0, 'CURP, NO digitalizada.');
            }
        }

        // output the pdf as a file (http://www.fpdf.org/en/doc/output.htm)
        $pdf->Output('I', 'expediente.pdf');
    }

}
