<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use FPDF;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFBoleta
 *
 * @author Lenovo
 */
class PDFRequisicion extends FPDF {

    //put your code here
    public function generarFormato($p, $r, $datos) {
        //$this->Image('images/EncabezadoOk.png', 0, 0, 216);
        $this->Image('images/mg1.png', 0, 0, 216);
        //$this->Image('images/pieOK.png', 0, 250, 216);
        $this->SetAutoPageBreak(true, 5);
        $this->SetFont('Arial', 'B', 13);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(0, 5, utf8_decode($p->getNomPla()), 0, 0, 'R', false);
        $this->Ln(25);
        $this->SetFont('Arial', 'B', 13);
        $this->SetTextColor(50, 79, 34);
        $this->Cell(0, 5, utf8_decode("REQUISICIÓN"), 0, 0, 'C', false);
        $this->Ln();
        $this->SetFont('Arial', 'B', 10);
        $this->SetTextColor(255, 255, 255);
        $this->Cell(10, 5, utf8_decode("N.C."), 1, 0, 'C', true);
        $this->Cell(25, 5, utf8_decode("CANTIDAD"), 1, 0, 'C', true);
        $this->Cell(25, 5, utf8_decode("UNIDAD"), 1, 0, 'C', true);
        $this->Cell(50, 5, utf8_decode("PRODUCTO"), 1, 0, 'C', true);
        $this->Cell(0, 5, utf8_decode("OBSERVACIONES"), 1, 0, 'C', true);
        $this->Ln();
        $this->SetFont('Arial', '', 10);
        $this->SetTextColor(0, 0, 0);

        switch ($x = 1) {
            case 1:

            case 2:
        }


        foreach ($datos as $k => $v) {
            $this->Cell(10, 5, utf8_decode($k + 1), 1, 0, 'C', false);
            $this->Cell(25, 5, utf8_decode($v->getCantidad()), 1, 0, 'C', false);
            switch ($v->getUnidad()) {
                case 1:
                    $this->Cell(25, 5, utf8_decode("Pieza(s)"), 1, 0, 'C', false);
                    break;
                case 2:
                    $this->Cell(25, 5, utf8_decode("Caja(s)"), 1, 0, 'C', false);
                    break;
                case 3:
                    $this->Cell(25, 5, utf8_decode("Litro(s)"), 1, 0, 'C', false);
                    break;
                case 4:
                    $this->Cell(25, 5, utf8_decode("Paquete(s)"), 1, 0, 'C', false);
                    break;
                case 5:
                    $this->Cell(25, 5, utf8_decode("Kilo(s)"), 1, 0, 'C', false);
                    break;
            }

            $producto = $v->getCvePro()->getNomPro();

            if (strlen($producto) > 18) {
                $this->SetFont('Arial', '', 8);
                $this->Cell(50, 5, utf8_decode($producto), 1, 0, 'C', false);
                $this->SetFont('Arial', '', 10);
            } else {
                $this->Cell(50, 5, utf8_decode($producto), 1, 0, 'C', false);
            }
            $this->Cell(0, 5, utf8_decode($v->getObservaciones()), 1, 0, 'C', false);
            $this->Ln();
        }
    }

}
