<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use FPDF;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of PDFServiciosEscolares
 *
 * @author OMAR
 */
class PDFServiciosEscolares extends FPDF {

    //put your code here

    function Header() {
        $this->Image('images/mg1.png', 0, 0, 216);
        $this->SetFont('Arial', 'B', 10);
        $this->Cell(0, 5, utf8_decode(""), 0, 0, "C", false);
        $this->SetY(35);
    }

    function Footer() {
        // Posición: a 1.8 cm del final
        $this->SetY(-18);
        $this->Cell(0, 5, utf8_decode(""), 0, 0, "C", false);
        $this->Ln();
        $this->SetFont('Arial', 'B', 10);
        //99,98,98
        $this->SetTextColor(105, 104, 104);
        $this->Cell(0, 5, utf8_decode("Página | " . $this->PageNo()), 0, 0, "R", false);
        $this->SetTextColor(0, 0, 0);
        $this->Ln();
        $this->Cell(0, 5, utf8_decode(""), 0, 0, "C", false);
    }

    function ReporteDocumentos($datos) {
        $this->SetDrawColor(95, 158, 160); //CADETEBLUE
        $this->Cell(0, 5, utf8_decode("REPORTE DE DOCUMENTOS"), 0, 0, "C", false);
        $this->Ln();

        //rgb(17,71,99)
        $this->SetFillColor(17, 71, 99);
        $this->SetTextColor(255, 2255, 255);
        $this->SetFont('', 'B', '');

//        //INICIA ENCABEZADOS
//
//        $this->SetFillColor(17, 71, 99);
//        $this->SetTextColor(255, 2255, 255);
//        $this->SetFont('', 'B', '');
//
//        $this->Cell(0, 5, utf8_decode("PLANTEL"), 1, 0, 'L', true);
//        $this->Ln();
//        $this->Cell(10, 10, utf8_decode("N.C."), 1, 0, "R", true);
//        $this->Cell(90, 10, utf8_decode("NOMBRE DEL ALUMNO"), 1, 0, "L", true);
//        $this->SetFont('', 'B', '6');
//        $this->Cell(18, 5, utf8_decode(""), 1, 0, "L", true);
//        $this->SetFont('', 'B', '8');
//        $this->Cell(0, 5, utf8_decode("DOCUMENTOS DIGITALIZADOS"), 1, 0, "C", true);
//        $this->Ln();
//        $this->Cell(100, 5, utf8_decode(""), 0, 0, "C", false);
//        $this->Cell(6, 5, utf8_decode("X"), 1, 0, "C", true);
//        $this->Cell(6, 5, utf8_decode("N"), 1, 0, "C", true);
//        $this->Cell(6, 5, utf8_decode("C°"), 1, 0, "C", true);
//        $this->Cell(10, 5, utf8_decode("A.N."), 1, 0, "C", true);
//        $this->Cell(10, 5, utf8_decode("C.B."), 1, 0, "C", true);
//        $this->Cell(10, 5, utf8_decode("CURP"), 1, 0, "C", true);
//        $this->Cell(10, 5, utf8_decode("INE"), 1, 0, "C", true);
//        $this->Cell(10, 5, utf8_decode("C.L."), 1, 0, "C", true);
//        $this->Cell(10, 5, utf8_decode("T.M."), 1, 0, "C", true);
//        $this->Cell(0, 5, utf8_decode(""), 1, 0, "C", true);
//
//        $this->SetTextColor(0, 0, 0);
//        $this->SetFont('', '', '10');
//        $this->Ln();
//        //TERMINA ENCABEZADO

        $nomEspecialidad = "";
        $numCuatrimestre = 0;
        $index = 1;

        foreach ($datos as $k => $a) {

            $auxValidar = $a[0]->getCveLic()->getCveNivAca()->getNombre() . " EN " . $a[0]->getCveLic()->getNomLic();

            if ($nomEspecialidad == $auxValidar & $numCuatrimestre == $a[0]->getNumero()) {
                
            } else {
                $nomEspecialidad = $auxValidar;
                $numCuatrimestre = $a[0]->getNumero();

                if ($k > 1) {//VALIDAR SI ES NECESARIO CREAR UN SEPARADOR DE TABLAS
                    $this->Cell(0, 10, utf8_decode(""), 0, 0, "C", false);
                    $this->Ln();
                }
                $index = 1;

                //INICIA ENCABEZADOS

                $this->SetFillColor(17, 71, 99);
                $this->SetTextColor(255, 2255, 255);
                $this->SetFont('', 'B', '10');

                $this->Cell(0, 5, utf8_decode("PLANTEL: " . $a[0]->getCvePla()->getNomPla()), 1, 0, 'L', true);
                $this->Ln();
                $this->Cell(150, 5, utf8_decode($a[0]->getCveLic()->getCveNivAca()->getNombre() . ": " . $a[0]->getCveLic()->getNomLic()), 1, 0, 'L', true);
                $this->Cell(0, 5, utf8_decode("CUATRIEMSTRE: " . $a[0]->getNumero() . "°"), 1, 0, 'L', true);
                $this->Ln();

                $this->Cell(10, 10, utf8_decode("N.C."), 1, 0, "R", true);
                $this->Cell(90, 10, utf8_decode("NOMBRE DEL ALUMNO"), 1, 0, "L", true);
                $this->SetFont('', 'B', '6');
                $this->Cell(18, 5, utf8_decode(""), 1, 0, "L", true);
                $this->SetFont('', 'B', '8');
                $this->Cell(0, 5, utf8_decode("DOCUMENTOS DIGITALIZADOS"), 1, 0, "C", true);
                $this->Ln();
                $this->Cell(100, 5, utf8_decode(""), 0, 0, "C", false);
                $this->Cell(6, 5, utf8_decode("X"), 1, 0, "C", true);
                $this->Cell(6, 5, utf8_decode("N"), 1, 0, "C", true);
                $this->Cell(6, 5, utf8_decode("C°"), 1, 0, "C", true);
                $this->Cell(10, 5, utf8_decode("A.N."), 1, 0, "C", true);
                $this->Cell(10, 5, utf8_decode("C.B."), 1, 0, "C", true);
                $this->Cell(10, 5, utf8_decode("CURP"), 1, 0, "C", true);
                $this->Cell(10, 5, utf8_decode("INE"), 1, 0, "C", true);
                $this->Cell(10, 5, utf8_decode("C.L."), 1, 0, "C", true);
                $this->Cell(10, 5, utf8_decode("T.M."), 1, 0, "C", true);
                $this->Cell(0, 5, utf8_decode(""), 1, 0, "C", true);

                $this->SetTextColor(0, 0, 0);
                $this->SetFont('', '', '10');
                $this->Ln();
                //TERMINA ENCABEZADO
            }


            //$this->Cell(10, 5, utf8_decode($k + 1), 1, 0, "R", false);
            $this->Cell(10, 5, utf8_decode($index), 1, 0, "R", false);

            $nomAlumno = $a[0]->getApePat() . " " . $a[0]->getApeMat() . " " . $a[0]->getNomAlu();
            $lonNomAlu = strlen($nomAlumno);

            if ($lonNomAlu >= 40 & $lonNomAlu < 45) {
                $this->SetFontSize(9);
            } elseif ($lonNomAlu >= 45 & $lonNomAlu < 50) {
                $this->SetFontSize(8);
            } elseif ($lonNomAlu >= 50) {
                $this->SetFontSize(7);
            } else {
                $this->SetFontSize(10);
            }
            $this->Cell(90, 5, utf8_decode($nomAlumno), 1, 0, "L", false);
            $this->SetFontSize(10);
            if ($a[0]->getSexo() == 1) {
                //ES MUJER
                $this->SetFillColor(230, 0, 136);
            } else {
                //ES HOMBRE
                $this->SetFillColor(0, 142, 214);
            }
            $this->Cell(6, 5, utf8_decode(""), 1, 0, "C", true); //COLOREAR LA CELDA DEL GÉNERO
            if ($a[0]->getTipoAlumno() == 1) {
                $this->Cell(6, 5, utf8_decode("B"), 1, 0, "C", false);
            } elseif ($a[0]->getTipoAlumno() == 3) {
                $this->Cell(6, 5, utf8_decode("L"), 1, 0, "C", false);
            } elseif ($a[0]->getTipoAlumno() == 4) {
                $this->Cell(6, 5, utf8_decode("M"), 1, 0, "C", false);
            } elseif ($a[0]->getTipoAlumno() == 5) {
                $this->Cell(6, 5, utf8_decode("D"), 1, 0, "C", false);
            } else {
                $this->Cell(6, 5, utf8_decode("*"), 1, 0, "C", true);
            }

            $this->Cell(6, 5, utf8_decode($a[0]->getNumero() . "°"), 1, 0, "C", false);


            if (array_key_exists('A.N.', $a[5])) {
                if ($a[5]['A.N.'] == "NO") {
                    $this->Cell(10, 5, utf8_decode("---"), 1, 0, "C", false);
                } else {
                    $this->Cell(10, 5, utf8_decode(1), 1, 0, "C", false);
                }
            } else {
                $this->Cell(10, 5, utf8_decode("/"), 1, 0, "C", false);
            }

            if (array_key_exists('C.B.', $a[5])) {
                if ($a[5]['C.B.'] == "NO") {
                    $this->Cell(10, 5, utf8_decode("---"), 1, 0, "C", false);
                } else {
                    $this->Cell(10, 5, utf8_decode(1), 1, 0, "C", false);
                }
            } else {
                $this->Cell(10, 5, utf8_decode("/"), 1, 0, "C", false);
            }

            if (array_key_exists('CURP', $a[5])) {
                if ($a[5]['CURP'] == "NO") {
                    $this->Cell(10, 5, utf8_decode("---"), 1, 0, "C", false);
                } else {
                    $this->Cell(10, 5, utf8_decode("1"), 1, 0, "C", false);
                }
            } else {
                $this->Cell(10, 5, utf8_decode("/"), 1, 0, "C", false);
            }



            $this->Cell(10, 5, utf8_decode(""), 1, 0, "C", false);
            $this->Cell(10, 5, utf8_decode(""), 1, 0, "C", false);
            $this->Cell(0, 5, utf8_decode(""), 1, 0, "C", false);

            $this->Ln();
            $index++;
        }
    }

    function ReporteCalificaciones() {
        $this->Ln();
        $this->Cell(0, 10, utf8_decode("REPORTE DE CALIFICACIONES"));
        $this->Ln();
    }

    function ReporteBlanco() {
        $this->Ln();
        $this->Cell(0, 10, utf8_decode("FALTÓ ELEGIR LA OPCIÓN DE TIPO DE REPORTE"));
        $this->Ln();
    }

}
