<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use CmBundle\Entity\Planteles;


date_default_timezone_set('America/Mexico_City');

/**
 * Description of PlantelController
 *
 * @author omar
 */
class PlantelController extends Controller{
    //put your code here
    public function altaPlantelAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)  ) {
            $session->set("vista", "plantel");
            if($request->getMethod() == "POST"){
                
                $em = $this->getDoctrine()->getManager();
                
                $cct = $request->get('cct');
                $cvePla = $request->get('cvePla');
                $nomPla = $request->get('nomPla');
                $edo = $request->get('edoEsc');
                $munDel = $request->get('munEsc');
                $calle = $request->get('calle');
                $numExt = $request->get('numExt');
                $numInt = $request->get('numInt');
                $colLoc = $request->get('colonia');
                $cp = $request->get('codPos');
                $tel = $request->get('telEsc');
                $correo = $request->get('correo');
                $nomDir = $request->get('director');
                $nomSub = $request->get('subdirector');
                
                $tipo = $request->get('estatus');
                $estatus = $em->getRepository('CmBundle:Estatus')
                        ->findOneBy(array('ideEst' => $tipo));
                
                $plantel = new Planteles();
                $plantel->setCvePla($cvePla);
                $plantel->setCct($cct);
                $plantel->setNomPla($nomPla);
                $plantel->setEdo($edo);
                $plantel->setMunDel($munDel);
                $plantel->setCalle($calle);
                $plantel->setNumExt($numExt);
                $plantel->setNumInt($numInt);
                $plantel->setColLoc($colLoc);
                $plantel->setCp($cp);
                $plantel->setTel($tel);
                $plantel->setCorreo($correo);
                $plantel->setNomDir($nomDir);
                $plantel->setNomSub($nomSub);
                $plantel->setEstatus($estatus);
                
                $plantel->setFecMov(new \DateTime(date('Y-m-d') ) );
                $plantel->setCveUsu( $session->get('identificador') );
                                
                $em->persist($plantel);
                $em->flush();
                
                return $this->redirect($this->generateUrl('consulta_plantel'));
            }else{
                // Renderizar formulario de Estatus
                $em = $this->getDoctrine()->getManager();
            
                $estatus = $em->getRepository('CmBundle:Estatus')->findAll();
                return $this->render('CmBundle:Plantel:alta-plantel.html.twig',array('estatus' => $estatus));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }
    
    public function consultaPlantelAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)  ) {
            $session->set("vista", "plantel");
            
            $em = $this->getDoctrine()->getManager();
            
            $planteles = $em->getRepository('CmBundle:Planteles')->findAll();
            return $this->render('CmBundle:Plantel:consulta-plantel.html.twig',array('planteles' => $planteles) );
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }
    
}
