<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
use CmBundle\Entity\Profesores;
use CmBundle\Entity\Cursos;
use CmBundle\Entity\Empleados;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of ProfesorController
 *
 * @author omar
 */
class ProfesorController extends Controller {

    //put your code here
    public function gProfesorAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            $session->set("vista", "profesor");
            if ($request->getMethod() == "POST") {

                $em = $this->getDoctrine()->getManager();

                $rfc = $request->get('rfc');
                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $nomPro = $request->get('nomPro');
                $usuario = $rfc;
                $password = $rfc;
                $estatus = 1;

                $profesor = new Profesores();
                $profesor->setRfc($rfc);
                $profesor->setApePat($apePat);
                $profesor->setApeMat($apeMat);
                $profesor->setNomPro($nomPro);
                $profesor->setUsuario($usuario);
                $profesor->setPassword($password);
                $profesor->setEstatus($estatus);

                $em->persist($profesor);
                $em->flush();

                /* $estatus = $em->getRepository('CmBundle:Estatus')
                  ->findOneBy(array('cveEst' => 'E1'));
                 * 
                 */

                /* $empleado = new Empleados();
                  $empleado->setNomEmp($nombre);
                  $empleado->setApePat("");
                  $empleado->setApeMat("");
                  $empleado->setCveEmp($rfc);
                  $empleado->setRolEmp(1);
                  $empleado->setCargo('PROFESOR');
                  $empleado->setPass('0000');
                  $empleado->setCamPass(0);
                  $empleado->setTelefono("");
                  $empleado->setCorreo("");
                  $empleado->setCalle("");
                  $empleado->setColLoc("");
                  $empleado->setMunDel("");
                  $empleado->setEdo("");
                  $empleado->setCp("");
                  $empleado->setFecIng(new \DateTime( date('Y-m-d') ));
                  $empleado->setEstatus($estatus);
                  $empleado->setFecMov(new \DateTime( date('Y-m-d') ));
                  $empleado->setCveUsu($session->get('idEmpleado'));

                  $em->persist($empleado);
                  $em->flush(); */

                return $this->redirect($this->generateUrl('consulta_profesor'));
            } else {
                // Renderizar formulario de RS
                $em = $this->getDoctrine()->getManager();

                return $this->render('CmBundle:Profesor:alta-profesor.html.twig');
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function cProfesorAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            $session->set("vista", "profesor");

            $em = $this->getDoctrine()->getManager();
            $listaProfesores = $em->getRepository('CmBundle:Profesores')
                    ->findAll();
            return $this->render('CmBundle:Profesor:consulta-profesor.html.twig', array('profesores' => $listaProfesores));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function eProfesorAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            if ($request->getMethod() == 'POST') {
                $em = $this->getDoctrine()->getManager();

                $profe = $em->getRepository('CmBundle:Profesores')
                        ->findOneBy(array('idePro' => $request->get('idePro')));

                $especialidad = $em->getRepository('CmBundle:Licenciaturas')
                        ->findOneBy(array('ideLic' => $request->get('cveLic')));

                $profe->setEmail($request->get('email'));
                $profe->setCelular($request->get('celular'));
                $profe->setCedula($request->get('cedula'));
                $profe->setNomPro($request->get('nomPro'));
                $profe->setApePat($request->get('apePat'));
                $profe->setApeMat($request->get('apeMat'));

                if ($especialidad != null) {
                    $profe->setCveLic($especialidad);
                } else {
                    
                }

                $em->persist($profe);
                $em->flush();

                return $this->redirect($this->generateUrl('editar_profesor', array('idePro' => $profe->getIdePro())));
            } else {
                $em = $this->getDoctrine()->getManager();
                $profe = $em->getRepository('CmBundle:Profesores')
                        ->findOneBy(array('idePro' => $request->get('idePro')));
                $especialidades = $em->getRepository('CmBundle:Licenciaturas')
                        ->findBy(array('cveNivAca' => array(3, 4, 5)), array('cveNivAca' => 'ASC'));

                return $this->render('CmBundle:Profesor:actualizarDatosProfesor.html.twig', array(
                            'profe' => $profe,
                            'especialidades' => $especialidades
                ));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function ajaxProfesorAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            if ($request->getMethod() == 'POST') {
                $em = $this->getDoctrine()->getManager();

                $profe = $em->getRepository('CmBundle:Profesores')
                        ->findOneBy(array('rfc' => $request->get('rfc')));

                $banderaExiste = 0;

                if ($profe != null) {
                    //SI EXISTE
                    $banderaExiste = 1;
                } else {
                    //NO EXISTE
                    $banderaExiste = 0;
                }

                return $this->render('CmBundle:Profesor:rfcExiste.html.twig', array('ban' => $banderaExiste));
            } else {
                
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function vCalificacionAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && ($session->get("rol") == 2 || $session->get("rol") == 1)) {
            $session->set("vista", "profesor");

            $em = $this->getDoctrine()->getManager();
            $listaProfesores = $em->getRepository('CmBundle:Profesores')
                    ->findAll();
            return $this->render('CmBundle:Profesor:vista-calificacion.html.twig', array('profesores' => $listaProfesores));
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

}
