<?php

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

namespace CmBundle\Controller;

use Symfony\Bundle\FrameworkBundle\Controller\Controller;
use Symfony\Component\HttpFoundation\Request;
//use CmBundle\Entity\Empleados;
use Ob\HighchartsBundle\Highcharts\Highchart;

date_default_timezone_set('America/Mexico_City');

/**
 * Description of SeguridadController
 *
 * @author omar
 */
class SeguridadController extends Controller {

    //put your code here
    public function loginAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($session->get("rol") == 2) { // PUBLICIDAD
                return $this->render('CmBundle:Seguridad:login.html.twig');
            }
            if ($session->get("rol") == 1) { // ADMIN
                return $this->render('CmBundle:Seguridad:login.html.twig');
            }
            if ($session->get("rol") == 3) { // CAJA
                return $this->render('CmBundle:Seguridad:login.html.twig');
            }
            if ($session->get("rol") == 99) { // CONTADOR
                return $this->render('CmBundle:Seguridad:login.html.twig');
            }
            if ($session->get("rol") == 200) { // OSCAR o ALE
                return $this->render('CmBundle:Seguridad:login.html.twig');
            }
            if ($session->get("rol") == 101) { // DIRECCIÓN GENERAL (Lic. Alejandra Trigos)
                return $this->render('CmBundle:Seguridad:login.html.twig');
            }
            if ($session->get("rol") == 77) { // KENIA: TITULACION
                return $this->render('CmBundle:Seguridad:login.html.twig');
            }
            if ($session->get("rol") == 127) { // LULU
                return $this->render('CmBundle:Lulu:homeLulu.html.twig');
            }
            if ($session->get("rol") == 128) { // ITEC
                return $this->render('CmBundle:ITEC:homeITEC.html.twig');
            }
            if ($session->get("rol") == 129) { // UNINET
                return $this->render('CmBundle:UNINET:homeUNINET.html.twig');
            }
            if ($session->get("rol") == 333) { // SERVICIOS ESCOLARES
                return $this->render('CmBundle:SE:homeITEC.html.twig');
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function indexAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado")) {
            if ($session->get("rol") == "alumno") { // ALUMNO
                $em = $this->getDoctrine()->getEntityManager();
                $alumno = $em->getRepository('CmBundle:Alumnos')
                        ->findOneBy(array('ideAlu' => $session->get('idEmpleado')));
                return $this->render('CmBundle:Seguridad:homeAlumnoMoodle.html.twig', array(
                            'a' => $alumno
                ));
            }
            if ($session->get("rol") == "profesor") { // PROFESOR
                $em = $this->getDoctrine()->getEntityManager();
                $profesor = $em->getRepository('CmBundle:Profesores')
                        ->findOneBy(array('idePro' => $session->get('idEmpleado')));
                return $this->render('CmBundle:Seguridad:homeProfesorMoodle.html.twig', array(
                            'p' => $profesor
                ));
            }
            if ($session->get("rol") == 2) { // PUBLICIDAD
                /* $ob1 = $this->graficaUno();
                  $ob2 = $this->graficaDos();

                  return $this->render('CmBundle:Seguridad:home.html.twig', array(
                  'chart' => $ob1,
                  'chart2' => $ob2
                  ));
                 * 
                 */
                return $this->redirect($this->generateUrl('reporte_fin_de_mes_sistemas'));
            }
            if ($session->get("rol") == 1) { // ADMIN
                $session->set("vista", "home");

                $ob1 = $this->graficaUno();
                $ob2 = $this->graficaDos();

                return $this->render('CmBundle:Seguridad:home.html.twig', array(
                            'chart' => $ob1,
                            'chart2' => $ob2
                ));
            }
            if ($session->get("rol") == 69) { // EXAMEN UNICO EXTERNO
                return $this->redirect($this->generateUrl('home_eu_externos'));
            }
            if ($session->get("rol") == 3 || $session->get("rol") == 99) { // CAJA
                $em = $this->getDoctrine()->getEntityManager();
                $fechaMov = date("Y-m-d");
                $ingresos = $em->getRepository('CmBundle:Ingresos')
                        ->findBy(array('fecMov' => new \DateTime($fechaMov), 'cveUsu' => $session->get("identificador")));
                $dql = "SELECT i.descripcion, COUNT(i.descripcion) cantidad,SUM(i.total) total "
                        . "FROM CmBundle:Ingresos i "
                        . "WHERE i.fecMov = :fec "
                        . "AND i.cveUsu = :usu "
                        . "GROUP BY i.descripcion";
                $query = $em->createQuery($dql);
                $query->setParameter('fec', date('Y-m-d'));
                $query->setParameter('usu', $session->get("identificador"));
                $ingresosDos = $query->getResult();

                $otros = $em->getRepository('CmBundle:CostoTramites')->findAll();

                ///////////////////////
//                $usuario = "tecmexi1_cajaUsr";
//                $contrasena = "tecmexi1_cajaUsr123$";
//                $servidor = "localhost";
//                $basededatos = "tecmexi1_cajabase";
//
//                $conexion = mysqli_connect($servidor, $usuario, $contrasena) or die("No se ha podido conectar al servidor de Base de datos");
//                $db = mysqli_select_db($conexion, $basededatos) or die("Upps! Pues va a ser que no se ha podido conectar a la base de datos");
//
//                $consulta = "SELECT * FROM alumnos";
//                $alumnos = mysqli_query($conexion, $consulta) or die("Algo ha ido mal en la consulta a la base de datos");
//
//                $listaAlumnos = [];
//                while ($columna = mysqli_fetch_array($alumnos)) {
//                    //print_r($columna);
//                    $listaAlumnos[] = array($columna['ape_pat'], $columna['ape_mat'], $columna['nom_alu'], $columna['cve_ctl']);
//                    //print_r("<br>");
//                }
                /////////////////////////
                // VERIFICAR QUE LOS PALNTELES NO SEAN FORANEOS
                $empleado = $em->getRepository('CmBundle:Empleados')
                        ->findOneBy(array('cveEmp' => $session->get('idEmpleado')));

                //print_r($empleado->getCvePlantel()->getNomPla());
                $alumnos = "";
                if ($empleado->getCvePlantel()->getExterno() == 0) {
                    // NO ES EXTERNO
                    $alumnos = $em->getRepository('CmBundle:Alumnos')->findAll();
                } else {
                    // SI ES EXTERNO
                    $alumnos = $em->getRepository('CmBundle:Alumnos')->findBy(array('cvePla' => $empleado->getCvePlantel()->getIdePla()));
                }

                //$alumnos = $em->getRepository('CmBundle:Alumnos')->findAll();

                return $this->render('CmBundle:Seguridad:caja.html.twig', array(
                            'ingresos' => $ingresos,
                            'otros' => $otros,
                            'ingresosDos' => $ingresosDos,
                            'alumnos' => $alumnos));
            }
            if ($session->get("rol") == 4) { // BASE EXAMEN UNICO:: COORDINADOR GENERAL EXAMEN ÚNICO
                $em = $this->getDoctrine()->getEntityManager();
                $fechaMov = date("Y-m-d");
                $ingresos = $em->getRepository('CmBundle:Ingresos')->findBy(array('fecMov' => new \DateTime($fechaMov), 'cveUsu' => $session->get("identificador")));
                $dql = "SELECT i.descripcion, COUNT(i.descripcion) cantidad,SUM(i.total) total "
                        . "FROM CmBundle:Ingresos i "
                        . "WHERE i.fecMov = :fec "
                        . "AND i.cveUsu = :usu "
                        . "GROUP BY i.descripcion";
                $query = $em->createQuery($dql);
                $query->setParameter('fec', date('Y-m-d'));
                $query->setParameter('usu', $session->get("identificador"));
                $ingresosDos = $query->getResult();

                $otros = $em->getRepository('CmBundle:CostoTramites')->findAll();

                $alumnos = $em->getRepository('CmBundle:Alumnos')->findAll();

                return $this->render('CmBundle:Seguridad:caja.html.twig', array(
                            'ingresos' => $ingresos,
                            'otros' => $otros,
                            'ingresosDos' => $ingresosDos,
                            'alumnos' => $alumnos));
            }
            if ($session->get("rol") == 5) { // COORDINADOR EXTERNO EXAMEN ÚNICO
                return $this->render('CmBundle:Seguridad:homeCoordEUexterno.html.twig');
            }
            /* if ($session->get("rol") == 99) { // CONTADOR
              $ob1 = $this->graficaUno();
              $ob2 = $this->graficaDos();

              return $this->render('CmBundle:Seguridad:home.html.twig', array(
              'chart' => $ob1,
              'chart2' => $ob2
              ));
              }
             * 
             */
            if ($session->get("rol") == 200) { // OSCAR O ALEJANDRA
                $ob1 = $this->graficaUno();
                $ob2 = $this->graficaDos();

                return $this->render('CmBundle:Seguridad:home.html.twig', array(
                            'chart' => $ob1,
                            'chart2' => $ob2
                ));
            }
            if ($session->get("rol") == 101) { // DIRECCIÓN GENERAL (Lic. Alejandra Trigos Cornejo)
                $ob1 = $this->graficaUno();
                $ob2 = $this->graficaDos();

                return $this->render('CmBundle:DireccionGeneral:home.html.twig', array(
                            'chart' => $ob1,
                            'chart2' => $ob2
                ));
            }
            if ($session->get("rol") == 77) { // KENIA: TITULACION
                $em = $this->getDoctrine()->getEntityManager();

                $dql = "SELECT a "
                        . "FROM "
                        . "CmBundle:Alumnos a "
                        . "WHERE "
                        . "(a.estatus = 12 "
                        . "AND "
                        . "a.tipoAlumno IN(3,4,5,8)) "
                        . "OR "
                        . "a.tipoAlumno = 8";
                $query = $em->createQuery($dql);
                $titulaciones = $query->getResult();


                $datos = [];
                foreach ($titulaciones as $key => $value) {

                    $auxEstatusAlumno = $value->getEstatus()->getIdeEst();

                    if ($value->getTipoAlumno() == 8) {
                        $titulacion = $em->getRepository('CmBundle:Titulaciones')
                                ->findOneBy(array('cveAlu' => $value->getIdeAlu()));

                        $plantel = null;

                        $especialidades = null;
                        $cordinadores = null;
                        $pagosTitulacio = null;

                        if ($titulacion != null) {
                            $pagosTitulacio = $em->getRepository('CmBundle:Ingresos')
                                    ->findBy(
                                    array(
                                        'cveAlu' => $titulacion->getCveAlu()->getIdeAlu(),
                                        'descripcion' => "PAGO DE TITULACIÓN",
                                        'cvePag' => $titulacion->getCvePag()
                            ));

                            $especialidades = $em->getRepository('CmBundle:LicenciaturasTitulacion')
                                    ->findOneBy(array('ideLicTit' => $titulacion->getCveLic()));
                            $cordinadores = $em->getRepository('CmBundle:CordinadoresTitulacion')
                                    ->findOneBy(array('ideCorTit' => $titulacion->getCord()));
                        }

                        $documentosAlumno = $em->getRepository('CmBundle:DocumentosAlumnos')
                                ->findBy(array('cveAlu' => $value->getIdeAlu()), array('cveDoc' => 'ASC'));

                        $datos[] = array($value, $pagosTitulacio, $plantel, $titulacion, $especialidades, $cordinadores, $documentosAlumno);
                    } else { // ES ESCOLARIZADO
                        $titulacion = $em->getRepository('CmBundle:Titulaciones')
                                ->findOneBy(array('cveAlu' => $value->getIdeAlu()));

                        $plantel = null;

                        $especialidades = null;
                        $cordinadores = null;
                        $pagosTitulacio = null;

                        if ($titulacion != null) {
                            $pagosTitulacio = $em->getRepository('CmBundle:Ingresos')
                                    ->findBy(
                                    array(
                                        'cveAlu' => $titulacion->getCveAlu()->getIdeAlu(),
                                        'descripcion' => "PAGO DE TITULACIÓN",
                                        'cvePag' => $titulacion->getCvePag()
                            ));

                            $especialidades = $em->getRepository('CmBundle:LicenciaturasTitulacion')
                                    ->findOneBy(array('ideLicTit' => $titulacion->getCveLic()));
                            $cordinadores = $em->getRepository('CmBundle:CordinadoresTitulacion')
                                    ->findOneBy(array('ideCorTit' => $titulacion->getCord()));
                        }

                        $documentosAlumno = $em->getRepository('CmBundle:DocumentosAlumnos')
                                ->findBy(array('cveAlu' => $value->getIdeAlu()), array('cveDoc' => 'ASC'));

                        $datos[] = array($value, $pagosTitulacio, $plantel, $titulacion, $especialidades, $cordinadores, $documentosAlumno);
                    }
                }

                return $this->render('CmBundle:Seguridad:homeTitulacion.html.twig', array(
                            'titulaciones' => $datos,
                            'ban' => 0
                ));
            }

            if ($session->get("rol") == 127) { // LULU
                return $this->render('CmBundle:Lulu:homeLulu.html.twig');
            }
            if ($session->get("rol") == 128) { // ITEC
                return $this->render('CmBundle:ITEC:homeITEC.html.twig');
            }
            if ($session->get("rol") == 129) { // ITEC
                return $this->render('CmBundle:UNINET:homeUNINET.html.twig');
            }
            if ($session->get("rol") == 333) { // SERVICIOS ESCOLARES
                $em = $this->getDoctrine()->getManager();
                $planteles = $em->getRepository('CmBundle:Planteles')->findBy(array('idePla' => array(1, 2, 3, 4, 13, 21)));
                return $this->render('CmBundle:SE:home-se.html.twig', array('planteles' => $planteles));
            }
        } else {
            return $this->render('CmBundle:Seguridad:login.html.twig');
        }
    }

    public function checkAction(Request $request) {
        if ($request->getMethod() == 'POST') {
            //$salt = "#yo$0yTECyTu?Qu3Espera$";
            //$username = password_hash($request->get('usuario'), PASSWORD_BCRYPT, array('salt' => $salt ));
            //$password = password_hash($request->get('pwd'), PASSWORD_BCRYPT, array('salt' => $salt ));
            //print_r($username);

            $em = $this->getDoctrine()->getEntityManager();

            $tipoUsuario = $request->get('tipoUsuario');
            $username = $request->get('usuario');
            $password = $request->get('pwd');

            if ($tipoUsuario == 3) { //ALUMNO
                $usuario = $em->getRepository('CmBundle:Alumnos')->findOneBy(array('userName' => $username, 'password' => $password));
                if ($usuario != NULL) {
                    $session = $request->getSession();
                    $session->set("idEmpleado", $usuario->getIdeAlu());
                    $session->set("rol", "alumno");
                    $session->set("cargo", "alumno");
                    $session->set("nombre", $usuario->getNomAlu() . " " . $usuario->getApePat() . " " . $usuario->getApeMat());
                    $session->set("nameEmp", $usuario->getNomAlu());
                    $session->set("identificador", $usuario->getUserName());
                    $session->set('rfc', $usuario->getUserName());
                    if ($usuario->getCvePla() == null) {
                        $session->set("plantel", 1);
                    } else {
                        $session->set("plantel", $usuario->getCvePla()->getCvePla());
                    }


                    return $this->redirect($this->generateUrl('cm_homepage'));
                } else {
                    $this->get('session')->getFlashBag()->add(
                            'mensaje', 'Dados incorrectos'
                    );

                    return $this->redirect($this->generateUrl('login'));
                }
            } elseif ($tipoUsuario == 4) {//DOCENTE
                $usuario = $em->getRepository('CmBundle:Profesores')->findOneBy(array('usuario' => $username, 'password' => $password));

                if ($usuario != NULL) {
                    $session = $request->getSession();
                    $session->set("idEmpleado", $usuario->getIdePro());
                    $session->set("rol", "profesor");
                    $session->set("cargo", "profesor");
                    $session->set("nombre", $usuario->getNomPro() . " " . $usuario->getApePat() . " " . $usuario->getApeMat());
                    $session->set("nameEmp", $usuario->getNomPro());
                    $session->set("identificador", $usuario->getUsuario());
                    $session->set('rfc', $usuario->getRfc());

                    $session->set("plantel", 1);


                    return $this->redirect($this->generateUrl('cm_homepage'));
                } else {
                    $this->get('session')->getFlashBag()->add(
                            'mensaje', 'Dados incorrectos'
                    );

                    return $this->redirect($this->generateUrl('login'));
                }
            } elseif ($tipoUsuario == 6) {//EXTERNO
                $usuario = $em->getRepository('CmBundle:Empleados')->findOneBy(array('cveEmp' => $username, 'pass' => $password));
                if ($usuario != NULL) {
                    $session = $request->getSession();
                    $session->set("idEmpleado", $usuario->getCveEmp());
                    $session->set("rol", $usuario->getRolEmp());
                    $session->set("cargo", $usuario->getCargo());
                    $session->set("nombre", $usuario->getNomEmp() . " " . $usuario->getApePat() . " " . $usuario->getApeMat());
                    $session->set("nameEmp", $usuario->getNomEmp());
                    $session->set("identificador", $usuario->getIdentificador());
                    $session->set('rfc', $usuario->getCveEmp());
                    $session->set('externo', $usuario->getCvePlantel()->getExterno());
                    if ($usuario->getCvePlantel() == null) {
                        $session->set("plantel", 1);
                    } else {
                        $session->set("plantel", $usuario->getCvePlantel()->getCvePla());
                    }


                    return $this->redirect($this->generateUrl('home_eu_externos'));
                } else {
                    $this->get('session')->getFlashBag()->add(
                            'mensaje', 'Dados incorrectos'
                    );

                    return $this->redirect($this->generateUrl('login'));
                }
            } elseif ($tipoUsuario == 5) {//EMPLEADO UTM
                $usuario = $em->getRepository('CmBundle:Empleados')->findOneBy(array('cveEmp' => $username, 'pass' => $password));


                if ($usuario != NULL) {
                    $session = $request->getSession();
                    $session->set("idEmpleado", $usuario->getCveEmp());
                    $session->set("rol", $usuario->getRolEmp());
                    $session->set("cargo", $usuario->getCargo());
                    $session->set("nombre", $usuario->getNomEmp() . " " . $usuario->getApePat() . " " . $usuario->getApeMat());
                    $session->set("nameEmp", $usuario->getNomEmp());
                    $session->set("identificador", $usuario->getIdentificador());
                    $session->set('rfc', $usuario->getCveEmp());
                    $session->set('externo', $usuario->getCvePlantel()->getExterno());
                    $session->set('ide', $usuario->getIdeEmp());
                    if ($usuario->getCvePlantel() == null) {
                        $session->set("plantel", 1);
                    } else {
                        $session->set("plantel", $usuario->getCvePlantel()->getCvePla());
                    }


                    return $this->redirect($this->generateUrl('cm_homepage'));
                } else {
                    $this->get('session')->getFlashBag()->add(
                            'mensaje', 'Dados incorrectos'
                    );

                    return $this->redirect($this->generateUrl('login'));
                }
            }
        }
    }

    public function logoutAction(Request $request) {
        $session = $request->getSession();
        $session->clear();
        /* $this->get('session')->getFlashBag()->add(
          'mensaje', 'Se ha cerrado sesión exitosamente, gracias por visitarnos.'
          );
         * 
         */
        return $this->redirect($this->generateUrl('login'));
    }

    public function crearUsuarioAction(Request $request) {
        $session = $request->getSession();
        if ($session->has("idEmpleado") && $session->get("rol") == 10) {
            if ($request->getMethod() == 'POST') {
                $nomUsu = $request->get('nombre');
                $apePat = $request->get('apePat');
                $apeMat = $request->get('apeMat');
                $salt = "#3cn0s1st4m4$3$3lM3j*r3qU1p0D3Pr0g4m4c!0n";
                $username = password_hash($request->get('usuario'), PASSWORD_BCRYPT, array('salt' => $salt));
                $password = password_hash($request->get('pass'), PASSWORD_BCRYPT, array('salt' => $salt));
                $identificador = $request->get('identificador');
                $tipUsu = $request->get('tipRol');

                $usuario = new Usuarios();
                $usuario->setUsername($username);
                $usuario->setPassword($password);
                $usuario->setTipUsu($tipUsu);
                $usuario->setNomUsu($nomUsu);
                $usuario->setApePat($apePat);
                $usuario->setApeMat($apeMat);
                $usuario->setIdentificador($identificador);

                $em = $this->getDoctrine()->getManager();
                $em->persist($usuario);
                $em->flush();

                $this->get('session')->getFlashBag()->add(
                        'mensaje', 'USUARIO CREADO CORREECTAMENTE'
                );

                return $this->redirect($this->generateUrl('vista_nuevo_usuario'));
            } else { // NO FUE POST
                return $this->render('CmBundle:Seguridad:nuevoUsuario.html.twig');
            }
        } else {
            return $this->render('Cm:Seguridad:login.html.twig');
        }
    }

    public function graficaUno() {
        $em = $this->getDoctrine()->getEntityManager();

        $dql = "SELECT "
                . "IDENTITY(a.cveLic),"
                . "COUNT(a) total,"
                . "l.nomLic "
                . "FROM "
                . "CmBundle:Alumnos a ,"
                . "CmBundle:Licenciaturas l "
                . "WHERE a.cveLic = l.ideLic "
                . "GROUP BY a.cveLic";
        $licenciaturas = $em->createQuery($dql);
        $result3 = $licenciaturas->getResult();
        //print_r($result3);
        $datos = [];
        $categorias = [];

        foreach ($result3 as $key => $value) {
            $datos[$key] = $result3[$key]['total'] * 1;
            $categorias[$key] = $result3[$key]['nomLic'];
        }


        // GRAFICA DOS: TOTAL DE USUARIOS, POR GENERO, POR DISCIPLINA
        $series = array(
            array("name" => "Alumnos", "data" => $datos)
        );

        $rosa = 'pink';
        $ob2 = new Highchart();
        $ob2->chart->type('column');
        $ob2->chart->options3d(array('enabled' => true, 'alpha' => 15, 'beta' => 15, 'depth' => 50, 'viewDistance' => 25));
        $ob2->chart->renderTo('linechart');  // Nombre del #id de el div donde se mostrará la grafica
        $ob2->title->text('TOTAL DE ALUMNOS POR CARRERA');
        $ob2->subtitle->text('');
        $ob2->colors('#50B432', '#058DC7', '#ED561B', '#DDDF00', '#24CBE5', '#64E572', '#FF9655', '#FFF263', '#6AF9C4');
        $ob2->plotOptions->colum(array('depth' => 25));
        $ob2->xAxis->categories($categorias); //Categorias del eje X
        $ob2->xAxis->title(array('text' => "CARRERAS"));
        $ob2->yAxis->title(array('text' => "ALUMNOS")); //Título del eje Y            
        $ob2->series($series);

        return $ob2;
    }

    public function graficaDos() {
        $em = $this->getDoctrine()->getEntityManager();

        $dql = "SELECT "
                . "COUNT(a) total "
                . "FROM "
                . "CmBundle:Alumnos a "
                . "WHERE a.sexo = 0";
        $alumnosHombres = $em->createQuery($dql);
        $result3 = $alumnosHombres->getResult();

        $datosHombres[0] = $result3[0]['total'] * 1;

        // TOTAL DE ALUMNOS MUJERES POR PLANTEL
        $dql = "SELECT "
                . "COUNT(a) total "
                . "FROM "
                . "CmBundle:Alumnos a "
                . "WHERE a.sexo = 1 ";
        $alumnosMujeres = $em->createQuery($dql);
        $result4 = $alumnosMujeres->getResult();

        $datosMujeres[0] = $result4[0]['total'] * 1;


        // GRAFICA DOS: TOTAL DE USUARIOS, POR GENERO, POR DISCIPLINA
        $series = array(
            array("name" => "Mujeres", "data" => $datosMujeres),
            array("name" => "Hombres", "data" => $datosHombres)
        );

        $rosa = 'pink';
        $ob2 = new Highchart();
        $ob2->chart->type('column');
        $ob2->chart->options3d(array('enabled' => true, 'alpha' => 15, 'beta' => 15, 'depth' => 50, 'viewDistance' => 25));
        $ob2->chart->renderTo('line3D');  // Nombre del #id de el div donde se mostrará la grafica
        $ob2->title->text('TOTAL DE ALUMNOS POR GENERO');
        $ob2->subtitle->text('');
        $ob2->colors('#50B432', '#058DC7', '#ED561B', '#DDDF00', '#24CBE5', '#64E572', '#FF9655', '#FFF263', '#6AF9C4');
        $ob2->plotOptions->colum(array('depth' => 25));
        $ob2->xAxis->categories(array('Mujeres', 'Hombres')); //Categorias del eje X
        $ob2->xAxis->title(array('text' => "GENERO"));
        $ob2->yAxis->title(array('text' => "ALUMNOS")); //Título del eje Y            
        $ob2->series($series);

        return $ob2;
    }

}
