<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * EntidadesFederativas
 *
 * @ORM\Table(name="entidades_federativas")
 * @ORM\Entity
 */
class EntidadesFederativas
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_ent_fed", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideEntFed;

    /**
     * @var string
     *
     * @ORM\Column(name="cve_ent_fed", type="string", length=5, nullable=false)
     */
    private $cveEntFed;

    /**
     * @var string
     *
     * @ORM\Column(name="entidad", type="string", length=100, nullable=false)
     */
    private $entidad;



    /**
     * Get ideEntFed
     *
     * @return integer
     */
    public function getIdeEntFed()
    {
        return $this->ideEntFed;
    }

    /**
     * Set cveEntFed
     *
     * @param string $cveEntFed
     *
     * @return EntidadesFederativas
     */
    public function setCveEntFed($cveEntFed)
    {
        $this->cveEntFed = $cveEntFed;
    
        return $this;
    }

    /**
     * Get cveEntFed
     *
     * @return string
     */
    public function getCveEntFed()
    {
        return $this->cveEntFed;
    }

    /**
     * Set entidad
     *
     * @param string $entidad
     *
     * @return EntidadesFederativas
     */
    public function setEntidad($entidad)
    {
        $this->entidad = $entidad;
    
        return $this;
    }

    /**
     * Get entidad
     *
     * @return string
     */
    public function getEntidad()
    {
        return $this->entidad;
    }
}
