<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Generaciones
 *
 * @ORM\Table(name="generaciones", indexes={@ORM\Index(name="cve_plan", columns={"cve_plan"})})
 * @ORM\Entity
 */
class Generaciones
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_gen", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideGen;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="mes_inicio", type="date", nullable=false)
     */
    private $mesInicio;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="mes_fin", type="date", nullable=false)
     */
    private $mesFin;

    /**
     * @var \Planeaciones
     *
     * @ORM\ManyToOne(targetEntity="Planeaciones")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_plan", referencedColumnName="ide_plan")
     * })
     */
    private $cvePlan;



    /**
     * Get ideGen
     *
     * @return integer
     */
    public function getIdeGen()
    {
        return $this->ideGen;
    }

    /**
     * Set mesInicio
     *
     * @param \DateTime $mesInicio
     *
     * @return Generaciones
     */
    public function setMesInicio($mesInicio)
    {
        $this->mesInicio = $mesInicio;
    
        return $this;
    }

    /**
     * Get mesInicio
     *
     * @return \DateTime
     */
    public function getMesInicio()
    {
        return $this->mesInicio;
    }

    /**
     * Set mesFin
     *
     * @param \DateTime $mesFin
     *
     * @return Generaciones
     */
    public function setMesFin($mesFin)
    {
        $this->mesFin = $mesFin;
    
        return $this;
    }

    /**
     * Get mesFin
     *
     * @return \DateTime
     */
    public function getMesFin()
    {
        return $this->mesFin;
    }

    /**
     * Set cvePlan
     *
     * @param \CmBundle\Entity\Planeaciones $cvePlan
     *
     * @return Generaciones
     */
    public function setCvePlan(\CmBundle\Entity\Planeaciones $cvePlan = null)
    {
        $this->cvePlan = $cvePlan;
    
        return $this;
    }

    /**
     * Get cvePlan
     *
     * @return \CmBundle\Entity\Planeaciones
     */
    public function getCvePlan()
    {
        return $this->cvePlan;
    }
}
