<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * Productos
 *
 * @ORM\Table(name="productos")
 * @ORM\Entity
 */
class Productos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_pro", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $idePro;

    /**
     * @var string
     *
     * @ORM\Column(name="clave", type="string", length=5, nullable=false)
     */
    private $clave;

    /**
     * @var string
     *
     * @ORM\Column(name="nom_pro", type="string", length=200, nullable=false)
     */
    private $nomPro;

    /**
     * @var string
     *
     * @ORM\Column(name="cos_pro", type="decimal", precision=10, scale=2, nullable=false)
     */
    private $cosPro;



    /**
     * Get idePro
     *
     * @return integer
     */
    public function getIdePro()
    {
        return $this->idePro;
    }

    /**
     * Set clave
     *
     * @param string $clave
     *
     * @return Productos
     */
    public function setClave($clave)
    {
        $this->clave = $clave;
    
        return $this;
    }

    /**
     * Get clave
     *
     * @return string
     */
    public function getClave()
    {
        return $this->clave;
    }

    /**
     * Set nomPro
     *
     * @param string $nomPro
     *
     * @return Productos
     */
    public function setNomPro($nomPro)
    {
        $this->nomPro = $nomPro;
    
        return $this;
    }

    /**
     * Get nomPro
     *
     * @return string
     */
    public function getNomPro()
    {
        return $this->nomPro;
    }

    /**
     * Set cosPro
     *
     * @param string $cosPro
     *
     * @return Productos
     */
    public function setCosPro($cosPro)
    {
        $this->cosPro = $cosPro;
    
        return $this;
    }

    /**
     * Get cosPro
     *
     * @return string
     */
    public function getCosPro()
    {
        return $this->cosPro;
    }
}
