/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


function activarTabla() {
    var ideAlu = $("#idAlu").val();
    var mesInicio = $("#fechaInicioTabla").val();

    if (mesInicio == "") {
        swal("", "INGRESE EL MES", "warning");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/web/acTaAlumnos',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: ideAlu, mesCol: mesInicio},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById("contenedorActivarTablaPago").innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> Activando...</strong>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedorActivarTablaPago").innerHTML = respuesta;
                location.reload();
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedorActivarTablaPago").innerHTML = "";
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });

    }

}