/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

$("#btnBuscarAlumno").click(function () {
    var alu = $("#ideAlu").val();
    if (alu != "default") {
        $("#contenedor-alumno").html('');
        $("#contenedor-alumno").html('<i class="fa fa-spin fa-spinner"></i><strong> cargando...</strong>');
        cargarInfoAlumno(alu);
    } else {
        swal("ELIGE A UN ALUMNO", "Ingrese el Nombre o la Clave del Alumno", "warning");
        $("#contenedor-alumno").html('');
    }
});

function cargarInfoAlumno(alu) {
    $.ajax({
        // la URL para la petición
        url: '/web/alumnosBG',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: alu},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById('contenedor-alumno').innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            document.getElementById("contenedor-alumno").innerHTML = respuesta;
            semaforo = 0;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById('contenedor-alumno').innerHTML = '';
            semaforo = 0;
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function traerHP(alu) {
    $.ajax({
        // la URL para la petición
        url: '/web/alumnosBG',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: alu},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById('contenedor-alumno').innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            document.getElementById("contenedor-alumno").innerHTML = respuesta;
            semaforo = 0;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById('contenedor-alumno').innerHTML = '';
            semaforo = 0;
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function traerHPpopover(alu,ideCont) {
    $.ajax({
        // la URL para la petición
        url: '/web/alumnosBG',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: alu},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById('contenedor-alumno').innerHTML = '<i class="fa fa-spin fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            //document.getElementById("contenedor-alumno").innerHTML = respuesta;
            
            $("#alu"+ideCont).attr("data-content",respuesta);
            
            semaforo = 0;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById('contenedor-alumno').innerHTML = '';
            semaforo = 0;
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}