/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


$("#btnIniciarR").click(function () {
    var ideAlu = document.getElementById("ideAlu").value;
    validarReinscripcion(ideAlu);
});

$("#btnModHacerR").click(function () {
    var ideAlu = document.getElementById("ideAlu").value;
    var periodo = document.getElementById("periodoR").value;
    var numero = document.getElementById("numeroR").value;
    var fInicio = document.getElementById("inicioR").value;

    if (periodo === "") {
        swal("", "FALTA PERIODO", "warning");
    } else {
        if (numero === "") {
            swal("", "FALTA NUMERO DE INGRESO", "warning");
        } else {
            if (fInicio === "") {
                swal("", "FALTA FECHA INICIO DE CLASES", "warning");
            } else {
                guardarReinscripcion(ideAlu, periodo, numero, fInicio);
            }
        }
    }
});

function validarReinscripcion(ideAlu) {
    $.ajax({
        // la URL para la petición
        url: '/web/ceReinscripcion',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            //$("#gif2").show();
            document.getElementById("contTablaModR").innerHTML = "Cargando Datos...";
            document.getElementById("contTablaModR2").innerHTML = "";
        },
        success: function (respuesta) {
            //alert("Correcto");
            //$("#gif2").hide();
            document.getElementById("contTablaModR").innerHTML = respuesta;

            var adeudoA = document.getElementById('adeudoAlumno').value;
            if (adeudoA == 0) {
                document.getElementById('btnModHacerR').disabled = false;
            } else if (adeudoA == 1) {
                document.getElementById('btnModHacerR').disabled = true;
            } else if (adeudoA == -1) {
                document.getElementById('btnModHacerR').disabled = false;
            }


        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contTablaModR").innerHTML = "E";
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // validarReinscripcion

function guardarReinscripcion(ideAlu, periodo, numero, fInicio) {
    $.ajax({
        // la URL para la petición
        url: '/web/ceReinscripcion',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu, periodoR: periodo, numeroR: numero, fechaR: fInicio},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            //$("#gif2").show();
            document.getElementById("contTablaModR2").innerHTML = "Cargando Datos...";
        },
        success: function (respuesta) {
            //alert("Correcto");
            //$("#gif2").hide();
            document.getElementById("contTablaModR2").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contTablaModR2").innerHTML = "E";
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
} // guardarReinscripción