/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

var semaforo = 0;
var pagos = [];
var pagoConvenioSeleccionado = 0;
$("#bancoC").hide();
$("#efectivoC").hide();
function limpiar() {
    $("#pConC").val("");
    $("#cambioC").val("");
    $("#referenciaConvenio").val("");
}

$("#modoPagoConvenio").change(function () {
    if ($(this).val() != "default") {
        switch ($(this).val()) {
            case '0': // BOUCHER
                $("#efectivoC").hide();
                $("#bancoC").show();
                limpiar();
                break;
            case '1': // EFECTIVO
                $("#bancoC").hide();
                $("#efectivoC").show();
                limpiar();
                break;
            case '2': // TRANSFERENCIA
                $("#efectivoC").hide();
                $("#bancoC").show();
                limpiar();
                break;
            case '3': // TERMINAL
                $("#efectivoC").hide();
                $("#bancoC").show();
                limpiar();
                break;
            case '99': // TRANSFERENCIA
                $("#bancoC").hide();
                $("#efectivoC").hide();
                limpiar();
                break;
        }
    } else {
        $("#bancoC").hide();
        $("#efectivoC").hide();
    }

});
$("#btnCrearConvenios").click(function () {
    var ideAlu = $("#idAlu").val();
    traerPagosAPagar(ideAlu);
});
$("#btnModCerrarAbonarConvenio").click(function () {
    var ideAlu = $("#idAlu").val();
    traerPagosGuardadosDelConvenio(ideAlu);
});
function traerPagosGuardadosDelConvenio(ideAlu) {
    $.ajax({
        // la URL para la petición
        url: '/web/ttpdc',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("btnModGuardarConvenio").disabled = true;
            document.getElementById('contConvenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            document.getElementById("contConvenio").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById('contConvenio').innerHTML = '';
        },
        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function traerPagosAPagar(ideAlu) {
    $.ajax({
// la URL para la petición
        url: '/web/tpap',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {ideAlu: ideAlu},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("btnModGuardarConvenio").disabled = true;
            document.getElementById('contenedorCrearConvenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            document.getElementById("contenedorCrearConvenio").innerHTML = respuesta;
            if (document.getElementById("banderaConvenio")) {
                if (document.getElementById("banderaConvenio").value == 1) {
                    document.getElementById("btnModGuardarConvenio").disabled = true;
                } else {
                    document.getElementById("btnModGuardarConvenio").disabled = false;
                }
            } else {
                document.getElementById("btnModGuardarConvenio").disabled = false;
            }
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById('contenedorCrearConvenio').innerHTML = '';
        },
        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function hacerTablaConvenio(val) {
    if (semaforo == 0) {
        if (val != "default") {
            semaforo = 1;
            var plazo = document.getElementById('mesesConvenio').value;
            var ideAlu = $("#idAlu").val();
            var montoAPagar = document.getElementById('totalConvenioAPagar').value;
            $.ajax({
                // la URL para la petición
                url: '/web/htpdc',
                // la información a enviar
                // (también es posible utilizar una cadena de datos)
                data: {ideAlu: ideAlu, plazo: plazo, modo: val, montoAPagar: montoAPagar},
                // especifica si será una petición POST o GET
                type: 'POST',
                // el tipo de información que se espera de respuesta
                dataType: 'html',
                // código a ejecutar si la petición es satisfactoria;
                // la respuesta es pasada como argumento a la función
                beforeSend: function () {
                    document.getElementById("btnModGuardarConvenio").disabled = true;
                    //document.getElementById('contenedorCrearConvenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
                    document.getElementById('contenedor-tabla-convenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
                },
                success: function (respuesta) {
                    document.getElementById("contenedor-tabla-convenio").innerHTML = respuesta;
                    if (document.getElementById("banderaConvenio")) {
                        if (document.getElementById("banderaConvenio").value == 1) {
                            document.getElementById("btnModGuardarConvenio").disabled = true;
                        } else {
                            document.getElementById("btnModGuardarConvenio").disabled = false;
                        }
                    } else {
                        document.getElementById("btnModGuardarConvenio").disabled = false;
                    }
                    semaforo = 0;
                },
                // código a ejecutar si la petición falla;
                // son pasados como argumentos a la función
                // el objeto de la petición en crudo y código de estatus de la petición
                error: function (xhr, status) {
                    alert('Disculpe, existió un problema');
                    document.getElementById('contenedor-tabla-convenio').innerHTML = '';
                    semaforo = 0;
                },
                // código a ejecutar sin importar si la petición falló o no
                complete: function (xhr, status) {
                    //alert('Petición realizada');
                }
            });
        } else {
            swal("info", "Falta el modo de pago");
        }

    } else {
        console.log("PETICIÓN EN PROCESO...Espera...");
        //document.getElementById('contenedor-tabla-convenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
    }

}

function guardarTablaConvenio() {
    if (semaforo == 0) {

        semaforo = 1;
        var plazo = document.getElementById('mesesConvenio').value;
        var modo = document.getElementById('modoConvenio').value;
        var ideAlu = $("#idAlu").val();
        var montoAPagar = document.getElementById('totalConvenioAPagar').value;

        var telefono = prompt("INGRESA UN TELÉFONO");

        $.ajax({
            // la URL para la petición
            url: '/web/gtpdc',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: ideAlu, plazo: plazo, modo: modo, montoAPagar: montoAPagar, tel: telefono},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                //document.getElementById("btnModGuardarConvenio").disabled = true;
                //document.getElementById('contenedorCrearConvenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
                document.getElementById('contConvenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
            },
            success: function (respuesta) {
                document.getElementById("contConvenio").innerHTML = respuesta;
                semaforo = 0;
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById('contConvenio').innerHTML = '';
                semaforo = 0;
            },
            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    } else {
        console.log("PETICIÓN EN PROCESO...Espera...");
        //document.getElementById('contenedor-tabla-convenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
    }

}

function cargarAbonosConvenio(ideCon, ban) {
    if (semaforo == 0) {

        semaforo = 1;
        var ideAlu = $("#idAlu").val();
        pagoConvenioSeleccionado = ideCon;

        $("#modoPagoConvenio").val("default");
        $("#montoAbonoC").val("");
        $("#referenciaConvenio").val("");
        $("#cuantaBancoC").val("default");
        $("#vencidaC").val("1");

        $.ajax({
            // la URL para la petición
            url: '/web/cpdc',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: ideAlu, convenio: ideCon},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById('contenedorAbonarConvenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
            },
            success: function (respuesta) {
                document.getElementById("contenedorAbonarConvenio").innerHTML = respuesta;
                if (ban == 1) {
                    //document.getElementById('montoAbonoC').readonly = false;
                    //$("#montoAbonoC").attr('readonly','false');
                    document.getElementById('montoAbonoC').value = document.getElementById('restanAbono').value;

                } else {
                }

                semaforo = 0;
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById('contenedorAbonarConvenio').innerHTML = '';
                semaforo = 0;
            },
            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    } else {
        console.log("PETICIÓN EN PROCESO...Espera...");
        //document.getElementById('contenedor-tabla-convenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
    }
}

function cargarAbonosConvenioOK(ideCon, ban) {
    if (semaforo == 0) {

        semaforo = 1;
        var ideAlu = $("#idAlu").val();
        pagoConvenioSeleccionado = ideCon;



        $.ajax({
            // la URL para la petición
            url: '/web/cpdc',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {ideAlu: ideAlu, convenio: ideCon},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                //document.getElementById("btnModGuardarConvenio").disabled = true;
                //document.getElementById('contenedorCrearConvenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
                document.getElementById('contenedorAbonosDelConvenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
            },
            success: function (respuesta) {
                document.getElementById("contenedorAbonosDelConvenio").innerHTML = respuesta;
                semaforo = 0;
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById('contenedorAbonosDelConvenio').innerHTML = '';
                semaforo = 0;
            },
            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    } else {
        console.log("PETICIÓN EN PROCESO...Espera...");
        //document.getElementById('contenedor-tabla-convenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
    }
}

$("#btnModAbonarConvenio").click(function () {
    if (semaforo == 0) {
        semaforo = 1;
        var ideAlu = $("#idAlu").val();
        var montoAbonoConvenio = $("#montoAbonoC").val();
        var modoPagoC = $("#modoPagoConvenio").val();
        var referenciaC = $("#referenciaConvenio").val();
        var banco = $("#cuantaBancoC").val();
        var vencida = $("#vencidaC").val();

        console.log("MONTO ABONO CONVENIO: " + montoAbonoConvenio);
        console.log("______");
        console.log("RESTA ABONO: " + document.getElementById('restanAbono').value);
        console.log((montoAbonoConvenio * 1) > (document.getElementById('restanAbono').value * 1));


        if (modoPagoC == "default") {
            alert("Elige un modo de pago");
            $("#modoPagoConvenio").effect("highlight", {color: 'yellow'}, 3000);
        } else {
            if (modoPagoC === "1") { // PAGÓ EN EFECTIVO
                var d = new Date();
                referenciaC = "";
                referenciaC = referenciaC.concat(d.getFullYear(), d.getMonth(), d.getDate(),
                        d.getHours(), d.getMinutes(), d.getSeconds());
            }
            if (modoPagoC === "0" | modoPagoC === "2" | modoPagoC === "3") {
                if (referenciaC == "" | banco == "default") {
                    //alert("FALTA INGRESAR UNA REFERENCIA");
                    swal("", "Falta ingresar una REFERENCIA o BANCO", "warning");
                    $("#referenciaConvenio").effect("highlight", {color: 'yellow'}, 4000);
                    $("#cuantaBancoC").effect("highlight", {color: 'yellow'}, 4000);
                } else {
                    if ((montoAbonoConvenio * 1) > (document.getElementById('restanAbono').value * 1)) {
                        //alert("ESTA ABONANDO UNA CANTIDAD MAYOR A LA REQUERIDA");
                        swal("", "ESTA ABONANDO UNA CANTIDAD MAYOR A LA REQUERIDA", "warning");
                        $("#montoAbonoC").effect("highlight", {color: 'red'}, 4000);
                    } else {
                        if (montoAbonoConvenio == 0) {
                            if (confirm("EL MONTO A ABONAR ES DE CERO PESOS, ESTA SEGURO DE CONTINUAR")) {
                                guardarPagoAbonoConvenio(ideAlu, referenciaC, modoPagoC, montoAbonoConvenio, pagoConvenioSeleccionado, banco, vencida);
                                alert("SE GUARDÓ UN ABONO CON CERO PESOS");
                                $("#montoAbonoC").effect("highlight", {color: 'yellow'}, 3000);
                            } else {
                                alert("LA OPERACIÓN SE HA CANCELADO");
                                $("#montoAbonoC").effect("highlight", {color: 'yellow'}, 3000);
                            }
                        } else {
                            guardarPagoAbonoConvenio(ideAlu, referenciaC, modoPagoC, montoAbonoConvenio, pagoConvenioSeleccionado, banco, vencida);
                        }
                    }
                }
            } else {
                if ((montoAbonoConvenio * 1) > (document.getElementById('restanAbono').value * 1)) {
                    alert("ESTA ABONANDO UNA CANTIDAD MAYOR A LA REQUERIDA");
                    $("#montoAbonoC").effect("highlight", {color: 'red'}, 3000);
                } else {
                    if (montoAbonoConvenio == 0) {
                        alert("EL MONTO A ABONAR NO DEBE SER DE CERO PESOS");
                        $("#montoAbonoC").effect("highlight", {color: 'red'}, 3000);
                    } else {
                        guardarPagoAbonoConvenio(ideAlu, referenciaC, modoPagoC, montoAbonoConvenio, pagoConvenioSeleccionado, banco, vencida);
                    }
                }
            }
        }
        semaforo = 0;
    } else {
        console.log("PETICIÓN EN PROCESO...");
    }
});
function guardarPagoAbonoConvenio(ideAlu, referenciaC, modoPagoC, montoAbonoConvenio, idePagCon, banco, vencida) {
    console.log(ideAlu + " " + referenciaC + " " + modoPagoC + " " + montoAbonoConvenio + " " + idePagCon);
    $.ajax({
        // la URL para la petición
        url: '/web/gacon',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {
            ideAlu: ideAlu,
            ref: referenciaC,
            modoP: modoPagoC,
            monto: montoAbonoConvenio,
            idePagCon: idePagCon,
            banco: banco,
            vencida: vencida
        },
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            //document.getElementById("btnModGuardarConvenio").disabled = true;
            //document.getElementById('contenedorCrearConvenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
            document.getElementById('contenedorAbonarConvenio').innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            document.getElementById("contenedorAbonarConvenio").innerHTML = respuesta;
            semaforo = 0;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById('contenedorAbonarConvenio').innerHTML = '';
            semaforo = 0;
        },
        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}