/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */


function validar(id) {
    $.ajax({
        // la URL para la petición
        url: '/web/dgHome',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {key: id},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedorDG").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> CARGANDO DATOS...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedorDG").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedorDG").innerHTML = '';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function validarPlantel() {
    var valor = $("#plantel").val();
    var ideLic = $("#licenciatura").val();
    if (valor !== "default") {
        document.getElementById('plantel').disabled = true;
        cargarDatosBaseGeneral(valor, ideLic);
    } else {
        console.log("NO DEBE DE HACER NADA");
    }
}

function cargarDatosEU() {
    var aplicacion = $("#aplicaciones").val();
    document.getElementById("contenedorEUNiv1").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> CARGANDO DATOS...</strong>';
    window.location.href = '/web/cdEU?numAplicacion=' + aplicacion;
}

function cargarDatosBaseGeneral(idePla, ideLic) {
    console.log("PLANTEL: " + idePla);

    $.ajax({
        // la URL para la petición
        url: '/web/cdBG',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {idePla: idePla, ideLic: ideLic},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedorBaseGeneral").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> CARGANDO DATOS...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedorBaseGeneral").innerHTML = respuesta;
            document.getElementById('plantel').disabled = false;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById('plantel').disabled = false;
            document.getElementById("contenedorBaseGeneral").innerHTML = '';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function mandarAHome() {
    window.location.href = '/web/';
}