/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

function detallesTablaPago(idePag) {
    $.ajax({
        // la URL para la petición
        url: '/web/editTablaP',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {idePag: idePag},
        // especifica si será una petición POST o GET
        type: 'GET',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById('contenedorEditarTablaPago').innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            document.getElementById("contenedorEditarTablaPago").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedorEditarTablaPago").innerHTML = '<i class="fa fa-exclamation-triangle fw"></i>';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}

function aplicarAcciones(idePag) {
    var accion = document.getElementById('accionTablaPago').value;

    if (accion == "default") {
        swal("", "DEBE SELECCIONAR UNA ACCIÓN", "warning");
    } else {
        $.ajax({
            // la URL para la petición
            url: '/web/editTablaP',
            // la información a enviar
            // (también es posible utilizar una cadena de datos)
            data: {idePag: idePag, accion: accion},
            // especifica si será una petición POST o GET
            type: 'POST',
            // el tipo de información que se espera de respuesta
            dataType: 'html',
            // código a ejecutar si la petición es satisfactoria;
            // la respuesta es pasada como argumento a la función
            beforeSend: function () {
                document.getElementById('contenedorEditarTablaPago').innerHTML = '<i class="fa fa-pulse fa-spinner"></i>';
            },
            success: function (respuesta) {
                //alert("Correcto");
                document.getElementById("contenedorEditarTablaPago").innerHTML = respuesta;
                window.location.reload();
            },
            // código a ejecutar si la petición falla;
            // son pasados como argumentos a la función
            // el objeto de la petición en crudo y código de estatus de la petición
            error: function (xhr, status) {
                alert('Disculpe, existió un problema');
                document.getElementById("contenedorEditarTablaPago").innerHTML = '<i class="fa fa-exclamation-triangle fw"></i>';
            },

            // código a ejecutar sin importar si la petición falló o no
            complete: function (xhr, status) {
                //alert('Petición realizada');
            }
        });
    }

}