/* 
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
$.validator.addMethod("valueNotEquals", function (value, element, arg) {
    return arg !== value;
}, "Value must not equal arg.");

// validate signup form on keyup and submit
$("#form-periodos").validate({
    rules: {
        periodo: "required",
        mesInicio: "required",
        mesFinal: "required",
        estatusP: {valueNotEquals: "default"}
    },
    messages: {
        periodo: "Campo obligatorio",
        mesInicio: "Campo obligatorio",
        mesFinal: "Campo obligatorio",
        estatusP: {valueNotEquals: "Campo obligatorio"}
    }
});

function traerDatosP(idePer) {
    $.ajax({
        // la URL para la petición
        url: '/web/td-periodo',
        // la información a enviar
        // (también es posible utilizar una cadena de datos)
        data: {idePer: idePer},
        // especifica si será una petición POST o GET
        type: 'POST',
        // el tipo de información que se espera de respuesta
        dataType: 'html',
        // código a ejecutar si la petición es satisfactoria;
        // la respuesta es pasada como argumento a la función
        beforeSend: function () {
            document.getElementById("contenedor-eliminar-periodo").innerHTML = '<i class="fa fa-pulse fa-spinner"></i><strong> cargando...</strong>';
        },
        success: function (respuesta) {
            //alert("Correcto");
            $("#gifIngresos").hide();
            document.getElementById("contenedor-eliminar-periodo").innerHTML = respuesta;
        },
        // código a ejecutar si la petición falla;
        // son pasados como argumentos a la función
        // el objeto de la petición en crudo y código de estatus de la petición
        error: function (xhr, status) {
            alert('Disculpe, existió un problema');
            document.getElementById("contenedor-eliminar-periodo").innerHTML = '*';
        },

        // código a ejecutar sin importar si la petición falló o no
        complete: function (xhr, status) {
            //alert('Petición realizada');
        }
    });
}